2023-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (mime-display-message, kill-new): Use advice-add instead
	of defadvice that's been marked obsolete in Emacs 30.

2022-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Silence warnings when compiling w3m.el individually ([emacs-w3m:13914])

	* w3m.el (toplevel): Always require tab-line for tab-line-exclude-modes;
	require w3m-fb-mode before it is referenced.

2022-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	Support Emacs 30

	* aclocal.m4 (AC_PATH_EMACS): Support Emacs 30.

2022-11-17  Tatsuya Kinoshita  <tats@debian.org>

	Avoid non-lexbind dotimes (PR#116)

	* w3m-util.el (w3m-puny-encode1): Avoid non-lexbind dotimes.
	cf. <https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=c6c9dfc8670f5698634a8d5853853056ff928974>

2022-11-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make unsafe url warning text customizable (issue #115)

	* w3m.el (w3m-unsafe-url-warning-default-function): New function.
	(w3m-unsafe-url-warning): New user option and face.
	(w3m-fontify-anchors): Use them.

2022-11-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Remove let-binding of inhibit-point-motion-hooks that's been obsoleted

	* w3m-bug.el (report-emacs-w3m-bug):
	* w3m.el (w3m-horizontal-scroll, w3m-horizontal-recenter)
	(w3m-end-of-line): Remove let-binding of inhibit-point-motion-hooks.

2022-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for pages compressed by brotli reported by chipschap (issue #112)

	* w3m.el (w3m-decoder-alist, w3m-encoding-alist): Add brotli.

2022-10-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4, configure.ac: Use `grep -E' instead of egrep.

2022-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	Silence the byte compiler

	* w3mhack.el (w3mhack-generate-load-file): Use loaddefs-gen.el rather
	than autoload.el that has been marked obsolete in Emacs 29.
	* mew-w3m.el (mew-mime-text/html-w3m): Silence Emacs 29's byte compiler.
	([emacs-w3m:13880]).

2022-08-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bookmark.el, w3m-form.el, w3m-hist.el, w3m-search.el, w3m.el:
	* w3mhack.el: Use line-beginning-position and line-end-position instead
	of point-at-bol and point-at-eol marked obsolete in Emacs 29.1.

2022-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-anchors): Warn suspicious links (as shr does).

2022-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	Simplify tab-line stuff

	* w3m.el (w3m-use-tab, w3m-use-tab-line, w3m-restore-tab-line)
	(w3m-display-mode): Simplify them as tab-line-format is always existent
	and tab-line.el provides tab-line-exclude-modes.

2022-07-21  Michael Heerdegen  <michael_heerdegen@web.de>

	* w3m-search.el (w3m-search-engine-alist): Update wikipedia search urls
	([emacs-w3m:13872]).

2022-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix unquoted single quotation marks in docstrings

	* w3m-dtree.el, w3m-mail.el, w3m-session.el, w3m.el

2022-05-06  Thierry Volpiatto  <thievol@posteo.net>

	* w3m-form.el (w3m-form-p): Correct argument order in call to aref
	(issue #110).

2022-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for Emacs 29.1 that implemented new timestamp format

	* w3m-antenna.el (w3m-antenna-check-rss, w3m-antenna-site-update):
	* w3m-form.el (w3m-form-make-form-data):
	* w3m-session.el (w3m-session-save, w3m-session-automatic-save)
	(w3m-session-deleted-save, w3m-session-crash-recovery-save)
	(w3m-session-select-copy):
	* w3m.el (w3m--retrieve-and-render--handler-function)
	(w3m-retrieve-and-render): Use old timestamp format.

	* w3m-util.el (w3m-time-newer-p, w3m-time-lapse-seconds): Refactor.

2022-04-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make the builder work for autoconf 2.70 and up as well

	* aclocal.m4 (AC_CACHE_VAL): Replace AC_FD_CC with AS_MESSAGE_LOG_FD.
	* configure.ac: Rename from configure.in; run autoupdate.
	* Makefile.in (configure): Replace configure.in with configure.ac.

2022-04-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	Drop Emacs 26 support

	* aclocal.m4, mime-w3m.el, w3m-util.el, w3m.el, shimbun/shimbun.el
	Drop Emacs 26 support because of Emacs 28.1 having been released.

2021-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Conceal warnings for the case SEMI is absent (issue #108)

	* mime-w3m.el: Silence the byte compiler.

2021-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	Use rfc6068.el if possible instead of rfc2368.el (issue #109)

	* w3m.el (w3m-goto-mailto-url): Use rfc6068.el for newer Emacsen.

2021-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-configuration): Make Custom-set work.

	* w3m-bookmark.el (w3m-bookmark-menubar-update): Add a workaround
	to avoid a miscellaneous error.

2021-09-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Treat application/emacs-lisp as text/plain ([emacs-w3m:13845])

	* w3m.el (w3m-content-type-alist): Add application/emacs-lisp so to be
	treated as text/plain.

2021-09-03  Boruch Baum  <boruch_baum@gmx.com>

	user-agents: bugfix, update, improve friendliness (PR#106)

	* w3m.el (w3m-user-agent-alist): Update values.
	(w3m-user-agent-site-specific): New feature: Allow referencing to
	elements in variable w3m-user-agent-alist.
	(w3m-user-agent-site-specific-alist): Update definition for new
	feature.

2021-09-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-user-agent-default-alist): Fix macro element.

2021-09-02  Boruch Baum  <boruch_baum@gmx.com>

	New and improved filter for github (PR#105)

	* w3m-filter.el (w3m-filter-github-repo-main-page): Delete obsolete
	function.
	(w3m-filter-github, w3m-filter-configuration): Replace with new one.

2021-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Add timeout to w3m-download

	* w3m.el (w3m-download-timeout): New function.
	(w3m-download): Use it.

2021-08-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	Hard-code the shell used in `w3m-download' with "sh" ([emacs-w3m:13826])

	* w3m.el (w3m-download): Replace `shell-file-name' with "sh".

2021-08-05  Boruch Baum  <boruch_baum@gmx.com>

	Replace (progn (defvar VAR VAL "DOC") (make-variable-buffer-local 'VAR))
	with (defvar-local VAR VAL "DOC") --- (PR#101)

	* w3m.el: Do it.

2021-08-02  Boruch Baum  <boruch_baum@gmx.com>

	Bugfix: db-history single-page advances point too far (PR#100)

	* w3m.el (w3m--goto-url--handler-function): Do.

2021-07-29  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m--goto-url--handler-function): Position point on the first
	entry in the db history; add a docstring.  (PR#99)

2021-07-28  Boruch Baum  <boruch_baum@gmx.com>

	force-wide-display (PR#98)

	* w3m.el (w3m--ignore-fill-column, w3m-force-wide-list): New variables.
	(w3m-create-page, w3m-display-width): Use them.
	(w3m-display-width): Logic bug fixes.
	(w3m-about-db-history): Reverse layout so time/date are on left side.
	Manually force variable w3m-fill-column to -1.

2021-06-15  Victor J. Orlikowski  <vjo@duke.edu>

	Bugfix: make w3m-select-buffer-toggle-style work properly (PR#95)

	* w3m.el (w3m--setup-popup-window): Run selected-window each time
	because it varies during the process (PR#95).

2021-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Move w3m-queries-log-file from w3m-util.el to w3m.el

	* w3m-util.el (w3m-queries-log-file): Move it to w3m.el.
	* w3m.el (w3m-queries-log-file): Move it from w3m-util.el.

2021-05-06  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-util.el (w3m-queries-log-file): Use expand-file-name for variable
	default definition.

2021-05-04  Boruch Baum  <boruch_baum@gmx.com>

	Tweaks to handling url query parts (PR#94)

	* w3m-util.el (w3m-queries-log-file): Improve defcustom.
	(w3m--url-get-queries): New function.
	(w3m--url-strip-unwanted-queries): Improve name of function. was
	w3m--url-strip-queries.

	* w3m.el (w3m--retrieve-1--handler-function)
	(w3m--goto-url--valid-url): Apply new function name.

2021-04-13  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-external-view): When a w3m buffer is created for the sole
	purpose of opening a URI in an external program, delete the unnecessary
	w3m buffer (PR#92).

2021-04-09  Boruch Baum  <boruch_baum@gmx.com>

	Revert last change that made `w3m-process-stop' do kill page buffer

	* w3m-proc.el (w3m-process-stop): Revert.

	* w3m.el (w3m--goto-url--valid-url): Revert.

2021-04-08  Boruch Baum  <boruch_baum@gmx.com>

	Fixes for w3m-current-url = NIL, loading images from ext program (PR#92)

	* w3m-proc.el (w3m-process-stop):
	Add optional arg to kill the current buffer.

	* w3m.el (w3m--goto-url--valid-url): Use it.
	(w3m-toggle-inline-images): Don't let user-error start a backtrace when
	toggle-debug-on-error is set.
	(w3m-image-page-displayed-p, w3m-view-previous-page)
	(w3m--goto-url--handler-function): when w3m-current-url is NIL, don't
	perform string operations on it.
	(w3m-delete-buffer-if-empty): Only operate on live buffers.

2021-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	Delete useless history warning

	* w3m-hist.el (w3m-history-add-properties): Don't warn about null hist.

2021-03-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	Silence the byte compiler on Emacs 28

	* mew-w3m.el (mew-w3m-ext-url-fetch):
	* w3m-proc.el (w3m-process-with-null-handler):
	Init let-bound var `handler' to nil explicitly.

2021-02-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't show a backstage while performing `text-scale-adjust'

	* w3m.el (w3m-text-scale-adjust): Don't show a halfway of redisplay.

2021-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make text-scale-adjust work

	* w3m.el (w3m-with-text-scale-mode): Fix way to refer remapped face.
	Reported by Dan Jacobson.

2021-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	Docfix so not to be wider than 80 chars

	* w3m-filter.el (w3m-toggle-filtering):
	* w3m-lnum.el (w3m-lnum-universal): Docfix.

	* w3mhack.el (w3mhack-generate-load-file): Fold long `\(fn ' lines.

2021-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	Bugfix 'w3m-previous-image doesn't work' ([emacs-w3m:13747])

	* w3m.el (w3m-search-for-next-image-boundary)
	(w3m-search-for-previous-image-boundary): Make it work for an image
	on the bottom edge or the top edge of the page.
	(w3m-goto-next-image): Refactor.
	(w3m-next-image): Don't miss an image on the top edge of the page.
	(w3m-goto-previous-image): Make sure an image exists at the position to
	go to.

2021-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Add option to w3m so to work for downloading
	any kinds of contents ([emacs-w3m:13731]).  Thanks to Kinoshita-san.

2021-01-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-view-previous-page): When currently in an "about://" url,
	return to the calling url (PR#89 for upstream).

	* w3m-hist.el (w3m-history-push): Don't put "about://" pages in the
	history (PR#89 for upstream).

2020-12-28  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-select-buffer-mode):
	* w3m-session.el (w3m-session-select-mode): Set variable
	buffer-quit-function (PR#88).

2020-12-22  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-stackexchange): Update filter and correct
	bound errors (PR#87).

2020-10-27  Boruch Baum  <boruch_baum@gmx.com>

	Protect against the nil value for a history plist [emacs-w3m:13716]
	Note: as the cause of it is not made clear yet, the one that should
	be fixed might be in another place.

	* w3m-hist.el (w3m-history-set-plist, w3m-history-modify-properties):
	Protect against the nil value for a history plist.

2020-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Display error that occurs when loading w3m-init-file.

2020-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-generate-load-file): Quote "Local Variables".

2020-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	Silence the byte compiler

	* w3m-util.el (w3m-easy-menu-add): New compat macro.
	* w3m-bookmark.el (w3m-setup-bookmark-menu): Use it.
	* w3m-session.el (w3m-setup-session-menu): Use it.
	* w3m-tabmenu.el (w3m-setup-tab-menu): Use it.
	* w3m.el (w3m-setup-menu): Use it.

	* w3mhack.el (Local Variables): Set no-byte-compile and others.

2020-11-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	Move cursor to target dir when browsing local dir (bug#973666 of debian)

	* w3m.el (w3m--goto-url--handler-function): Move cursor to target dir.

2020-10-31  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-search.el (w3m-search-engine-alist): Update wikipedia search
	urls.

2020-10-29  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-util.el (w3m-remove-face-property): Work as it should do.
	([emacs-w3m:13684])

2020-10-21  Tsuyoshi CHO  <Tsuyoshi.CHO@Gmail.com>

	File author Tsuyoshi CHO's email address updated.
	Old was non-reach to the latest.

	* w3m.el: File author Tsuyoshi CHO's email address updated.

2020-09-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	Remove youtube filter that no longer works
	as it has gotten to use javascript ([emacs-w3m:13676] Boruch Baum).

	* w3m-filter.el (w3m-filter-configuration): Remove youtube entry.
	(w3m-filter-youtube): Remove.

2020-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-tab-move-right, w3m-tab-move-left):
	Do nothing if no room to move for given prefix argument.
	(w3m-tab-make-keymap): Pass prefix arg to w3m-tab-move-right/left.

2020-09-09  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-ems.el (w3m-tab-move-right, w3m-tab-move-left): BUGFIX: moving
	with prefix-arg > 1 was swapping tab positions instead of adjusting all
	tab numbers in between (PR#82).

2020-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	Real fix to bug#969744 of debian

	* w3m.el (w3m--get-page-anchors):
	Don't miss some of plural name anchors that point to the same place.
	(w3m-search-name-anchor): Revert.

2020-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for a url like "...#36" (bug#969744 of debian)
	but "#36" is a part of the url, not the name, and acutually
	the name anchor is specified as "msg36" in the html source.
	cf. <https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=969744#5>

	* w3m.el (w3m-search-name-anchor): Allow url as mentioned above.

2020-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	Allow url like "file:foo.txt" (bug#969386 of debian)
	emacs-w3m assumes the file to be existent in `w3m-default-directory'
	(if specified), the current directory, or the home directory.

	* w3m.el (w3m-url-to-file-name): Allow url like "file:foo.txt",
	that doesn't specify server and/or directory.

	* w3m-util.el (w3m-url-local-p): Check also if the file really exists.

2020-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-save.el (w3m-save-buffer-directory): Abolish.

2020-08-17  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-save.el (w3m-save-buffer-directory): Mark variable as deprecated
	in favor of `w3m-default-save-directory'.
	(w3m-save-buffer): Replace deprecated variable, and use function
	`w3m-read-file-name' instead of `read-file-name'. This has the
	consequence of updating a session's default save directory to the most
	recent used save diretory. Update docstring.

	* w3m.el (w3m-read-file-name): Rename and re-order args to be
	consistent with underlying emacs function `read-file-name', and update
	docstring.
	(w3m-download): Remove unnecessary `condition-case'
	(w3m-download, w3m-goto-ftp-url): update args for new version of
	`w3m-read-file-name'

2020-08-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* .travis.yml (allow_failures): Temporarily add builds on emacs27
	that doesn't seem to be available on Travis CI at this time.
	(before_script): Fix melpa url.

2020-08-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	Drop Emacs 25 support

	* .travis.yml, aclocal.m4, w3m-ems.el, w3m-hist.el, w3m-proc.el,
	* w3m-rss.el, w3m-save.el, w3m-search.el, w3m-session.el, w3m.el:
	Drop Emacs 25 support because of Emacs 27.1 having been released.

2020-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	Automatic refilling page according to `text-scale-mode'

	* w3m.el (w3m-with-text-scale-mode): New macro.
	(w3m-create-text-page): Use it.
	(w3m-text-scale-adjust): New command that overrides text-scale-adjust.
	(w3m-redisplay-this-page): Don't show progress message.

2020-07-01  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-search.el (w3m-search-engine-alist): Update url for duckduckgo.

2020-06-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-search-for-next-image-boundary): Fix a bug that it tried
	to find only the `w3m-image-hseq' property ([emacs-w3m:13624]).
	(w3m-fix-melpa-installation): Find the git revision hash in w3m-pkg.el
	precedently than archive-contents.

2020-03-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-makeinfo): Override texinfo-do-itemize.

2020-03-18  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>

	* doc/emacs-w3m-ja.texi (Installing Emacs-w3m): Add dropped @samp
	command for --without-compress-install option.

2020-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make w3m-toggle-inline-image work properly when region is active

	* w3m.el (w3m-search-for-previous-image-boundary): Refactor.
	(w3m-toggle-inline-image): Work properly when region is active.

2020-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix how it works at just the image boundary (issue #76)

	* w3m.el (w3m-search-for-next-image-boundary)
	(w3m-search-for-previous-image-boundary): Rename from
	w3m-search-for-next-image and w3m-search-for-previous-image.
	(w3m-search-for-previous-image-boundary): Don't search for the one
	previous image if it is at just the boundary position.
	(w3m-toggle-inline-image): Turn off a single image, not all.

2020-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Abolish own horizontal scrolling stuff (bug#953768 of debian)

	* w3m.el (w3m-auto-show, w3m-horizontal-on-screen): Abolish.
	(w3m-after-cursor-move-hook): Remove w3m-auto-show.
	(w3m-auto-show, w3m-horizontal-scroll-division)
	(w3m-next-anchor, w3m-previous-anchor, w3m-next-form)
	(w3m-previous-form, w3m-next-image, w3m-previous-image):
	Don't run w3m-horizontal-on-screen.
	(w3m-mode): Don't modify auto-hscroll-mode.
	(w3m-horizontal-scroll): No need to move point.

2020-03-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	Distinguish two or more consecutive same images (issue #76)

	* w3m.el (w3m-fontify-images): Mark an image with seq#.
	(w3m-search-for-next-image, w3m-search-for-previous-image):
	New functions that use seq# for searching for an image boundary.
	(w3m-toggle-inline-images-internal, w3m-toggle-inline-image)
	(w3m-toggle-inline-image, w3m-resize-inline-image-internal)
	(w3m-goto-next-image, w3m-goto-previous-image): Use them.
	(w3m-next-image, w3m-previous-image): Simplify.

2020-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-anchor, w3m-arrived-anchor, w3m-current-anchor):
	Improve the links visivility (bug#953631 of debian).

2020-01-11  Hideyuki SHIRAI  <shirai@meadowy.org>

	Work for <img src="data:..."> ([emacs-w3m:13583])

	cf. <https://groups.google.com/d/msgid/mew-ja/467DC098-3A95-40A5-960A-183492B7D717%40beaupix.com>

	* mew-w3m.el (mew-w3m-safe-url-regexp): Add data:; make customizable.
	* w3m.el (w3m-toggle-inline-images): Fix position to fetch safe-url.

2020-01-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	New user option w3m-redisplay-pages-automatically-p (issue #75)

	* w3m.el (w3m-redisplay-pages-automatically-p): New user option.
	(w3m-mode): Don't modify window-configuration-change-hook and
	window-size-change-functions if it is nil (issue #75).
	(w3m-use-tab): Eval-and-compile.

2020-01-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Temporarily add a url string that a query
	part is not stripped to file-name-history (M-p command shows it);
	create destination directory if not exists.

2019-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Decompress downloaded file according to
	Content-Encoding header.

2019-12-18  Boruch Baum  <boruch_baum@gmx.com>

	Bugfix for changes to PR#50

	* w3m.el (w3m-select-buffer-show-this-line): BUGFIX: Revert commit
	69064d1e6e and 6dfac56d92 to prevent buffers being marked 'seen' when
	performing fly-by scroll in select-buffer window.

2019-11-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	Miscellaneous fixes

	* w3m.el (w3m--prompt-for-unknown-content-type):
	Don't use keyboard-quit as it causes "error in process sentinel: Quit".
	(w3m-create-page): Noop if it does quit.
	(w3m-redisplay-pages-automatically): Silence w3m-redisplay-this-page.

2019-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve unknown content-type handling

	* w3m.el (w3m--prompt-for-unknown-content-type): Restore the page view
	if the one of which the content-type is unknown tried to view; return
	a cons of content-type and urls, where urls is a cons of a url to have
	been restored and a url to download or external-view.
	(w3m-create-page): Restore url and title after trying to view url of
	unknown content-type.
	(w3m-view-previous-page, w3m-redisplay-this-page): Don't store window
	positions to history if the new arg `no-store-pos' is given.

2019-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-page): Check if image type is valid as well.

2019-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	See major-mode rather than buffer name to test if it is in w3m-mode

	* w3m-sesseion.el (w3m-session-goto-session): Test major-mode;
	bind w3m-pop-up-windows and w3m-pop-up-frames to nil.

2019-11-25  Foo Bar  <4829djaskdfj@gmail.com>

	Make regexp match buffer name that is arbitrary but begins with *w3m

	* w3m-sesseion.el (w3m-session-goto-session): Fix regex used to detect
	if there are visible w3m windows.  Used when restoring a w3m session
	(PR#74).

2019-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Enable image/webp, etc. to display

	* w3m.el (w3m-image-type-alist): Build default value from image-types;
	use defvar instead of defconst.
	(w3m-image-type): Refer to ImageMagick variables; return `imagemagick',
	`image-convert' or `convert' if image wants to be converted.

	* w3m-ems.el (w3m-create-image, w3m-create-resized-image):
	* w3m.el (w3m-create-image-page):
	Don't use w3m-image-type-available-p redundantly with w3m-image-type.

	* w3m-ems.el (w3m-create-image): Convert image if necessary, or pass
	content-type to create-image when using image-convert.

2019-11-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Check for downloading status.

2019-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for downloading empty file (bug#944574 of debian)

	* w3m.el (w3m-download): Make awk create a file even if it is empty.

2019-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	Quote lang spec defined in w3m-accept-languages (bug#944519 of debian)

	Language specifications defined with the "accept_language" entry in
	the ~/.w3m/config file may possibly be the one like "en;q=1.0", of
	which ";" will break a shell command.  This fix makes it quote such
	a letter with `\'.
	* w3m.el (w3m-download): Quote ; as well as whitespace in shell command.

2019-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make it fast to load w3m.elc (issue #73)

	Change the way to update the value of `w3m-content-type-alist' so to do
	on demand instead of updating it fully according to `mailcap-mime-data'
	at the startup.  For example, the initial viewing method for the
	content type "image/jpeg" is `(mailcap-mime-info "image/jpeg")', but
	when viewing a jpeg image for the first time it will be replaced with
	`("real-viewer" file)'.
	* w3m.el (w3m-content-type-alist): Don't parse mailcap-mime-data.
	(w3m-external-view): Parse mailcap-mime-data and update
	w3m-content-type-alist.

2019-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix a bug that has been standing for 13.5 years

	* w3m.el (w3m-reload-all-pages): Pass arg to w3m-reload-this-page.

2019-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	Restore tab-line if it is broken

	* w3m.el (w3m-restore-tab-line): New function.
	(w3m-reload-this-page, w3m-redisplay-this-page): Use it.

2019-10-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	Add w3m-mode to tab-line-exclude-modes when necessary

	* w3m.el (w3m-use-tab, w3m-use-tab-line, w3m-display-mode):
	Add w3m-mode to or remove it from tab-line-exclude-modes.

2019-10-27  Spenser Truex  <web@spensertruex.com>

	Improve perldoc with customizable variable, and saner default (PR#72)

	* w3m-util.el (w3m-ensure-slash): New function.
	* w3m-perldoc.el (w3m-perldoc-base-url): New user option.
	(w3m-perldoc-pretty): New function.
	(w3m-perldoc): Use them.

2019-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	Abolish w3m-max-anchor-sequence (issue #71)

	* w3m.el (w3m-max-anchor-sequence): Abolish.

	* w3m-form.el (w3m-form-parse-and-fontify):
	* w3m.el (w3m-clear-local-variables, w3m-copy-local-variables)
	(w3m-fontify-anchors, w3m-next-anchor, w3m-previous-anchor):
	Don't handle/use w3m-max-anchor-sequence.

2019-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	w3m-next-anchor and w3m-previous-anchor return t if success (issue #71)

	* w3m.el (w3m-next-anchor, w3m-previous-anchor): Return t if success.

2019-09-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve TAB command behavior in Gnus article

	* w3m.el (w3m-make-help-echo): Truncate message so to fit window width
	if backward-button or forward-button calls this function.
	(w3m-fontify-anchors): Add a button widget to only the first anchor.
	(w3m-next-anchor, w3m-previous-anchor): Rewrite.
	(w3m-goto-next-anchor, w3m-goto-previous-anchor): Abolish.

2019-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	Prevent echo area from being enlarged when a url is shown unintendedly

	* w3m.el (w3m-print-this-url): Set message-truncate-lines if this
	function is called non-interactively.
	(w3m-fix-melpa-installation): Restore c9cdb7e change.

2019-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make TAB key work again in Gnus article buffer (bug#37193)

	* w3m.el (w3m-handle-non-anchor-buttons): Rename variable and function
	names from w3m-imitate-widget-button.
	(w3m-fontify-anchors): Add button and category text props to an anchor
	so that forward-button may recognize it; remove widget-button stuff;
	add a dummy widget to rendered area for Emacs <=26.
	(w3m-next-anchor, w3m-previous-anchor): Run forward-button instead of
	widget-forward.

2019-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fix-melpa-installation): Eval-and-compile.

	* doc/Makefile.in (PDFTEX): Default to XeTex instead of LuaTex.

2019-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	Create w3m-load.el also when performing package-reinstall

	* w3m.el (w3m-fix-melpa-installation): Run it also when performing
	package-reinstall in the ccondition w3m.elc is already loaded.

2019-09-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fix-melpa-installation): Fix criteria to check if
	w3m-load.el should be created or updated; report it if it is done.

2019-09-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	Create w3m-load.el file in melpa installation ([emacs-w3m:13542])

	* w3m.el (w3m-fix-melpa-installation): New function;
	add it to after-load-functions.

	* w3m-bug.el (report-emacs-w3m-bug-system-informations): Always show
	emacs-w3m-git-revision even if it is unbound; add (featurep 'w3m-load);
	delete Meadow-version.
	(report-emacs-w3m-bug): Don't error out when w3m-load.el is missing;
	add autoload cookie; unset buffer-modified-p in mail buffer.

2019-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	w3m-view-this-url-new-session work in background ([emacs-w3m:13543])

	* w3m.el (w3m-view-this-url-new-session): Enable it to work in
	background.
	(w3m-goto-url-new-session): Disable background mode if there is no
	other emacs-w3m buffer.

2019-09-12  Jose A. Ortega Ruiz  <jao@gnu.org>

	Fix :set form of w3m-key-binding (issue #70)

	* w3m.el (w3m-key-binding): Fix :set form so as to quote an operand
	that could be the symbol `info', not only nil.

2019-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	Declare some functions and variables for emacs-nox

	* w3m-ems.el (image-size, image-types): Declare.
	* w3m.el (mwheel): Require it when compiling.

2019-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	Use tab-line if available instead of header-line ([emacs-w3m:13537])

	* w3m.el (w3m-use-tab-line): New user option; default to t if
	tab-line-format is available.

	* w3m-ems.el (w3m-setup-tab-line): Rename w3m-setup-header-line;
	use tab-line-format if w3m-use-tab-line is non-nil instead of
	header-line-format.
	(w3m-tab-map[w3m-tab-make-keymap], w3m-tab-separator-map): Use tab-line
	for prefix key if w3m-use-tab-line is non-nil instead of header-line.
	(w3m-tab-separator): Remove variable; move to w3m-tab-line.
	(w3m-tab-line): Fix background color for the case w3m-use-tab is nil.

	* w3m.el (w3m-show-graphic-icons-in-tab-line):
	Rename w3m-show-graphic-icons-in-header-line.
	(w3m-header-line-title): Rename w3m-header-line-location-title.
	(w3m-header-line-content): Rename w3m-header-line-location-content.
	(w3m-header-line-background): New face.

2019-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't kill external process that is running (issue #69)

	* w3m.el (w3m-create-page): Fix PR#55; don't kill external process.
	(w3m-external-view-file): Don't error out when deleting temp file.

2019-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_EMACS_LISP): Fix redirect spells.

2019-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve/fix custom type for some user options

	* mime-w3m.el (mime-w3m-safe-url-regexp):
	* w3m-antenna.el (w3m-antenna-refresh-interval)
	(w3m-antenna-make-summary-function, w3m-antenna-make-summary-function)
	(w3m-antenna-sort-changed-sites-function)
	(w3m-antenna-sort-unchanged-sites-function):
	* w3m-bookmark.el (w3m-bookmark-default-section):
	* w3m-cookie.el (w3m-cookie-accept-domains, w3m-cookie-reject-domains):
	* w3m-dtree.el (w3m-dtree-directory-depth, w3m-dtree-indent-strings)
	(w3m-dtree-stop-strings):
	* w3m-favicon.el (w3m-favicon-size, w3m-favicon-cache-file)
	(w3m-favicon-type):
	* w3m-filter.el (w3m-filter-configuration, w3m-filter-rules):
	* w3m-form.el (w3m-form-textarea-edit-mode):
	* w3m-image.el (w3m-imagick-convert-program)
	(w3m-imagick-identify-program, w3m-resize-images):
	* w3m-lnum (w3m-lnum-context-alist, w3m-lnum-actions-custom-type):
	* w3m-mail.el (w3m-mail-subject):
	* w3m-namazu.el (w3m-namazu-arguments, w3m-namazu-index-alist):
	* w3m-perldoc.el (w3m-perldoc-pod2html-arguments):
	* w3m-session.el (w3m-session-load-last-sessions)
	(w3m-session-load-crashed-sessions):
	* w3m-symbol.el (w3m-symbol-custom-type, w3m-symbol):
	* w3m-util.el (w3m-strip-queries-alist):
	* w3m.el (w3m-command, w3m-display-ins-del, w3m-user-agent-alist)
	(w3m-user-agent-site-specific-alist, w3m-language)
	(w3m-command-arguments, w3m-command-arguments-alist)
	(w3m-no-proxy-domains, w3m-command-environment)
	(w3m-mailto-url-function, w3m-mailto-url-popup-function-alist)
	(w3m-pixels-per-character, w3m-image-default-background)
	(w3m-coding-system-priority-list, w3m-url-coding-system-alist)
	(w3m-default-directory, w3m-accept-languages, w3m-icon-directory)
	(w3m-home-page, w3m-encoding-type-alist)
	(w3m-charset-coding-system-alist, w3m-correct-charset-alist)
	(w3m-view-recenter, w3m-edit-function-alist)
	(w3m-url-local-directory-alist, w3m-new-session-url)
	(w3m-horizontal-scroll-division, w3m-markdown-converter)
	(w3m-dirlist-cgi-program, w3m-add-referer, w3m-puny-utf-16be)
	(w3m-uri-replace-alist, w3m-process-modeline-format)
	(w3m-ignored-image-url-regexp, w3m-select-buffer-window-ratio):
	Improve/fix custom type.

	Changes relation to custom type

	* w3m-image.el (w3m-imagick-convert-program-available-p):
	Return nil if noninteractive.

2019-08-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make w3m-goto-url-new-session work correctly (issue #68)

	* w3m.el (w3m-goto-url-new-session): Work correctly according to
	w3m-use-tab w3m-pop-up-windows and w3m-pop-up-frames.
	(w3m-display-mode(function)): Set w3m-pop-up-windows adequately.

2019-08-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	Devote system-type on Cygwin platform to be cygwin, not windows-nt

	* w3m.el (w3m-command-environment, w3m-use-cygdrive): Use cygwin, not
	windows-nt to compare with system-type to check if running on Cygwin.

2019-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-anchor-list-filter-alist): Fix custom type so not to say
	"CHANGED outside Customize" when customizing it initially.

2019-08-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve custom type for some user options

	* w3m-antenna.el (w3m-antenna-sites):
	* w3m-favicon.el (w3m-favicon-size, w3m-favicon-convert-args)
	(w3m-favicon-default-background):
	* w3m-filter.el (w3m-filter-configuration, w3m-filter-rules):
	* w3m-namazu.el (w3m-namazu-default-index-customize-spec)
	(w3m-namazu-index-alist):
	* w3m-search.el (w3m-search-engine-alist, w3m-search-default-engine):
	* w3m-util.el (w3m-strip-queries-alist):
	* w3m.el (w3m-decoder-alist, w3m-popup-frame-parameters)
	(w3m-anchor-list-filter-alist): Improve custom type.

2019-08-20  Hideyuki SHIRAI  <shirai@meadowy.org>

	Fix position to be jumped to name anchor ([emacs-w3m:13526])

	* w3m.el (w3m-anchor-list-filter-alist): Allow not-match regexp;
	don't prune wikipedia's name anchor matching cite_.*[0-9] by default.
	(w3m--filter-page-anchors): Handle not-match regexp.
	(w3m--get-page-anchors): Fix name anchor potision to be jumped to.

2019-08-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix bug that caused issue #66

	* w3m.el (w3m-toggle-inline-images-internal): Make lexical variable
	`start' separate from the one with the same name used in synchronous
	procedures while running asynchronous processes (issue #66).
	(w3m-about): Renew home page address.

2019-08-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	Bugfix: Don't break the value of w3m-content-type-alist

	* w3m.el (w3m-external-view): Don't run nreverse on an element of
	w3m-content-type-alist.

2019-08-14  Filipp Gunbin  <fgunbin@okko.tv>

	Fix saving and restoring of a session (PR#67)

	* w3m-session.el (w3m-session-save): Fix session saving putting
	previous position instead of current.
	(w3m-session-goto-session): Add current page to history before
	restoring w3m-history.  Data is taken from the session itself.

2019-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't load cl for Emacs 26 and greater

	* w3m-form.el, w3m-proc.el, w3m.el: Don't load cl.

	* w3m-form.el (w3m-form-method):
	* w3m.el (w3m-arrived-time, w3m-arrived-get):
	Use gv-define-simple-setter or gv-define-setter instead of defsetf.

	* w3m-proc.el (w3m-gensym): Remove.
	(gensym): New compiler macro for Emacs 25.
	(w3m-process-with-null-handler, w3m-process-with-wait-handler)
	(w3m-process-do, w3m-process-do-with-temp-buffer): Use gensym instead
	of w3m-gensym.

	* w3m-hist.el, w3m-rss.el, w3m-save.el, w3m-search.el, w3m-session.el:
	* w3m.el: Add comment about cl.

2019-08-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make charset symbols in w3m-halfdump-command-arguments substitutable
	([emacs-w3m:13516])

	* w3m.el (w3m-halfdump-command-arguments): Revert the value to that of
	before turning lexical-binding on.
	(w3m-w3m-expand-arguments): Dynamically bind the `charset' symbol
	temporarily; accept it as an optional argument.
	(w3m-rendering-half-dump): Pass charset to w3m-w3m-expand-arguments as
	an argumant; add docstring.

2019-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for file and url specified in w3m-content-type-alist (issue #65)

	* w3m.el (w3m-external-view): Revert.
	(w3m-external-view-file): Substitute `file' and `url' specified in
	`w3m-content-type-alist' with the values of the lexical argumants.

2019-08-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-halfdump-command-arguments): Enable the symbol `charset'
	to be substituted by the lexical one.
	(w3m-toggle-inline-images-internal): Fix last wrong change made in
	revno 216aed6 about the lexical variable `end'.
	(w3m-external-view): Enable the symbols `file' and `url' specified in
	`w3m-content-type-alist' to be substituted by the lexical ones.

2019-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m--filter-page-anchors): Regard nil anchor as junk
	([emacs-w3m:13510]).

2019-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	Turn on lexical-binding

	* mew-w3m.el (mew-w3m-ext-url-fetch):
	* w3m-antenna.el (w3m-antenna-check-hns, w3m-antenna-check-rss)
	(w3m-antenna-check-another-page, w3m-antenna-check-anchor)
	(w3m-antenna-check-page):
	* w3m-ems.el (w3m-create-image, w3m-create-resized-image):
	* w3m-favicon.el (w3m-favicon-retrieve):
	* w3m-image.el (w3m-imagick-start-convert-buffer):
	* w3m-proc.el (w3m-process-do-with-temp-buffer):
	* w3m-weather.el (w3m-about-weather, w3m-weather-run-filter-functions):
	* w3m.el (w3m-attributes, w3m-idle-images-show)
	(w3m-resize-inline-image-internal, w3m-w3m-dump-head)
	(w3m-w3m-attributes-1, w3m-w3m-dump-extra, w3m-w3m-retrieve)
	(w3m-w3m-retrieve-1, w3m-about-retrieve, w3m-download)
	(w3m-retrieve-and-render, w3m-external-view, w3m-external-view-file)
	(w3m-download-this-url, w3m-download-this-image)
	(w3m--goto-url--valid-url): Set lexical-binding; don't use lexical-let.

	Preparations toward lexical-binding

	* w3m-proc.el (w3m-process-with-null-handler)
	(w3m-process-with-wait-handler, w3m-process-do)
	(w3m-process-do-with-temp-buffer):
	* w3m.el (w3m-rendering-half-dump, w3m-view-this-url, w3m-submit-form)
	(w3m-external-view-file, w3m-download-this-url)
	(w3m-download-this-image):
	Declare variables that look like unused by the compiler as ignorable.

	* mew-w3m.el (mew-w3m-cite-blockquote, mew-w3m-cid-retrieve)
	(mew-w3m-ext-url-show, mew-w3m-ext-url-fetch):
	* w3m-antenna.el (w3m-about-antenna):
	* w3m-ems.el (w3m-insert-image, w3m-form-button)
	(w3m-tab-double-click-mouse1-function)
	(w3m-tab-double-click-mouse2-function):
	* w3m-proc.el (w3m-process-stop, w3m-process-sentinel):
	* w3m-weather.el (w3m-about-weather, w3m-weather-extract-contents)
	(w3m-weather-adjust-contents, w3m-weather-insert-title)
	(w3m-weather-expand-anchors):
	* w3m.el (w3m-entity-regexp, w3m-make-help-echo)
	(w3m-resize-inline-image-internal, w3m-canonicalize-url)
	(w3m-local-attributes, w3m-local-retrieve, w3m-data-retrieve)
	(w3m-download, w3m-create-image-page, w3m-tab-button-menu2)
	(w3m--goto-torrent-url, w3m--goto-url--handler-function, w3m-about)
	(w3m-about-header, w3m-about-history, w3m-about-db-history)
	(w3m-select-buffer-update):
	Mark arguments or variables that are unused (or look like unused by
	the compiler) with leading "_".

	* mew-w3m.el (w3m-mail-compose-with-mew):
	* w3m-antenna.el (w3m-antenna-check-all-sites):
	* w3m-ems.el (w3m-tab-move-right):
	* w3m.el (w3m-arrived-intern, w3m-fontify-anchors)
	(w3m--get-page-anchors, w3m-delete-buffer, w3m--goto-url--valid-url)
	(w3m--setup-popup-window):
	Remove unused or obsolete variables.

	* w3m-ems.el (w3m-image-type-available-p): Don't use the existing
	variable name `image-type' as an argument.
	* w3m.el (w3m-key-binding): Fix eval form to run in lexbind world.

2019-07-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-cancel-timer): New function.
	* w3m.el (w3m-idle-images-show, w3m-idle-images-show-unqueue): Use it.

	Make w3m-scroll-up-or-next-url work again ([emacs-w3m:13503])

	* w3m.el (w3m-relationship-estimate-rules): Update Google regexps.
	(w3m-scroll-up-or-next-url): Make it work (broken at revno b5ec877).

2019-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-cookie.el (w3m-cookie-clear): Clear cached forms and post-data.

2019-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m--retrieve-1--handler-function): Use w3m--url-strip-queries
	instead of w3m-url-strip-query (debian bug#933371:
	<https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933371>).

2019-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-redisplay-pages-automatically):
	Recenter pages if and only if redisplaying takes place.

2019-07-23  Manuel Giraud  <manuel@ledu-giraud.fr>

	* aclocal.m4 (AC_EMACS_LISP): Fix redirect spells ([emacs-w3m:13501]).

2019-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-redisplay-pages-automatically):
	Make recentering a little better.

2019-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-redisplay-pages-automatically): Recenter pages displayed
	in unselected windows as well when window config is changed.

2019-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-resume): Remove workaround.
	(w3m-form-parse-and-fontify): Don't put sequential numbers to buttons
	if they are the ones chopped into two or more pieces from a single
	button because the window width is too narrow.

2019-07-17  Tatsuya Kinoshita  <tats@debian.org>

	* w3mhack.el (w3mhack-module-list): Ignore `mime-w3m.el' when
	`mime-view.el' is not found.

2019-07-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-type): Don't error out on Emacs-noX
	where the image-types variable is not available (issue #63).

2019-07-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work around certain html pages that embed java scripts

	* w3m-form.el (w3m-form-resume): Work around rendering certain html
	pages embedding java scripts that w3m would parse inconsistently.

	* w3m.el (w3m-redisplay-pages-automatically): Move FIXME comment to
	w3m-form-resume.

2019-07-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-scroll-up-or-next-url): Scroll up, not down (issue #61).

2019-07-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	Replace ^ and $ with \` and \' in string-match regexps
	except for the case it runs to find a text in the middle of a string.

	* mew-w3m.el, w3m-bookmark.el, w3m-bug.el, w3m-cookie.el, w3m-dtree.el
	* w3m-filter.el, w3m-form.el, w3m-mail.el, w3m-session.el, w3m-util.el
	* w3m.el, w3mhack.el
	* shimbun/{mew-shimbun.el, nnshimbun.el, sb-2ch.el, sb-atom-hash.el}
	* shimbun/{sb-emacswiki.el, sb-impress.el, sb-infoshop.el}
	* shimbun/{sb-itmedia.el, sb-jpo.el, sb-lotusex.el, sb-mailman.el}
	* shimbun/{sb-opentechpress-jp.el, sb-palmfan.el, sb-redhat.el}
	* shimbun/{sb-rss.el, sb-sueddeutsche-de.el, sb-tcup.el,}
	* shimbun/{sb-wincefan.el, sb-yahoo-auctions.el, sb-zeit-de.el}

	* w3m-cookie.el (w3m-cookie-two-dot-domains-regexp): Remove.

2019-07-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix how w3m-pop-up-windows to control the behavior

	* w3m-util.el (w3m-popup-window-p): Don't care w3m-use-tab.

	* w3m-util.el (w3m-popup-buffer):
	* w3m.el (w3m-goto-url-new-session): Use switch-to-buffer-other-window
	for the w3m-pop-up-windows case.

	* w3m (w3m-display-mode(variable)): Default to the style corresponding
	to the values of w3m-use-tab, w3m-pop-up-windows, and w3m-pop-up-frames;
	fix custom type; add custom set.
	(w3m-display-mode(function)): Don't modify w3m-pop-up-windows if it is
	unnecessary; define it before it is used.

	* bookmark-w3m.el, w3m-session.el, w3m.el:
	Fix the term `no-popup' into `background'.

	* w3m.el: Protect against nil value for ffap-url-regexp (issue #59).

2019-07-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-util.el (w3m-list-buffers): Use frame-parameter instead of
	abolished compat function w3m-fb-frame-parameter ([emacs-w3m:13491]).

2019-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* .travis.yml: Drop Aquamacs.

2019-07-05  Boruch Baum  <boruch_baum@gmx.com>

	Emulate `awesome-bar' for bookmarked urls (PR#56)

	* w3m-bookmark.el (w3m-bookmark-add, w3m-bookmark-add-all-urls): Add
	new bookmarks to w3m-input-url-history for `awesome bar' feature.

	* w3m.el (w3m-input-url): Interpret bookmark titles as urls (ala
	awesome-bar).
	(w3m--get-url-from-bookmark-title): New function to enable the feature.
	(w3m-arrived-setup): Add bookmark urls and title strings to variable
	w3m-input-url-history.

	Bugfixes for content-type handling (PR#55)

	* w3m.el (w3m-create-page): Bugfixes: Properly construct collection for
	completing-read, return to original buffer when performing an external
	view or a download.  Spin off two parts into separate functions:
	(w3m--unsupported-display, w3m--prompt-for-unknown-content-type)
	(w3m-external-view): Bugfix: was not respecting user's request to
	download.
	(w3m-external-view-file): Bugfixes: account for file arg being nil.
	Regex for suffix was failing for foo.bar.abc.  Wasn't parsing external
	format for content types based upon substituting '%s' for filename.

	Fix issue #52: quick-search that requires POST-DATA (PR#54)

	* w3m.el (w3m-input-url): Don't remove potential POST-DATA from
	raw-input (ref github issue #52).  Callers to this function will now
	need to perform w3m-canonicalize-url if and when they choose.
	(w3m-goto-url): Extract potential POST-DATA from output of
	w3m-input-url, and only afterwards perform w3m-canonicalize-url.
	(w3m-uri-replace-alist): Correct omissions in docstring.

	* w3m-antenna.el (w3m-antenna-add-current-url):
	* w3m-bookmark.el (w3m-bookmark-add-current-url):
	* w3m.el (w3m-download, w3m-edit-url)
	(w3m-view-url-with-external-browser):
	Perform w3m-canonicalize-url for w3m-input-url.

2019-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve w3m-buffer-unseen control

	* w3m.el (w3m-select-buffer-hook): Define before loading w3m-ems;
	add w3m-set-buffer-seen.
	(w3m-set-buffer-unseen, w3m-set-buffer-seen):
	No need to manipulate pre-command-hook.
	(w3m-select-buffer-show-this-line, w3m-select-buffer-quit):
	Run w3m-set-buffer-seen.

	Workaround to let w3m-session-selest-select get correct window width

	(w3m-display-width): Add a workaround with a FIXME comment so to work
	with w3m-session-select-select.

2019-07-04  Boruch Baum  <boruch_baum@gmx.com>

	New feature: toggle unread status of buffer (PR#50)

	* w3m.el (w3m-select-buffer-toggle-unseen): New feature.
	(w3m-select-buffer-mode-map): Bind new feature to 'u'.
	(w3m-select-buffer-mode): Document new feature.

	w3m-session: bugfixes and new feature `copy a session' (PR#49)

	* w3m-session.el (w3m-session-select-delete): Advance to next session
	group element after delete, not previous.  Handle case of final entry
	of session group being deleted.
	(w3m-session-delete): Deleting final element of a session removes the
	session entry itself, and returns to the parent page (ie. the list of
	sessions, not the list of session elements).
	(w3m-session-save): Remove catch/throw idiom
	(w3m-session-select-copy): New feaure.
	(w3m-session-select-mode-map): Bind new feature to `c' and `C'.
	(w3m-session-select-quit): Properly position point upon completion.

	Add a new command `w3m-search-name-anchor' bound to `C-c j' key (PR#46)

	* w3m.el (w3m--filter-page-anchors): New feature to prune junk anchors
	from anchor searches.
	(w3m-anchor-list-filter-alist): Junk anchor defcustom.
	(w3m--get-page-anchors): New funcion.
	(w3m-search-name-anchor): Prompt user interactively with list of
	available anchors, excluding those from w3m half-dump. Provide this
	function a keybinding `C-c j'.

2019-07-03  Boruch Baum  <boruch_baum@gmx.com>

	Remove trackers embedded in URLs (PR#47)

	* w3m-util.el (w3m-strip-queries, w3m-strip-queries-alist)
	(w3m-queries-log, w3m-queries-log-file): New defcustoms.
	(w3m--url-strip-queries): New feature; strip unwanted trackers from
	urls.

	* w3m.el (w3m--retrieve-1--handler-function): Undo potential url
	modification performed by w3m-w3m-dump-extra.
	(w3m--goto-url--valid-url): Use new feature w3m--url-strip-queries;
	ensure query trackers are stripped at first opportunity.

2019-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* .dir-locals.el: New file; make indent-tabs-mode default to t.
	* w3mhack.el (w3mhack-module-list): Don't compile it.
	* Makefile.in (install-lisp): Install it.

2019-07-02  Boruch Baum  <boruch_baum@gmx.com>

	Replace w3m-view-this-url-1 with w3m-goto-url{,-new-session} (PR#44)

	* w3m.el (w3m-view-this-url-1): Remove this function as unnecessary and
	duplicate.
	(w3m-view-this-url, w3m-view-this-url-new-session)
	(w3m-goto-new-session-url): Replace use of function w3m-view-this-url-1
	with either w3m-goto-url or w3m-goto-url-new-session.

	* w3m-bookmark.el (w3m-bookmark-view-new-session): Replace use of
	function w3m-view-this-url-1 with w3m-goto-url-new-session.

2019-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-region): Improve the way to suspend undo recording.

2019-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-region): Suspend undo recording while rendering
	if the buffer enables undo.

2019-06-28  Eugene Sharygin  <eush77@gmail.com>

	* w3m.el (w3m-select-buffer-delete-buffer): Make sure the buffer on
	the current menu line to be shown after the deletion (PR#26).

2019-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-redisplay-pages-automatically): Rewrite it with
	a FIXME comment; use `window-configuration-change-hook' and also
	`window-size-change-functions' for Emacs 26 otherwise only
	`window-configuration-change-hook' to run it.

	* w3m-util.el (w3m-condition-case): Uncomment it.

2019-06-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	Redisplay page automatically when its window width changes
	Suggested by Dan Jacobson <jidanni@jidanni.org>

	* w3m.el (w3m-last-window-width): New buffer local variable.
	(w3m-mode): Initialize it.
	(w3m-redisplay-pages-automatically): New function to be added to
	`window-size-change-functions'.

2019-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	A trial to make w3m-arrived-db a real hash table

	* w3m.el (w3m-arrived-setup): Make w3m-arrived-db a real hash table.
	(w3m-arrived-intern, w3m-arrived-shutdown, w3m-about-db-history):
	Use hash table functions.
	(w3m-arrived-db-size): Remove.

	* w3m-hist.el (w3m-history-add-arrived-db): Replace mapatoms w/ maphash.

2019-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-toolbar-define-keys): Remove old Emacsen stuff
	that was left mistakenly in last commit.

2019-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve web contents cache handling

	* w3m.el (w3m-cache-articles): Handle cache pointer as well.
	(w3m-cache-setup): Make w3m-cache-hashtb a real hash table.
	(w3m-cache-header, w3m-cache-request-header, w3m-cache-remove-oldest)
	(w3m-cache-available-p): Use hash table functions.
	(w3m-cache-remove-oldest, w3m-cache-remove, w3m-cache-contents)
	(w3m-cache-request-contents): Use pointer instead of text props to find
	cache.
	(w3m-cache-remove): Detach the function core into w3m-cache-remove-1.

2019-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_EMACS_LISP): Protect against malfunctioned Emacs.
	(AC_PATH_EMACS): Clarify error message.

	* w3mhack.el (w3mhack-compile-file): Simplify.

2019-06-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Drop old Emacsen support

	Remove things used for keeping compatibility with Emacs 24 and older;
	Drop XEmacs support;
	Use cl-lib rather than cl as much as possible;
	Use declare-function instead of autoload for non-existent functions;
	Remove old face name aliases;
	Remove coding cookie for utf-8 as that is Emacs' default for .el files;
	Remove "*" from docstring for defcustom and defface

	* .travis.yml, Makefile.in, aclocal.m4, configure.in, doc/Makefile.in
	* doc/emacs-w3m-ja.texi, doc/emacs-w3m.texi
	* attic/addpath.el, bookmark-w3m.el, mew-w3m.el, mime-w3m.el, octet.el
	* w3m-antenna.el, w3m-bookmark.el, w3m-bug.el, w3m-cookie.el
	* w3m-dtree.el, w3m-ems.el, w3m-favicon.el, w3m-fb.el, w3m-filter.el
	* w3m-form.el, w3m-hist.el, w3m-image.el, w3m-lnum.el, w3m-mail.el
	* w3m-namazu.el, w3m-perldoc.el, w3m-proc.el, w3m-rss.el, w3m-save.el
	* w3m-search.el, w3m-session.el, w3m-symbol.el, w3m-tabmenu.el
	* w3m-util.el, w3m-weather.el, w3m.el, w3mhack.el
	* shimbun/{mew-shimbun.el, nnshimbun.el, sb-2ch.el, sb-airs.el}
	* shimbun/{sb-asahi-mytown.el, sb-asahi.el, sb-atmarkit.el}
	* shimbun/{sb-atom-hash.el, sb-atom.el, sb-cgi-board.el, sb-chise.el}
	* shimbun/{sb-cnet-jp.el, sb-cnet.el, sb-cnn-jp.el, sb-debian-jp.el}
	* shimbun/{sb-debian.el, sb-dennou.el, sb-digiko.el, sb-emacs-w3m.el}
	* shimbun/{sb-emacswiki.el, sb-engadget-ja.el, sb-excite.el, sb-fau.el}
	* shimbun/{sb-fml.el, sb-geocrawler.el, sb-glimpse.el, sb-gnome.el}
	* shimbun/{sb-hns.el, sb-ibm-dev.el, sb-impress.el, sb-itmedia.el}
	* shimbun/{sb-javaconf.el, sb-jpo.el, sb-kantei.el, sb-kde.el}
	* shimbun/{sb-kyoko-np.el, sb-lotusex.el, sb-m17n.el, sb-mailman.el}
	* shimbun/{sb-mainichi.el, sb-meadow.el, sb-mew.el}
	* shimbun/{sb-msports-nifty.el, sb-multi.el, sb-netbsd.el}
	* shimbun/{sb-nikkangendai.el, sb-nikkansports.el, sb-nikkei.el}
	* shimbun/{sb-nytimes.el, sb-orca.el, sb-palmfan.el}
	* shimbun/{sb-pcweb-column.el, sb-pocketgames.el, sb-rakuten.el}
	* shimbun/{sb-redhat.el, sb-rss.el, sb-ruby.el, sb-sankei.el}
	* shimbun/{sb-savannah.el, sb-slashdot-jp.el, sb-sml.el}
	* shimbun/{sb-sourceforge-jp.el, sb-tcup.el, sb-tdiary.el}
	* shimbun/{sb-tech-on.el, sb-text.el, sb-tigris.el, sb-toshiba.el}
	* shimbun/{sb-vinelinux.el, sb-wiki.el, sb-wikimedia.el}
	* shimbun/{sb-wincefan.el, sb-wired-jp.el, sb-x51.el}
	* shimbun/{sb-yahoo-auctions.el, sb-yahoo.el, sb-yomiuri-html.el}
	* shimbun/{sb-yomiuri.el, sb-yoshirin.el, sb-zdnet-jp.el, shimbun.el}

	Remove files

	* w3m-ccl.el, w3m-ucs.el, w3m-xmas.el, attic/rfc2368.el
	* doc/ptexinfmt.el, patches/*

	New implementation for w3m-download ([emacs-w3m:13326])

	* w3m (w3m-download): Use awk to divide the output of `w3m -dump_extra'
	into header fed to Emacs and body to be saved in file;
	note that awk should be GNU awk that supports BINMODE and RT.
	(w3m-current-process): Modify docstring; now it's a list of processes.
	(w3m-buffer-setup): Show downloading indicator in the mode-line.
	(w3m--goto-url--valid-url): Treat w3m-current-process as a list.

	* w3m-proc.el (w3m-process-filter): Show downloading indicators.
	(w3m-process-modeline-string): Modify docstring; now it's an alist of
	downloading progress informations.
	(w3m-process-start-after): No need to reset w3m-process-modeline-string.

2019-06-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-select-buffer-show-this-line)
	(w3m-select-buffer-next-line): Keep the column position in the
	selection window when moving up or down ([emacs-w3m:13440]).

	* w3m-util.el (w3m-generate-new-buffer):
	Work regardless of w3m-use-title-buffer-name ([emacs-w3m:13441]).

2019-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	Bugfix ([emacs-w3m:13417])

	* w3m.el (w3m-search-name-anchor): Refactor; make the window positions
	sure to be set for the case where it runs in the background.
	(w3m-copy-buffer): Revert to the old function definition keeping the
	current arglist and its order; work for the background run suitably.

	Trivia:
	* w3m.el (w3m-view-this-url-new-session-in-background): Remove.
	(w3m--retrieve-and-render--handler-function):
	Make the "...has been retrieved" message sure to be shown for a while.
	(w3m-view-this-url-1): Always select the copied buffer.
	(w3m-view-this-url-new-session, w3m-goto-url-new-session):
	Don't show the progress message for the background run.
	(w3m--goto-url--handler-function):
	Show the "...has been retrieved" message when jumping to a name anchor
	in the background.

2019-05-27  Tatsuya Kinoshita  <tats@debian.org>

	* w3m-bookmark.el (w3m-bookmark-file-modtime): Chase links
	([emacs-w3m:13427]).

2019-05-19  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el (w3m-session-select-merge): New feature, allows moving
	data between sessions.
	(w3m-session-select-mode-map): Bind new feature to 'm' and 'M'.
	(w3m-session-select-mode): Document the new feature.

	* w3m-session.el (w3m-session-select-select): Don't quit after each
	individual session action.
	(w3m-session-goto-session): Preserve session buffer in its window, use
	w3m version of message function, remove needless nreverse, do not
	create duplicate buffers.

2019-05-09  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-bookmark.el (w3m-bookmark-add): Bugfix: Order of args to function
	string-match. Message text tweak.
	(w3m-bookmark-add-all-urls): Operate in all display modes, only ask for
	section once, provide sane default section, don't add bookmarks
	buffers, auto-refresh existing bookmark buffers, improve error
	handling, add tab character to whitespace regexp, use set-buffer
	instead of switch-to-buffer.

2019-05-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-configuration): Add a missing parameter
	to the w3m-filter-prefer-lazy-images section ([emacs-w3m:13396]).

2019-05-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-prefer-lazy-images): New filter that
	prefers a lazy image specified with data-src= rather than that of
	src= in img tags.
	(w3m-filter-configuration): Add it.

2019-05-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-browse-url): Refresh the already existing page if it
	is older than the site and the new arg REFRESH-IF-EXISTS is given.
	Off-list suggested by Dan Jacobson <jidanni@jidanni.org>.

2019-05-06  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m--goto-torrent-url): Change dependency
	`transmission-remote-cli' from required to recommended, and update
	documentation accordingly.

2019-05-05  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m--goto-torrent-url): New feature to support torrent and
	magnet links, using for now external programs from the `transmission'
	suite.
	(w3m-goto-url): Integrate the new feature.

2019-05-03  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>

	* w3m-util.el (w3m-insert-string): Don't touch unibyte string.
	encode-coding-string may modify unibyte string.

2019-04-17  Tatsuya Kinoshita  <tats@debian.org>

	* w3m-search.el (w3m-search-engine-alist): Add &gbv=1 to
	www.google.com/search to prevent META refresh ([emacs-w3m:13355]).

2019-04-15  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-ctl-c-map): Assign console-friendly keybindings to
	replace C-., C-,, C->, C-<.
	(w3m-select-buffer-mode): Doc fix.
	(w3m-select-buffer-move-next, w3m-select-buffer-move-previous): New
	features for buffer listing.
	(w3m-select-buffer-mode-map): Keybindings for the new commands.

	* w3m-ems.el (w3m-tab-move-right, w3m-tab-move-left): Doc fix.
	(w3m-tab-move-next, w3m-tab-move-prior): defaliases for
	w3m-tab-move-right, w3m-tab-move-left.

2019-04-15  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el bugfixes to allow loading new tabs in background.
	(w3m-goto-url-new-session): add optional arg NO-POPUP; replace
	undocumented use of prefix-arg for RELOAD, with toggle of default
	NO-POPUP value.
	(w3m-copy-buffer): allow tab load in background; remove duplicate arg
	JUST-COPY, major efficiency gains by using clone-buffer instead of
	repeating entire w3m processing; replace undocumented use of prefix-arg
	for renaming new copy, with toggle of default BACKGROUND value.
	(w3m--goto-url--valid-url): adjust args for new format of
	w3m-copy-buffer.
	(w3m-view-this-url-1): pass arg NO-POPUP to allow tab
	load in background.

2019-04-14  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (emacs-w3m-version, w3m-version): Doc fix ([emacs-w3m:13330]).

2019-04-11  Vladimir Sedach  <vas@oneofus.la>

	* w3m-search.el (w3m-search-engine-alist): Use the lite version
	in the duckduckgo engine ([emacs-w3m:13336]).

2019-04-10  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-stackexchange): bugfix: re-search-forward
	instances needed parm NOERROR set non-nil.

2019-04-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-rt): Update for new site footers.

2019-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-insert-git-revision): Allow git-revision
	no matter what kind of object it is, including nil.

2019-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Improve the travis build

	* .travis.yml: Separate the env var EMACS to EMACS and EMACS_EXE
	that are a common name and an executable name respectively.

	* aclocal.m4 (AC_CHECK_TEXINFO): Remove useless uppercase conversion.

2019-03-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make travis CI work for emacs25 on osx

	(Successful but emacs26 on osx got to fail; should be fixed...)

	Developers should note that the environment variable EMACS
	will be passed to the configure script as if it is specified with:

	./configure --with-emacs=${EMACS}

	* .travis.yml (install): Make the name of a symbolic-link linked to
	the real Emacs that of the environment variable EMACS when building
	emacs-w3m on osx.
	(before_script, script): Use the value of the environment variable
	EMACS rather than just "emacs" as the name of Emacs to run.

2019-03-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-display-hook): Add w3m-db-history-fix-indentation.
	(w3m-create-text-page): Don't run w3m-db-history-fix-indentation there.
	(w3m-db-history-align-to-column): New internal variable.
	(w3m-about-db-history): Widen contents' width as much as possible;
	pass it to w3m-db-history-fix-indentation.
	(w3m-db-history-fix-indentation): Use variable width space to indent.
	(w3m-db-history): Fix interactive spec so normally not to prompt a user.

2019-02-26  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-proc.el (w3m-process-new): BUGFIX: gihub issue #20 (reverts part
	of commit 99db1df).

	* w3m-hist.el (w3m-history-slimmed-history-flat): BUGFIX: gihub issue
	#20 (reverts part of commit 99db1df).

2019-02-25  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-favicon.el (w3m-favicon-convert): bugfix: check string bounds
	before use (Andres Ramirez <rrandresf@gmail.com> [emacs-w3m:13266])

2019-02-25  Boruch Baum  <boruch_baum@gmx.com>, TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* octet.el: Documentation update

2019-02-25  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-encode-specials-string): Simplify, remove need for
	nreverse, remove need for constant w3m-entity-reverse-table.

2019-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-db-history): Remove GUI stuff; prompt a user for `start'
	and `size' only when it is called interactively.

2019-02-21  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3mhack.el (w3mhack-insert-git-revision): Check the existence of
	'.git' instead of '.git/config'.  This change is proposed by
	<clemens@endorphin.org>.

2019-02-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_EMACS_LISP): Use a file to pass ELisp program to Emacs.

2019-02-19  Boruch Baum  <boruch_baum@gmx.com>

	* .travis.yaml: Add support for multiple emacs versions and
	multiple operating systems.

	* READMME.md: Add the file as a stub, with example "badge"
	picture for travis building and GPL licensing.

2019-02-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	Add some tweaks to Boruch Baum's changes

	* w3m.el (w3m-db-history-fix-indentation): New function.
	(w3m-create-text-page): Use it to fix indentation in db history.
	(w3m-about-db-history): Don't fold Time/Date string.
	(w3m-db-history): Raise GUI dialog box if called from GUI.

2019-02-19  Boruch Baum  <boruch_baum@gmx.com>

	Improve history display

	Fix the handling of the START and SIZE args for the global history
	display, applies cosmetic changes to that display, and adds an option
	for all forms of history display to be done in a new buffer.

	* w3m.el (w3m-history-in-new-buffer): New option.
	(w3m-db-history): Apply the new option.  Add details to docstring.
	Allow interactive user to set function options START and SIZE.
	(w3m-history): Apply the new option.  Improve docstring.
	(w3m-about-history): Add programmer's note.  Modify Docstring.
	(w3m-about-db-history): Add programmer's note.  Modify Docstring.
	Properly handle START and SIZE arguments.
	Modify html output for: clarity, date display format, use of ellipsis,
	maximum use of page width, center heading, align page navigation links
	to page edges, remove extraneous ';' after url's, add ellipsis when
	truncating url's.

2019-02-14  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-resize-image-interactive): Refactor function to remove
	code duplications.

2019-02-12  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-dtree.el (w3m-dtree-create-sub): BUGFIX: don't abort if a subdir
	denies permission to read.

2019-02-03  Boruch Baum  <boruch_baum@gmx.com>

	* Refactor entire codebase for utf-8. There were a zillion changes in
	this commit, spread over very many files. See the git commit extended
	message for details.

2019-02-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-cookie.el (w3m-cookie-shutdown): avoid duplicate get-buffer call.

	* w3m-form.el (w3m-form-textarea-file-cleanup)
	(w3m-form-textarea-files-remove): use pop instead of (cdr
	(car x))

	* w3m-session.el (w3m-session-select-sessions): Add docstring

	* w3m.el (w3m-cleanup-temp-files): Add cache and tmp files to list.

2019-02-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-xkcd, w3m-filter-github-repo-main-page):
	New filters.
	(w3m-filter-configuration): Add the new filters.

2019-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bug.el (report-emacs-w3m-bug-system-informations):
	Add emacs-w3m-git-revision.

2019-01-30  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (emacs-w3m-git-revision): Moved to w3m-load.el.

	* w3mhack.el (w3mhack-insert-git-revision): New function to set the
	value of `emacs-w3m-git-revision'.
	(w3mhack-generate-load-file): Call the above and check the timestamp of
	w3mhack.el to decide necessity of updating w3m-load.el.

2018-12-01  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (emacs-w3m-git-revision): New constant.
	(emacs-w3m-version): Separated from revision string.

2018-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-decode-encoded-contents): Use the conventional way if
	zlib-decompress-region returns nil ([emacs-w3m:13038]).

2018-06-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-user-agent-default-alist): Fix default value;
	move "Don't send..." item to `w3m-user-agent-change'.
	(w3m-user-agent-change): Don't sort collection.

2018-06-08  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-content-type-alist): Remove extraneous fields from two
	elements (bzip2, gzip) in the alist ([emacs-w3m:13081]).

2018-06-08  Boruch Baum  <boruch_baum@gmx.com>

	Refactor w3m-process-queue memory and redability ([emacs-w3m:13013]).

	* w3m.el (w3m--dump-extra--handler-function)
	(w3m--retrieve--handler-function, w3m--retrieve-1--handler-function)
	(defun w3m--retrieve-and-render--handler-function)
	(w3m--goto-url--handler-function, w3m--goto-url--valid-url):
	New functions to reduce memory footprint of `w3m-process-queue',
	aid readability debugging.

	* w3m.el (w3m-w3m-dump-extra, w3m-w3m-retrieve, w3m-w3m-retrieve-1)
	(w3m-retrieve-and-render, w3m-goto-url):
	Use the new functions listed above.

2018-06-07  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-stackexchange): Rewrite ([emacs-w3m:13010]).

2018-06-01  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-stackexchange, w3m-filter-youtube):
	New filters ([emacs-w3m:12999]).
	(w3m-filter-configuration): Add those filters.

2018-05-30  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-generic-page-header):
	New filter ([emacs-w3m:12996]).
	(w3m-filter-configuration): Add it but not activated by default.

2018-05-23  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-delete-buffer): Perform some operations from a temporary
	buffer in order not to lose information such as `w3m-current-url'
	([emacs-w3m:12989]).

2018-05-23  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-select-buffer): Pass correct current buffer value to
	`w3m-select-buffer-generate-contents' ([emacs-w3m:12988]).
	(w3m-select-buffer-generate-contents): Variable rename.

2018-05-19  Kevin Ryde  <user42_kevin@yahoo.com.au>

	* w3m-favicon.el (w3m-favicon-setup): Enable favicons be taken from
	file://, too ([emacs-w3m:12983]).

2018-05-18  Boruch Baum  <boruch_baum@gmx.com>

	Make progress messages more uniform and more useful
	([emacs-w3m:12980] [emacs-w3m:12986]).

	* w3m.el (w3m-display-progress-message): Combine code from
	`w3m-retrieve-and-render', separate url from "...", and add
	user-friendly advice message.
	(w3m-retrieve-and-render): Replace snippet with call to
	`w3m-display-progress-message'.

	* w3m-proc.el (w3m-process-stop): Document in the buffer when an
	operation has been aborted by the user, what that operation was, and
	remove progress message.

2018-05-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-proc.el (w3m-process-stop): Don't move point ([emacs-w3m:12976]).

2018-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Work for mailto urls.

	* w3m.el (w3m-url-readable-string): Make w3m-url-decode-string detect
	coding system for mailto url instead of using w3m-url-coding-system.
	(w3m-fontify-anchors, w3m-goto-url): Don't encode mailto url.
	(w3m-goto-mailto-url): Remove CR from, but preserve LF in mailto url;
	don't decode mailto url containing non-ASCII letters.

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	Update faces for all navigation cases ([emacs-w3m:12969]).

	* w3m-session.el (w3m--session-update-faces): New function for
	`pre-command-hook' and `post-command-hook' in w3m-session buffers.
	(w3m-session-select-mode): Apply it.
	(w3m-session-select-list-all-sessions, w3m-session-select-next):
	Don't set the "selected" face, because it is now done by the new hook
	function.

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	Fix two bugs in navigating the w3m-session-select popup window
	([emacs-w3m:12968]).

	* w3m-session.el (w3m-session-select-list-all-sessions): Fix navigation
	errors that happen when using functions beginning-of-buffer,
	end-of-buffer.
	(w3m-session-select-next): Fix navigation so previous line of first
	rotates back to last line. Remove unnecessary loop.

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-mode): Don't visually indicate non-breaking spaces
	([emacs-w3m:12967]).

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	Bugfix for the creation of session pop-up window ([emacs-w3m:12966]).

	* w3m.el (w3m--setup-popup-window): New function.
	(w3m-select-buffer): Use it.
	(w3m-select-buffer-horizontal-window): Update documentation.

	* w3m-session.el (w3m-session-select): Use the new function, thus
	fixing a display bug, and making popup windows consistent.

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	Uniform error handling and message presentation ([emacs-w3m:12964]).

	* w3m.el (w3m--buffer-busy-error): New function for uniform error
	handling and message presentation.
	(w3m-goto-url): Use it.

	* w3m-search.el (w3m-search-read-variables): Use it.

2018-05-09  Boruch Baum  <boruch_baum@gmx.com>

	Introduce w3m-display-mode ([emacs-w3m:12963]).

	* w3m.el (w3m-display-mode): New user option.
	(w3m-display-mode): New function.
	(w3m-use-tab, w3m-use-tab-menubar, w3m-pop-up-windows)
	(w3m-pop-up-frames, w3m-copy-buffer, w3m-delete-buffer, w3m-doc-view)
	(w3m, w3m-browse-url, w3m-select-buffer, w3m-use-header-line-title)
	(w3m-safe-view-this-url): Doc fix.

	* w3m-fb.el (Commentary): Doc fix.
	(w3m-fb-mode): Fix warning message.

	* w3m-util.el (w3m-popup-buffer): Doc fix.
	(w3m-add-w3m-initial-frames): Comment fix.
	(w3m-device-on-window-system-p): Typo fix.

2018-05-08  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el (w3m-session-select-list-all-sessions): Don't display
	urls in the session select window ([emacs-w3m:12960]).

2018-05-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-image.el (w3m-favicon-usable-p): Relax the criterion.

	* aclocal.m4 (AC_PATH_EMACS): Work for Emacs >= 26 in which
	the emacs-version variable no longer includes the build number.

	* w3m-favicon.el (w3m-favicon-retrieve): Gunzip data if necessary.

2018-04-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-cache-available-p, w3m-w3m-retrieve-1): Revert.
	See [emacs-w3m:12951].

2018-04-03  Boruch Baum  <boruch_baum@gmx.com>

	Send a cached ETag to the remote server so as to check whether
	the server responds with 304 meaning the cache is still up-to-date.
	[emacs-w3m:12947]

	* w3m.el (w3m-cache-available-p): Fetch Etag.
	(w3m-w3m-retrieve-1): Send it to the server.

2018-03-05  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-perldoc.el (w3m-about-perldoc): Expand "~" before setting
	`default-directory' to avoid an error calling a process.

2018-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	[emacs-w3m:12929]
	* w3m.el (w3m-previous-session-buffer):
	New variable, a successor to w3m-parent-session-buffer.
	(w3m-next-buffer): Set it.
	(w3m-delete-buffer): Return to it after deletion.

	* w3m-util.el (w3m-generate-new-buffer): Set it.

	* w3m-ems.el (w3m-tab-drag-mouse-function)
	(w3m-tab-click-mouse-function): Set it.

2018-02-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	[emacs-w3m:12928]
	* w3m.el (w3m-parent-session-buffer): Remove it (temporarily).

	* w3m-util.el (w3m-generate-new-buffer): Run w3m-mode here.

2018-02-26  Vladimir Sedach  <vas@oneofus.la>

	[emacs-w3m:12892]
	* w3m.el (w3m-view-this-url-1): Fix LAST parameter to w3m-copy-buffer
	to make new buffer go after the current buffer, as intended in revision
	1.1691 on 2017-10-13.

	* w3m-util.el (w3m-generate-new-buffer): Fix bug introduced in revision
	1.3628 on 2017-10-13 where new buffers were always assigned number 1.

2018-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-toolbar-define-keys): Don't show button names in
	tool-bar in order to prevent the rightmost buttons from being pushed
	out.  Instead, hover the mouse on a button and see the help-echo.

2018-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-generate-new-buffer): Work for w3m-fb-mode correctly
	([emacs-w3m:12904]).

2018-02-20  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-relationship-estimate-rules): Remove rule for
	discontinued freshmeat.net website.  Improve docstring
	([emacs-w3m:12924]).

2018-02-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	Delete about://cookie/ buffer when w3m-view-previous-page is performed.
	Suggested by Dan Jacobson.

	* w3m-cookie.el (w3m-cookie): Clear history.

	* w3m.el (w3m-view-previous-page): Delete about://cookie/ buffer
	if there is no other w3m-mode buffer.

2018-02-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el (w3m-session-select-quit): Remove cruft:
	w3m-session-select-wincfg is used, but never set.  This caused a bad
	(nil) window configuration to be used when exiting a session-select
	window in w3m-fb mode ([emacs-w3m:12918]).

2018-02-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el (w3m-session-rename): BUGFIX: had been failing to find
	buffers with identical names to rename candidate ([emacs-w3m:12917]).

2018-02-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-quit): Maintain frame isolation when in fb-mode.
	Update docstring.
	(w3m-close-window): Update doscstring.

	* w3m-fb.el (w3m-fb-delete-frame-buffers): Kill all buffers directly
	instead of incrementally moving to next one.  This also is part of the
	fix so that frame isolation is maintained in fb-mode after quitting.
	[emacs-w3m:12916].

2018-02-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-search.el (w3m-search-default-engine): Restrict options to valid
	current choices and present them as radio buttons ([emacs-w3m:12915]).

2018-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-session.el: Tidy up source code so as to be within 80-column.

2018-02-16  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el: Reformat docstrings for proper opening summary
	sentence ([emacs-w3m:12912]).

2018-02-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-fb.el (w3m-fb-mode, w3m-fb-delete-frame-kill-buffers):
	Use delete-frame-functions.
	(w3m-fb-delete-frame-functions): Remove.

	* w3m-util.el (w3m-delete-frames-and-windows): Bind
	delete-frame-functions so as not to run w3m-fb-delete-frame-buffers.
	(w3m-delete-w3m-initial-frames): Remove obsolete delete-frame-hook.

2018-02-15  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el: Add commentary, correct grammar of prompts..
	(w3m-session-group-open): New variable
	(w3m-session-select-quit): Quitting a session-group display returns to
	its parent session list display.
	(w3m-session-select-open-session-group, w3m-session-select-rename)
	(w3m-session-select-delete): Stay on proper line when within
	session-group display, after renaming or deleting an entry.
	This required adding an optional arg to the function.
	(w3m-session-rename): Allow renaming individual tabs of a session.
	(w3m-session-delete): Allow deleting individual tabs of a session.
	[emacs-w3m:12907]

2018-02-14  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-external-view): Fix regex for url's that contain uri
	'query' and or 'fragment' components ([emacs-w3m:12901]).

2018-02-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-string-match-url-components)
	(w3m-string-match-url-components-1, w3m-url-strip-fragment):
	Don't recognize a url fragment "#/foo" as a name attribution.

2018-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-gnome-bugzilla):
	Limit to <pre class="bz_comment_text">.  Thanks to Kevin Ryde
	([emacs-w3m:12890]).

2018-01-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-gnome-bugzilla): New ([emacs-w3m:12885]).

2018-01-19  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-user-agent-site-specific): Remove debug message.
	[emacs-w3m:12883]

2018-01-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-add-referer): Update for https support.
	(w3m-user-agent-site-specific-alist, w3m-user-agent-site-specific):
	New feature.
	(w3m-header-arguments, w3m-request-arguments): Integrate new feature.
	[emacs-w3m:12881]

2018-01-17  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-user-agent-change): New feature.
	(w3m-reload-this-page): Integrate new feature.
	(w3m-request-arguments, w3m-header-arguments): Ensure w3m and
	w3mmee honor `w3m-add-user-agent'.  [emacs-w3m:12876]

2018-01-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make `cd doc; make pdf' work again  [emacs-w3m:12875]

	This requires Texinfo the version >=6.3, and either (or both) of LuaTeX
	>=0.95 (i.e., TeXLive >=2016) or XeTeX >=0.9998 (i.e., TeXLive >=2012).

	* Makefile.in (clean): Use doc/Makefile's clean.

	* aclocal.m4 (AC_CHECK_TEXINFO): New function.

	* configure.in (MAKEINFO, TEXI2PDF): Check version.
	(TEXI2DVI, PTEX, PBIBTEX, DVIPDFMX, TEXI2PDF): Remove.

	* doc/Makefile.in (TEXI2DVI, PTEX, PBIBTEX, DVIPDFMX, TEXI2PDF): Remove.
	(PDFTEX): New internal variable.
	(dvi, dvi-en, dvi-ja, emacs-w3m.dvi, emacs-w3m-ja.dvi, .texi.dvi):
	Remove targets.
	(.texi.pdf): Use texi2pdf instead of dvipdfmx.
	(clean): Renew.

	* doc/emacs-w3m-ja.texi (texinfo-ja.tex): Use it instead of texinfo.tex.
	(@documentencoding): New.
	(@usedvipdfmx): Remove.

	* doc/texinfo-ja.tex: New file.
	* doc/texinfo.tex, doc/txi-en.tex, doc/txi-ja.tex: Renew.

2017-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Update selection buffer properly after deletion or renaming.
	Suggested by Boruch Baum ([emacs-w3m:12847]).

	* w3m-session.el (w3m-session-save): Update selection buffer.
	(w3m-session-select-rename, w3m-session-select-delete):
	Make the selected session highlighted after renaming or deletion.
	(w3m-session-select): Allow specifying the session number;
	close selection window when no session remains after deletion.
	(w3m-session-save, w3m-session-rename): Emulate INITIAL-INPUT.

2017-12-12  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-lynx-like-map): Remap "s" to `w3m-search', "S" to
	`w3m-search-new-session'. [emacs-w3m:12838]
	(w3m-ctl-c-map): Remap "C-c M-h" to `w3m-history' [emacs-w3m:12842]

2017-12-08  Boruch Baum  <boruch_baum@gmx.com>

	[emacs-w3m:12840]
	* w3m.el (w3m-edit-url, w3m-edit-current-url, w3m-edit-this-url):
	Enable editing non-local files. In such cases, the user is prompted to
	save the emacs-w3m buffer locally, prior to beginning the editing
	session. Edit docstring.
	(w3m-goto-url, w3m-goto-url-new-session): Clarify in docstring
	and in input prompt whether the action is to happen in the current or
	in a new buffer.
	* w3m-save.el (w3m-save-buffer): function returns the saved file name.
	* w3m-bookmark.el (w3m-bookmark-view-new-session): Add to docstring
	whether the bookmark list will be presented in the current or in a new
	buffer.
	* w3m-search.el (w3m-search-read-variables): Add to docstring
	information on new arg, rename arg to `where', change terminology from
	`session' to `buffer'.
	(w3m-search, w3m-search-new-session): Add to docstring whether results
	will be repesented in the current or in a new buffer.

2017-12-07  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-search.el (w3m-search, w3m-search-new-session)
	(w3m-search-read-variables): Provide visual feedback for whether search
	will be in new or current session ([emacs-w3m:12837]).

2017-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el: Require seq.

	* w3m-session.el (w3m-session-save, w3m-session-crash-recovery-save)
	(w3m-session-crash-recovery-remove, w3m-session-rename)
	(w3m-session-delete): Use delq rather than delete.

2017-12-07  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-session.el (w3m-session-select-delete)
	(w3m-session-select-rename): Retain cursor position after completion;
	simplify code ([emacs-w3m:12832]).

2017-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-add-name-anchors): Relax regexp
	([emacs-w3m:12824]).  Thanks to Musha-san and Shirai-san.

2017-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-detect-meta-charset): Ignore comment ([emacs-w3m:12828]).
	Thanks to Renato Ferreira.

2017-11-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-add-name-anchors):
	Work for id="name" where name begins with "." ([emacs-w3m:12812]).

2017-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-copy-buffer): Make the copied buffer the next of the
	current buffer by default (like Firefox does); use the new argument
	LAST to make it the last in order of buffers.
	(w3m-view-this-url-1, w3m-goto-url, w3m-goto-url-new-session): Set LAST.

	* w3m-util.el (w3m-generate-new-buffer): Make the new buffer the next
	of the current buffer if the new argument NEXT is set.

	* w3m-util.el (w3m-about-cookie): Use input instead of textarea.

2017-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make `w3m-retrieve' do onload redirection.

	* w3m.el (w3m-retrieve-and-render): Move onload redirection stuff to
	(w3m-w3m-onload-redirection): New function.
	(w3m-w3m-retrieve-1): Use it.
	(w3m-decode-encoded-contents): Use zlib-decompress-region for gzip.

2017-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-cookie.el (w3m-about-cookie): Work for old Emacsen.
	* aclocal.m4 (AC_PATH_EMACS): Work for Emacs 27 and greater.

2017-09-25  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-confirm-leaving-secure-page):
	Move forward ([emacs-w3m:12807]).

2017-09-25  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-goto-url-new-session): Fix the problem ([emacs-w3m:12584])
	that a w3m buffer is mis-named "*server*-nnnnnn";
	Use (if (not CONDITION) FOO BAR) instead of (if CONDITION BAR FOO) style
	in order to improve the visibility of the code.

2017-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Workaround: don't do redirection if
	the onload function name doesn't end with ".submit" ([emacs-w3m:12795]).

	* w3m.el (w3m-content-type-alist): Run mailcap-parse-mailcaps and
	mailcap-parse-mimetypes before setting it.
	(w3m-create-page): Run w3m-external-view in tty for images, etc.
	(w3m-external-view-file): Make deleting of temp file delayed.
	[emacs-w3m:12793]

2017-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-verbose, w3m-message-silent, w3m-message): Doc fix.

	* w3m-cookie.el (w3m-about-cookie):
	Add GUIs that support limiting and deleting ([emacs-w3m:12790]).
	* w3m-form.el (w3m-form-make-form-data):
	Don't encode SPC in a search word used for w3m-cookie.

2017-08-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Parse a form in its page buffer.

2017-08-11  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-italic):
	* w3m-lnum.el (w3m-lnum-minibuffer-prompt, w3m-lnum-match):
	* w3m-session.el (w3m-session-select, w3m-session-selected):
	Update "face spec" DISPLAY form "type" to be `nil' for character-only
	terminals.  [emacs-w3m:12788]

2017-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Do onload redirection.
	[emacs-w3m:12787]

2017-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-arrived-shutdown):
	* w3m-cookie.el (w3m-cookie-shutdown): Don't error out.

2017-08-08  Akinori MUSHA  <knu@iDaemons.org>

	* w3m.el: Don't add autoload functions to hooks (see below).
	[emacs-w3m:12784]

	* w3m-cookie.el: Add w3m-cookie-shutdown to kill-emacs-hook here.

	* w3m-sesseion.el: Add w3m-session-crash-recovery-remove and
	w3m-session-automatic-save to w3m-arrived-shutdown-functions here.

2017-08-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-scroll-up, w3m-scroll-down): Make argument default to 1
	if and only if called interactively so that w3m-scroll-up-or-next-url
	and w3m-scroll-down-or-previous-url work as before.  [emacs-w3m:12783]

2017-08-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-cookie.el (w3m-cookie-1-acceptable-p):
	Use url-domsuf-cookie-allowed-p if available to check if a domain is
	unique to allow having cookies set.  [emacs-w3m:12782]

2017-08-03  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-scroll-up, w3m-scroll-down): Remove restriction of using
	prefix-argument, remove code that fixes bug in emacs v21.
	(w3m-mwheel-scroll-up, w3m-mwheel-scroll-down): Delete.
	(w3m-mode): Change local bindings of `mwheel-scroll-up-function' and
	`mwheel-scroll-down-function' to `w3m-scroll-up' and `w3m-scroll-down'.
	[emacs-w3m:12779]

2017-08-02  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-search.el (w3m-search-engine-alist): Update URL for debian
	package search, and change its default parameters from i386
	architecture to amd64.  [emacs-w3m:12776]

2017-07-28  defanor  <defanor@uberspace.net>

	"google feeling lucky" to "feeling searchy" ([emacs-w3m:12774])

	* w3m.el (w3m-enable-feeling-searchy):
	Rename from w3m-enable-google-feeling-lucky.
	(w3m-canonicalize-url):
	Doc fix; use w3m-search-do-search to generate url.
	(w3m-canonicalize-url, w3m-input-url, w3m-view-this-url, w3m-goto-url)
	(w3m-goto-url-new-session, w3m): feeling-lucky to feeling-searchy.

2017-07-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	Fix cookies handling ([emacs-w3m:12768], [emacs-w3m:12772])

	Regard a Set-Cookie header as it contains a single cookie, that is,
	the one at the beginning of the field is it and succeeding semi-colon
	separated ones are the attributions of it.  Formerly the Lisp code
	regarded the semi-colon separated ones as all individual cookies, and
	therefore the locally stored cookies would potentially be all bogus.
	So, we highly recommend resetting it once when you start using or if
	you are already using this version of w3m-cookie.el.  To do that,
	shutdown Emacs and delete the "~/.w3m/.cookie" file (or the ".cookie"
	file existing in the `w3m-profile-directory').

	* w3m-cookie.el (w3m-cookie-parse-args): Reverse the order of the value.
	(w3m-cookie-1-set): Regard a Set-Cookie header as it contains a single
	cookie; prefer Max-Age than Expires and convert it to Expires.
	(w3m-cookie-get): Use "NAME", not "NAME=", if the value of NAME is null.

2017-07-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-content-type-alist): Exclude zero-length extension.
	(w3m-canonicalize-url): Test preferentially if URL is a local file.

2017-07-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-url-invalid-regexp): Remove.
	(w3m-url-valid): Use w3m-url-invalid-base instead.  [emacs-w3m:12767]

2017-07-20  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el, w3m-util.el (w3m-url-fallback-base):
	Rename `w3m-url-fallback-base' to more descriptive
	`w3m-url-invalid-base' ([emacs-w3m:12763]).

2017-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly):
	Work for two or more disabled tags.

2017-07-16  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-canonicalize-url): Make scheme default to https, not http.
	[emacs-w3m:12749]

2017-07-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-delete-frames-and-windows): Replace `one-window-p'
	with a custom function that works for unselected windows as well.

2017-07-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-delete-frames-and-windows): Work for Emacs on tty;
	always delete w3m windows if possible ([emacs-w3m:12733]).
	* w3m.el (w3m-select-buffer-delete-buffer):
	No need to wind up selection buffer when quitting.

2017-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-show-form-hint): Clarify echo message.
	* w3m-form.el (w3m-form-expand-form, w3m-form-unexpand-form):
	Work for mouse-clicking ([emacs-w3m:12731]).

2017-07-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-show-form-hint): Expand form so at to show text fully.
	* w3m-form.el (w3m-form-input): Revert 2017-06-30 change.
	(w3m-form-expand-form, w3m-form-unexpand-form): New functions.
	[emacs-w3m:12728]

2017-07-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-input-textarea-mode-hook): Fix mismatched paren;
	use outline-show-all instead of show-all if available.

2017-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-content-type-alist): Use mailcap.
	(w3m-image-viewer): Abolish.
	(w3m-create-page): Allow user to download file of unknown content-type.

2017-06-30  Vladimir Sedach  <vas@oneofus.la>

	* w3m-form.el (w3m-form-input): If input is readonly, put the input
	value on the kill ring in addition to displaying it in the echo area.
	[emacs-w3m:12724]

2017-06-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el, w3m-antenna.el, w3m-bookmark.el, w3m-cookie.el,
	w3m-dtree.el, w3m-ems.el, w3m-favicon.el, w3m-filter.el, w3m-form.el,
	w3m-namazu.el, w3m-perldoc.el, w3m-search.el, w3m-session.el,
	w3m-symbol.el, w3m.el:
	Remove `:size 0' from defcustoms ([emacs-w3m:12709]).

2017-06-26  Vladimir Sedach  <vas@oneofus.la>

	* w3m.el (w3m-url-completion-map): Bind "?" to self-insert-command.
	[emacs-w3m:12721]

2017-06-22  Vladimir Sedach  <vas@oneofus.la>

	* w3m.el (w3m-external-view-temp-directory): New user option.
	(w3m-external-view): Use it control which directory files are saved to
	before being opened with the external viewer.  [emacs-w3m:12708]

2017-06-20  Vladimir Sedach  <vas@oneofus.la>

	* w3m.el (w3m-goto-url-new-session): Handle POST data.
	[emacs-w3m:12704]

2017-06-14  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-cookie.el (w3m-cookie-url, w3m-cookie-domain, w3m-cookie-secure)
	(w3m-cookie-name, w3m-cookie-value, w3m-cookie-path)
	(w3m-cookie-version, w3m-cookie-expires, w3m-cookie-ignore): Add docs.
	(w3m-cookie): Test w3m-use-cookies here insted.
	(w3m-about-cookie): Don't test it.  [emacs-w3m:12699]

2017-06-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-makeinfo): Simplify the tweaking of `message'.

2017-06-12  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-cookie.el (w3m-cookie-clear): Make it a user command.
	(w3m-cookie): Open it as a new session ([emacs-w3m:12685]).

	* w3m.el (w3m-select-buffer-delete-buffer): Don't move point forward
	([emacs-w3m:12684]); clarify doc string.

	* w3m-filter.el (w3m-filter-rt): Bind ephemeral var ([emacs-w3m:12682]).

2017-06-12  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-rt, w3m-filter-slashdot):
	Update ([emacs-w3m:12678]).

2017-06-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-compile-file): Silence compile warnings when
	compiling w3m-filter.el ([emacs-w3m:12676]).

2017-06-11  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-delete-regions, w3m-filter-replace-regexp):
	Make a return value always mean deletion or replacement is made
	([emacs-w3m:12674]).

2017-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-delete-regions, w3m-filter-replace-regexp):
	Refactor to Lisp macros.
	(w3m-filter-geocities-remove-garbage, w3m-filter-infoseek-remove-ads)
	(w3m-filter-ascii24-remove-ads): New filters that replace the ones
	having existed in w3m-filter-configuration ([emacs-w3m:12669]).

2017-05-30  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-filter-delete-regions, w3m-filter-replace-regexp):
	Allow optional args used to modify search/replace boundaries.
	(w3m-filter-rt, w3m-filter-slashdot): New filters.
	(w3m-filter-configuration): Add new filters ([emacs-w3m:12666]).

	* w3m.el (w3m-uri-replace-alist): Remove Google groups, Altavista, and
	iij-archie ([emacs-w3m:12661]).

	* w3m-search.el (w3m-search-engine-alist): Remove Google groups that
	requires javascript and alltheweb that is forwarded to Yahoo!; use
	https on all urls ([emacs-w3m:12657]).

2017-05-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-toggle-filtering): Use completing-read.

2017-05-28  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-filter.el (w3m-toggle-filtering): New user command.

	* w3m.el (w3m-lynx-like-map, w3m-info-like-map): Bind "f" to it.

	* w3m-lnum.el (w3m-lnum-mode-map): Don't bind f, F, and w keys;
	use `L'-prefixed version defined in `w3m-lnum-map' instead.

2017-05-26  Aubrey Raech  <aubrey@raech.net>

	* w3m-search.el (w3m-search-engine-alist):
	Replace freshmeat with duckduckgo.

2017-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-decode-string): Fix previous commit, that breaks url
	of being not encoded.

2017-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't use string-(as|make|to)-(multi|uni)byte ([emacs-w3m:12630]).

	* w3m.el (w3m-url-decode-string): Use a unibyte buffer to represent
	encoded byte stream.

	* w3m-util.el (w3m-decode-coding-string-with-priority): Simplify.

2017-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-proc.el: Bind w3m-clear-display-while-reading, w3m-current-title.

2017-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	Allow local file of which the name is not absolute ([emacs-w3m:12643])

	* w3m.el (w3m-canonicalize-url): Allow local file of relative name.
	* w3m-util.el (w3m-popup-buffer): Preserve the current directory.

2017-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-proc.el (w3m-process-stop): Blank page if
	w3m-clear-display-while-reading is non-nil ([emacs-w3m:12633]).
	(w3m-process-kill-stray-processes): Separate it from
	w3m-process-start-queued-processes.

2017-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	Revert last change in w3m-decode-coding-string-with-priority.

	* w3m-util.el (w3m-decode-coding-string-with-priority): Revert.
	[emacs-w3m:12630]

2017-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't use string-make-(multi|uni)byte that got obsolete in Emacs 26.

	* octet.el (w3m-about-octet-attachments, octet-w3m-region):
	Use (decode|encode)-coding-string.
	* w3m-image.el (w3m-imagick-convert-buffer): Bind LC_ALL with C.
	* w3m-proc.el (w3m-process-start-after):
	Bind LC_ALL with C in w3m-command-environment.
	* w3m-util.el (w3m-decode-coding-string-with-priority): Don't use it.
	(w3m-insert-string): Encode a string by utf-8-emacs when inserting it
	into a unibyte buffer.
	* w3m.el (w3m-command-environment): Bind LC_ALL with C.

2017-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-external-view-this-url, w3m-external-view-current-url)
	(w3m-view-url-with-external-browser):
	Don't make obsolete.  [emacs-w3m:12627]

2017-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-real-url): Preserve #name portion.  [emacs-w3m:12618]

2017-01-04  Kevin Ryde  <user42_kevin@yahoo.com.au>

	* w3m-save.el (w3m-save-buffer): Use w3m-expand-file-name-as-url for
	w3m-history-push in case filename ~/foo etc.  [emacs-w3m:12617]

2016-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_PATH_EMACS): Work for Emacs 26.

2016-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-flet, w3m-labels): Add edebug spec.

2016-09-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Reset hscroll.

2016-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-delete-frames-and-windows): Don't try to delete
	window that this function deleted already in conjunction with its frame.
	It happened when a frame has two or more emacs-w3m windows.

2016-09-08  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-save.el (w3m-save-buffer-html-only): New user option.
	(w3m-save-buffer): Use it; improve docstring.  [emacs-w3m:12595]

2016-08-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-at-point): Refactor.

2016-08-18  Boruch Baum  <boruch_baum@gmx.com>

	* w3m.el (w3m-image-viewer): Make it defcustom.

2016-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Don't use `string-as-multibyte' and `string-as-unibyte' that are
	obsolete in Emacs 25.2.
	Use `string-make-multibyte' and `string-make-unibyte' instead.

	* octet.el (octet-w3m-region):
	* w3m-image.el (w3m-imagick-convert-buffer):
	* w3m-proc.el (w3m-process-start-after):
	* w3m-util.el (w3m-insert-string): Do.

	Remove Gmane mailing list archive stuff.

	* w3m.el (w3m-gmane-url-at-point): Remove.

2016-08-01  Boruch Baum  <boruch_baum@gmx.com>

	* w3m-lnum.el: Do a boundp test for browse-url-generic-program.

2016-07-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make w3m-delete-buffer return to the buffer that launches
	the buffer to be deleted if w3m-use-tab is non-nil.

	* w3m.el (w3m-parent-session-buffer): New internal variable.
	(w3m-view-this-url-1):
	Save the current session in it when launching a new session.
	(w3m-delete-buffer, w3m-next-buffer):
	Return to the buffer that launches the buffer to be deleted.

2016-07-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-lynx-like-map): Bind "K" to w3m-scroll-down.
	[emacs-w3m:12570]

2016-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-create-image): Run w3m-image-animate in page buffer.

	* w3m.el (w3m-goto-url): Run w3m-select-buffer-update after evaluating
	w3m-display-hook and w3m-display-functions.  [emacs-w3m:12568]
	It seems to be rational to run w3m-force-window-update, that
	w3m-select-buffer-update runs, after settling down the page display.

2016-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-buffer-name-lessp): Work for Emacs 25.2 that starts
	numbered buffer names with *w3m*<1>, not *w3m*<2>.

2016-03-04  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-markdown-converter): New option to select the command to
	convert markdown formed files into HTML format.
	(w3m-prepare-markdown-content): Use the above.

2016-03-03  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Add support for markdown formed files.
	(w3m-content-type-alist, w3m-local-find-file-regexps): Add markdown
	entry.
	(w3m-prepare-markdown-content): New function.

2015-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	Prefer Cygwin pathnames when building emacs-w3m on Cygwin for
	Windows-native Emacs.  [emacs-w3m:12540]

	* aclocal.m4 (AC_PATH_CYGWIN): New function.
	(AC_PATH_LISPDIR, AC_PATH_ICONDIR): Use it.
	* configure.in: Check for cygpath program.

2015-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (lisp, what-where, install-package, install-package-ja)
	(dist, .el.elc, slow, very-slow)
	* doc/Makefile.in (EMACSINFO, version.texi): Quote Emacs's path name.

2015-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_SET_VANILLA_FLAG, AC_SET_XEMACSDEBUG, AC_EMACS_LISP)
	(AC_ADD_LOAD_PATH):
	* Makefile.in (FLAGS, lisp, what-where, install-lisp, install-package)
	(install-package-ja, dist, tarball, .el.elc, slow, very-slow):
	* doc/Makefile.in (FLAGS, EMACSINFO, version.texi, install, install-en)
	(install-ja): Work for path names containing whitespace.
	[emacs-w3m:12530]

2015-10-13  Bruno F$(D+1(Blix Rezende Ribeiro  <oitofelix@gnu.org>

	* w3m-form.el (w3m-form-make-form-data): Protect against empty token.
	[emacs-w3m:12517]

2015-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-gmane-url-at-point):
	Change query url to <http://news.gmane.org/group/thread=MESSAGE-ID>.

	* doc/txi-ja.tex: Make the pdf document display a bookmark by default.

2015-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* configure.in:
	* doc/Makefile.in (.texi.dvi): Use pbibtex rather than jbibtex.
	* doc/emacs-w3m-ja.texi: Add @usedvipdfmx to generate pdf bookmark.
	* doc/txi-ja.tex: Copy from <https://github.com/fukusaka/texinfo-ja/>.

2015-09-29  Kevin Ryde  <user42_kevin@yahoo.com.au>

	* w3m.el (w3m-check-header-tags): w3m-expand-url <base> to tolerate
	a non-absolute there, as for example from archive.org.
	(If w3m-current-base-url is relative then form setups error out.)

2015-06-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render):
	Set w3m-current-url (and w3m-current-title) so as to enable moving back
	to the past page (in the case w3m-clear-display-while-reading is t).
	(w3m-goto-url): Don't move point to the top when it failed to retrieve.
	[emacs-w3m:12471]

2015-06-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render):
	Don't display progress message for `about:' pages.  [emacs-w3m:12465]

2015-05-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-refresh-at-time): Remove workaround.  [emacs-w3m:12459]

2015-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-use-refresh): Mention Google looping problem in docstring.
	(w3m-refresh-minimum-interval): Default to 5; change the meaning.
	(w3m-check-refresh-attribute, w3m-view-previous-page):
	Do nothing for w3m-refresh-minimum-interval.
	(w3m-refresh-at-time):
	Override meta refresh seconds by w3m-refresh-minimum-interval.
	(w3m-goto-url-with-timer): Check for buffer's existence correctly.

2015-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-error): Work for XEmacs.  [emacs-w3m:12444]
	(w3m-retrieve-and-render): Work for XEmacs.
	Note: `get-buffer-window' requires a buffer for the 1st arg in XEmacs.

2015-05-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-refresh-at-time):
	Temporary fix to avoid Google search looping.  [emacs-w3m:12440]

2015-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-error): New face.
	(w3m-retrieve-and-render): Denote `failed' if it did so.

2015-04-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-clear-display-while-reading): New user option.
	(w3m-retrieve-and-render): Clear the current display while reading
	a new page if w3m-clear-display-while-reading is non-nil.
	[emacs-w3m:12428]

2015-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-savable-p): New function.
	(w3m-toolbar, w3m-menubar): Use it.

	* w3m-save.el: Provide the feature.

2015-04-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toolbar-buttons, w3m-toolbar): Add `Save' button.

	* icons/save-up.png, icons/save-up.xpm
	* icons30/save-up.png, icons30/save-up.xpm: New files.

2015-04-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-save.el: New file.

	* w3m.el (w3m-menubar, w3m-lynx-like-map, w3m-info-like-map):
	Add w3m-save-buffer and bind `C-x C-s' to it.

2015-03-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-add-name-anchors):
	Don't use ambiguous regexp.  [emacs-w3m:12422]

2015-02-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-search-name-anchor): Search for both "name" and
	(w3m-url-decode-string "name").  [emacs-w3m:12392]

2015-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-extra-numeric-character-reference):
	Use #x20 instead of ? .
	(w3m-scroll-up-1): Remove obsolete function alias to w3m-scroll-up.

2015-01-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-compile-file): New function.
	(w3mhack-compile): Use it.

2014-11-24  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el (w3m-lnum-actions-link-alist): Add open in background
	bindings.
	(w3m-lnum-remove-overlays): Enlarge default region to clean.
	(w3m-lnum-set-numbering): Use w3m-lnum-remove-overlays.
	(w3m-lnum-next-filter): New function.
	(w3m-lnum-read-interactive): Use it to search below and above when
	filter has no matches left.
	(w3m-with-lnum): Guarantee cleanup of right buffer.
	(w3m-lnum-get-action): Fix checkdoc warning.
	(w3m-lnum-visit): Make it function.  Enable visiting in background.
	(w3m-lnum-follow): Add prefix combinations to visit links in
	background.

2014-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-extra-numeric-character-reference): Add (?\C-m . ? ).
	[emacs-w3m:12378]

2014-10-01  Herbert J. Skuhra  <h.skuhra@gmail.com>

	* aclocal.m4 (AC_PATH_EMACS): Work for Emacs 25.

2014-08-01  Michael Heerdegen  <michael_heerdegen@web.de>
	Katsumi Yamaoka <yamaoka@jpl.org>

	* w3m.el (w3m-input-url-next-history-element): Abolish.
	(w3m-url-completion-map): Don't bind M-n key.
	(w3m-input-url-default-add-completions): New function.
	(w3m-input-url):
	Bind minibuffer-default-add-function to it locally in minibuffer.

2014-07-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url-provide-initial-content): New user option.
	(w3m-input-url): Use it.
	(w3m-input-url-next-history-element): New function.
	(w3m-url-completion-map): Bind it.
	[emacs-w3m:12345]

2014-07-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-add-name-anchors): Subdivide long regexp.
	[emacs-w3m:12339]

2014-06-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-lisp): Compress .el files.
	* doc/Makefile.in (install): Compress info files.

	* aclocal.m4 (AC_COMPRESS_INSTALL): New function.
	* configure.in: Use it.

2014-06-11  Kevin Ryde  <user42_kevin@yahoo.com.au>

	* w3m.el (w3m-zoom-out-image, w3m-resize-image-interactive): Treat
	zoom-out percentage as inverse of zoom-in, so "in" then "out" returns
	to the original size.
	(w3m-resize-inline-image-internal): Set w3m-image-scale property to
	flonum to avoid integer round-off when resizing in and out.  Use
	`round' rather than `truncate' when calling "convert" so flonum
	round-off 99.999 is original 100%.

2014-06-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-content-type-alist): Don't bug out for the case where
	browse-url-browser-function is set to a function symbol that is not yet
	defined.  [emacs-w3m:12317]

2014-04-21  Michael Ernst  <mernst@cs.washington.edu>

	* w3m-util.el (w3m-beginning-of-tag, w3m-end-of-tag): Work correctly
	for the case there is only whitespace between <tag> and </tag>.

2014-03-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-markup-urls-nobreak): Don't modify textarea.
	[emacs-w3m:12308]

2014-03-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Update regexps for Google.

2014-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-encode-string): Encode `:' and `/'.
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

	* w3m-form.el (w3m-form-make-form-data, w3m-form-parse-and-fontify):
	Use car-less-than-car.

2014-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly): Relax regexp.

	* w3m-form.el (w3m-form-submit): Work for a url having no query part.

2014-01-08  Mirko M.  <mirko.m@hotmail.com>

	* w3m-util.el (w3m-delete-frames-and-windows): Don't clear the windows
	layout that used to be before visiting an emacs-w3m buffer.
	[emacs-w3m:12273]

2014-01-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-static-if, w3m-static-when, w3m-static-unless)
	(w3m-static-cond): Add edebug spec.

	* octet.el: Fix edebug spec for the static-* macros.

2013-12-03  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* mew-w3m.el (mew-w3m-region): Set point to the end of <div> tag to
	prevent infinite loop.

2013-12-01  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* mew-w3m.el (mew-w3m-region): Set point to minimum for
	`mew-w3m-cite-blockquote' to work.

2013-11-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mew-w3m.el (mew-w3m-cite-blockquote): New function.
	(mew-w3m-region): Use it.

2013-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly): Rewrite.

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly):
	Fix the width of disabled select form.

2013-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly): Replace
	disabled or readonly select forms, that w3m doesn't support, with
	read-only input forms.  [emacs-w3m:12222]

	* w3m-form.el (w3m-form-parse-and-fontify): Make read-only text buttons
	for image, reset, and submit forms if readonly attr is turned on.

	* w3m-ems.el, w3m-form (w3m-form-make-button): Add the optional
	readonly argument; make a read-only text button if it is non-nil.

2013-11-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make non-link urls unbreakable.  [emacs-w3m:12215]

	* w3m.el (w3m-markup-urls-nobreak): New function.
	(w3m-rendering-buffer): Use it.

2013-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	Simplify the tab line control so as not to consume CPU.
	Thanks to Michael Heerdegen for good suggestions.

	* w3m-ems.el (w3m-tab-line-format, w3m-tab-timer): Abolish.
	(w3m-tab-mouse-track-selected-tab): Run `w3m-tab-line' instead of using
	its cache; remove unused argument `buffers'.
	(w3m-tab-line): Don't use chache and timer.

2013-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	Replace `w3m-external-view-current-url', `w3m-external-view-this-url',
	and `w3m-view-url-with-external-browser' with
	`w3m-view-url-with-browse-url' that runs `browse-url'. [emacs-w3m:12190]

	* w3m.el (w3m-menubar, w3m-tab-button-menu-commands, w3m-link-map): Do.
	(w3m-external-view-current-url, w3m-external-view-this-url)
	(w3m-view-url-with-external-browser): Make obsolete.
	(w3m-view-url-with-browse-url): New function.
	(w3m-mode-map): Bind "M" to it.

	* w3m-lnum.el (w3m-lnum-actions-link-alist): Bind "M" to
	w3m-view-url-with-browse-url instead of w3m-external-view.
	(w3m-lnum-mode-map): Use the key bound to w3m-view-url-with-browse-url
	for w3m-lnum-external-view-this-url.
	(w3m-lnum-external-view-this-url): Use w3m-view-url-with-browse-url
	instead of w3m-external-view.

2013-10-16  Michael Heerdegen  <michael_heerdegen@web.de>

	* w3m-ems.el (w3m-tab-line):
	Run w3m-force-window-update unconditionally.  [emacs-w3m:12175]

2013-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-inactive): Add underline property.
	(w3m-form-input-textarea): Don't use it to view read-only textarea.

2013-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make disabled or read-only forms inatcive.

	* w3m-form.el (w3m-form-parse-and-fontify): Make `select', `checkbox',
	`radio', and `file' input forms inactive.
	(w3m-form-input-checkbox, w3m-form-input-radio, w3m-form-input-file)
	(w3m-form-input-select): Don't allow keys if it is inactive.

2013-10-08  Thorsten Jolitz  <tjolitz@gmail.com>

	* w3m-form.el (w3m-form-input-textarea-mode-setup): New option for
	setting up the textarea input buffer in org-mode instead of text-mode.

	(w3m-form-input-textarea-org-mode-map) New minor-mode-map.
	(w3m-form-textarea-use-org-mode-p) New variable.
	(w3m-form-textarea-toggle-major-mode) New function.
	(w3m-form-input-textarea-mode-setup) Setup textarea edit buffer with
	major-mode 'org-mode if `w3m-form-textarea-use-org-mode-p' is non-nil.
	(w3m-form-input-textarea) Split window sensibly if
	`w3m-form-textarea-use-org-mode-p' is non-nil.
	(w3m-form-input-textarea-mode) Override default minor-mode map with
	new minor-mode-map in case major-mode is 'org-mode.

2013-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-input-textarea-mode-setup):
	Fix typo (unquoted `view-mode').

2013-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-input-textarea-mode-setup): Use view-mode to
	show disabled or readonly textarea.
	(w3m-form-input-textarea): Revert last change; use w3m-form-inactive
	face to show disabled or readonly textarea.

2013-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	Make disabled forms not editable.  [emacs-w3m:12146]

	* w3m.el (w3m-use-filter): Default to t.
	(w3m-show-form-hint): Notice form is inactive.

	* w3m-filter.el (w3m-filter-subst-disabled-with-readonly): New function
	that substitutes the `disabled' attribute with the `readonly' attribute
	in an html source so as to enable w3m to handle.
	(w3m-filter-configuration): Add it.

	* w3m-form.el (w3m-form-inactive): New face.
	(w3m-fontify-textareas, w3m-form-parse-and-fontify): Use it if text is
	not editable.
	(w3m-form-input): Use w3m-message rather than message.
	(w3m-form-input-textarea): Don't allow editing text if it is disabled.
	(w3m-form-last-position): New variable.
	(w3m-form-restore-last-position): New function.
	(w3m-form-submit): Add it to w3m-fontify-after-hook.

2013-09-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Default to `default' or "".
	(w3m-download): Prompt for url endlessly instead of bugging out.
	(w3m): Doc fix.

2013-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-completion-map): New overriding keymap.
	(w3m-input-url): Use it.
	Suggested by Manuel Giraud <manuel@ledu-giraud.fr>.

2013-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-toolbar-make-buttons): Make tool-bar button use
	a single icon image if Emacs built with Gtk+ is running.
	cf.
	<https://lists.gnu.org/archive/html/bug-gnu-emacs/2013-09/msg00170.html>
	(w3m-toolbar-use-single-image-per-icon): Add a note to docstring.

2013-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-decode-coding-string-with-priority):
	Move from w3m-ems.el and w3m-xmas.el.
	* w3m-ems.el, w3m-xmas.el
	(w3m-decode-coding-string-with-priority): Move to w3m-util.el.
	* w3m-proc.el: Don't Fbind it.

	* w3mhack.el (w3mhack-make-package):
	Avoid making a hard link for w3m-load.el twice.

2013-09-03  Manuel Giraud  <manuel@ledu-giraud.fr>

	* w3m.el (w3m-canonicalize-url): Do uri replace before normal parsing.

2013-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	Prefer uris based on w3m-uri-replace-alist to Google's feeling lucky.
	Suggested by Michael Heerdegen <michael_heerdegen@web.de>.

	* w3m.el (w3m-canonicalize-url): Run w3m-uri-replace before falling
	back to Google's feeling lucky.
	(w3m-uri-replace): Simply return nil if there is no replacement.
	(w3m-goto-url): Move forward w3m-uri-replace to w3m-canonicalize-url.

2013-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Record failed urls as well to the
	arrived database.  Suggested by Dan Jacobson.
	(w3m-delete-buffer): Kill form buffers before killing a page buffer.
	(w3m-delete-buffer): Work around mysterious bug where window positions
	aren't restored if this command is called by a mouse event.  Reported
	by Dan Jacobson.

2013-08-26  Dan Jacobson  <jidanni@jidanni.org>

	* w3m.el (w3m-toolbar): Simplify the label used for w3m-history.

2013-08-13  Kevin Ryde  <user42@zip.com.au>

	* w3mhack.el (w3mhack-module-list): Remove w3mhack-load-file from the
	modules not to be byte compiled, so that it is byte compiled.
	(w3mhack-generate-load-file): Remove no-byte-compile from w3m-load.el.

2013-08-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-parse-and-fontify): Prefer base url if any
	rather than the current url when constructing urls that form buttons
	specify.  Thanks to Thorsten Jolitz [emacs-w3m: 12107].

2013-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m): Enable it again to fetch Gmane url and others.
	(w3m-gmane-url-at-point): Update url.

2013-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-use-cookies): Default to t.

	Make `w3m-input-url' offer no useless initial string.
	* w3m.el (w3m-active-region-or-url-at-point, w3m-input-url)
	(w3m-download, w3m-view-this-url, w3m-view-url-with-external-browser)
	(w3m-goto-url, w3m-goto-url-new-session, w3m): Do.

2013-06-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4: Make configure work for term-mode running in Emacs.

2013-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (ffap-url-regexp): Silence the byte compiler.

	* mime-w3m.el: Require calist when compiling.

2013-05-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el: Don't use obsolete macro dont-compile.

	* w3m.el (w3m-goto-mailto-url): Bind display-buffer-alist instead of
	special-display-buffer-names and special-display-regexps for Emacs >=
	24.3.

	* w3m-ems.el (w3m-image-multi-frame-p): Exclude images that don't
	specify a delay.

2013-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter): Don't modify w3m-filter-rules.

2013-04-12  REN Lifeng  <renlifeng@wowfly.com>

	* w3m-session.el (w3m-session-rename): Don't infloop.

2013-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-configuration):
	Use w3m-language rather than w3m-use-japanese-menu.

2013-04-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-add-name-anchors): Fix regexp matching name
	anchors.  Reported by Dan Jacobson <jidanni@jidanni.org>.

2013-04-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-get-by-name): Distinguish the type of forms of
	the same names.  Reported by Kevin Ryde <user42@zip.com.au>.
	(w3m-form-resume, w3m-form-parse-and-fontify, w3m-form-input-map): Do.

2013-04-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-fix-tfoot-rendering): New filter.
	(w3m-filter-configuration): Add it but not activate.

	* w3m-ems.el (w3m-image-multi-frame-p): New alias.
	(w3m-image-animate): Use it.

2013-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Remove workaround.
	* w3m-util.el (w3m-force-window-update-later): Make 1st arg optional.
	* w3m-ems.el (w3m-force-window-update): A window need to be redisplayed
	for `force-window-update' to work (see the docstring).

2013-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-lnum-read-interactive): Replace w3m-scroll-up-1 with
	w3m-scroll-up.

	* w3m.el (w3m-scroll-up): Rename from w3m-scroll-up-1.
	(w3m-scroll-up, w3m-scroll-up-or-next-url): Make the bottom of a page
	border on the bottom of a screen when having finished scrolling
	the page up.
	(w3m-scroll-down): New function detached from
	w3m-scroll-down-or-previous-url.
	(w3m-scroll-down-or-previous-url): Move point to the top when having
	finished scrolling a page down.
	(w3m-mwheel-scroll-up, w3m-mwheel-scroll-down): New functions.
	(w3m-mode): Bind mwheel-scroll-(up,down)-function to
	w3m-mwheel-scroll-(up,down).
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

2013-01-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-retrieve-and-render): Do (sit-for 0) to update the
	header-line appearance as a workaround; see the 2013-01-11 comment.
	(w3m-view-this-url-1): Revert 2010-01-15 change; don't popup new
	session if w3m-new-session-in-background is non-nil.
	Reported by Michael Heerdegen <michael_heerdegen@web.de>.

2012-12-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-search.el (w3m-search-do-search): Save history position.
	Reported by Dan Jacobson <jidanni@jidanni.org>.

2012-12-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-ems-create-image): Abolish.
	(w3m-image-animate-seconds): New user option.
	(w3m-image-animate): New function.
	(w3m-create-image): Use it.

	* w3m.el (w3m-resize-inline-image-internal): Use w3m-image-animate.

	* w3m-xmas.el (w3m-image-animate): Alias to identity.

2012-12-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-decode-anchor-string): Decode url used to next/prev/...
	cf. http://emacs-w3m.namazu.org/ml/msg11824.html

2012-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-flet): Rewrite it using cl-letf.

2012-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-labels): Revert; use cl-labels if available.

2012-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-labels): Rewrite.

2012-11-19  Uday S Reddy  <u.s.reddy@cs.bham.ac.uk>

	* w3m.el (w3m-command-environment): Make the "CYGWIN" environment
	variable default to "binmode" for NTEmacs.

2012-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el (w3m-filter-configuration): Work around a widget bug.

2012-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-filter.el: Change file coding system to utf-8.
	(w3m-filter-configuration):
	New user option, a successor to w3m-filter-rules.
	(w3m-filter-rules):
	Make it semi-obsolete (but still usable) and default to nil.
	(w3m-filter):
	Use w3m-filter-configuration in addition to w3m-filter-rules.
	(w3m-filter-google-click-tracking)
	(w3m-filter-google-shrink-table-width, w3m-filter-add-name-anchors):
	New filters.

	* w3m.el (w3m-rendering-half-dump):
	Move function, that adds name anchors, to w3m-filter.el.
	(w3m-create-page): Move Google click-tracking filter to w3m-filter.el.

	* w3m-util.el (w3m-widget-type-convert-widget):
	Don't modify default sexp values.

2012-10-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bookmark.el (w3m-bookmark-buffer): Use (0 0) as the Unix epoch.

	* w3m.el (w3m-create-page): Fix regexp matching Google's click-
	tracking urls.

2012-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-rendering-half-dump): Add name anchors for only existing
	internal links.

2012-07-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-flet): New macro.

2012-07-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Decode url string by the coding system that
	url itself specifies if any.

	* w3m.el (w3m-goto-url): Allow optional save-pos argument, that leads
	it to run w3m-history-store-position.
	(w3m-view-parent-page, w3m-scroll-up-or-next-url)
	(w3m-scroll-down-or-previous-url): Run w3m-history-store-position.
	(w3m-gohome, w3m-browse-url, w3m-find-file, w3m-db-history)
	(w3m-history): Run w3m-history-store-position by way of w3m-goto-url.

	* w3m-util.el (w3m-labels): New macro that runs cl-labels in Emacs 24.2
	and later, otherwise runs labels.

	* mime-w3m.el (mime-w3m-insinuate):
	* w3m-bookmark.el (w3m-bookmark-safe-string):
	* w3m-proc.el (w3m-process-do-with-temp-buffer):
	* w3m-rss.el (w3m-rss-parse-date-string):
	* w3m-weather.el (w3m-weather-completion-table):
	Replace labels with w3m-labels.

	* w3mhack.el (w3mhack-nonunix-install): Don't use labels.

2012-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url, w3m-header-line-insert):
	Don't decode only control characters.

2012-07-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Don't decode %00~%1F and %7F~%9F in url.

2012-07-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-decode-string): Allow optional regexp matching %**.
	(w3m-header-line-insert): Don't decode %00~%1F and %7F~%9F in url.

	* w3m.el (w3m-create-page): Show raw contents briefly, not fully, when
	prompting a user for the content type.

2012-07-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-rendering-half-dump): Add name anchors fast.

2012-07-10  Naohiro Aota  <naota@elisp.net>

	* w3m.el: (w3m-data-retrieve): URL-decode data-string. It can have
	"%2b%2d%3d" representing "/+=".

2012-07-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-rendering-half-dump): Add name anchors that w3m can
	handle in nested tags.

2012-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-url-with-external-browser): Improve prompt string.
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

2012-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-active-region-or-url-at-point, w3m-print-this-url):
	Try to pick #name anchor out.

	* w3m-search.el (w3m-search-read-variables): Make commands that use it
	error out when other processes run in the current w3m buffer.

	* w3m.el (w3m-mode): Add description of some missing commands to doc.

2012-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-page): Safely quit session when a user hits C-g;
	make sure to set w3m-current-url.

2012-06-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-cache-header, w3m-cache-request-header)
	(w3m-cache-contents, w3m-cache-request-contents)
	(w3m-cache-available-p): Canonicalize given url.
	(w3m-show-error-information): Show as many info as possible.

2012-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-popup-buffer): Do nothing for the current buffer.

	* w3m.el (w3m-history-highlight-current-url): Extend href anchor to bol.

	* w3m.el (w3m-http-status-alist): New variable.
	(w3m-http-status): New variable.
	(w3m-w3m-retrieve): Set it.
	(w3m-retrieve): Clear it.
	(w3m-download, w3m-retrieve-and-render, w3m-show-error-information):
	Show http status if download or retrieving fails.

2012-06-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-encode-string-2): Encode only `(' and `)'.

2012-06-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-proc.el (w3m-process-do-with-temp-buffer): Use labels macro again.
	Functions that the labels form generates to be used in the outside of
	the labels form should be prefixed with #' from now on.
	Thanks to Michael Heerdegen and Andreas Schwab.

	* w3m-proc.el (w3m-process-do-with-temp-buffer): Don't use labels macro
	of which the spec has been changed in the most recent Emacs.

2012-06-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-expand-url): Work for scheme name containing upcase
	letters.  Reported by Dan Jacobson <jidanni@jidanni.org>.

	* w3m-util.el (w3m-force-mode-line-update): New alias.

	* w3m-lnum.el (w3m-with-lnum, w3m-lnum-universal-dispatch): Use it.

2012-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-page): Improve regexp matching Google's click-
	tracking urls.

2012-05-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-encode-string-2): New function.
	(w3m-print-current-url, w3m-print-this-url, w3m-print-this-image-url):
	Use it to encode url characters that are apt to be misidentified as
	word boundaries.

2012-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-page): Decode url in Google's click-tracking
	filter.

2012-04-18  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el (w3m-with-lnum, w3m-lnum-universal-dispatch):
	Explicitly redraw mode line.
	(w3m-lnum-visit): Fix prompt; add --insecure option to Curl.

2012-04-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-page): Add a filter for Google's click-tracking
	temporarily --- maybe this should be incorporated in w3m-filter.el.

2012-04-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-mailto-url): Protect against nil value of body=;
	decode url string; don't change mail buffer's modification status;
	make sure body text is inserted to the message body.

2012-04-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-shr-url-at-point): New function.
	(w3m-url-at-point): Use it.

	* doc/ptexinfmt.el (texinfo-format-syntax-table): Modify character
	syntax of " and \ to w, as a workaround.
	(texinfo-format-comma): Support @comma.
	(texinfo-format-parse-args): Tweak it so as to work for @comma.

2012-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-scroll-left, w3m-scroll-right): Use image-mode function
	for an image page.
	(w3m-shift-left, w3m-shift-right): Pass prefix argument to image-mode
	function.

2012-03-12  Dan Jacobson  <jidanni@jidanni.org>

	* w3m.el (w3m-ctl-c-map): Bind `C-c C-e' to w3m-goto-new-session-url.

2012-02-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules)
	(w3m-open-all-links-in-new-session): Work for https Google pages.

2012-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-mailto-url): Work for mail body.

2012-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-switch-to-buffer): Abolish.

	* w3m-bookmark.el (w3m-bookmark-add-all-urls):
	* w3m-ems.el (w3m-tab-drag-mouse-function)
	(w3m-tab-click-mouse-function, w3m-tab-next-buffer)
	(w3m-tab-make-keymap):
	* w3m-form.el (w3m-form-input-textarea, w3m-form-input-select)
	(w3m-form-input-map):
	* w3m-session.el (w3m-session-select):
	* w3m-tabmenu.el (w3m-switch-buffer, w3m-tab-menubar-open-item):
	* w3m-util.el (w3m-popup-buffer, w3m-make-menu-commands):
	* w3m.el (w3m-next-buffer, w3m-move-unseen-buffer)
	(w3m-goto-url-new-session, w3m-reload-all-pages): Revert to using
	switch-to-buffer.

2012-02-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-store-position): Don't trust column position
	that Emacs tells if there's an image.
	(w3m-history-restore-position): Revert 2011-10-21 change.

2012-02-10  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-about-header): Show info of image where point stays.

2012-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-mode): Don't make bidi-paragraph-direction bound globally
	in old Emacsen and XEmacsen.
	(w3m-goto-url): Work for name anchors.

2012-01-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-form-make-button): Use "submit" instead for an empty
	text, that won't be buttonized.
	Reported by Roland Winkler <winkler@gnu.org>.

2012-01-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fontify-anchors, w3m-goto-url): Not encode and decode
	the anchor values to use Punycode.

2012-01-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-image-type-alist): Add image/tiff.
	(w3m-view-previous-page): Protect against empty history.

2012-01-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-icons, install-icons30, install-info)
	(install-info-en, install-info-ja, install-package)
	(install-package-ja):
	* doc/Makefile.in (install): Add DESTDIR variable to installation
	directory.

	* w3mhack.el (w3mhack-expand-file-name): New function.
	(w3mhack-what-where): Use it.

	* aclocal.m4 (AC_SET_VANILLA_FLAG): Remove --no-unibyte option.

2012-01-02  Elias Pipping  <pipping@lavabit.com>

	* Makefile.in (install-lisp): Add DESTDIR variable to installation
	directory.

2011-12-26  Dan Jacobson  <jidanni@jidanni.org>

	* w3m.el (w3m-gohome): Always reload the home page.

2011-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-mode): Force paragraph direction to be left-to-right.
	Suggested by Naohiro Aota <naota@elisp.net>.

2011-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (.el.elc): Shut up.

	* w3m-lnum.el (w3m-lnum-read-interactive): Use (sit-for 0) instead of
	redisplay for Emacs 21.1, too.

2011-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_EMACS_LISP): Simplify.
	(AC_PATH_EMACS): Simplify Lisp code so as to make it work for recent
	XEmacsen.

	* w3m-favicon.el (w3m-favicon-type): Silence SXEmacs 22.1.14's byte
	compiler.

	* w3m-lnum.el (w3m-lnum-read-interactive): Use (sit-for 0) instead of
	redisplay for XEmacs.

	* w3m.el (w3m-resize-image-interactive): Use read-char-exclusive with
	no arg for XEmacs.

2011-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-read-file-name): Don't strip query part from given url.
	(w3m-download): Always prompt for file name; don't strip query part.
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

2011-12-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-lnum-universal-dispatch): Add argument passed to
	kill-buffer, Emacs 22 requires it; use beginning-of-line rather than
	move-beginning-of-line that XEmacs doesn't provide.

2011-12-02  Dan Jacobson  <jidanni@jidanni.org>

	* w3m-search.el (w3m-search-engine-alist): Put search string first in
	query form.

2011-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-popup-buffer): Restore history position always.

	* w3m.el (w3m-copy-buffer): Save history position.

2011-11-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-lnum-actions-custom-type): New variable.
	(w3m-lnum-actions-general, w3m-lnum-actions-image-alist)
	(w3m-lnum-actions-link-alist w3m-lnum-actions-button-alist)
	(w3m-lnum-actions-form-alist): Use it to improve custom type.

2011-11-16  Andrey Kotlarski  <m00naticus@gmail.com>

	Add alternative selection->action method.

	* w3m-lnum.el: Update comment section.
	(w3m-lnum-quick-browsing): Change default value.
	(w3m-lnum-actions-general, w3m-lnum-actions-image-alist)
	(w3m-lnum-actions-link-alist, w3m-lnum-actions-button-alist)
	(w3m-lnum-actions-form-alist): New custom options.
	(w3m-lnum-remove-overlays): Add optional parameters for start and end.
	(w3m-lnum, w3m-lnum-prompt-str, w3m-lnum-highlight-anchor): Sanitize
	variable naming.
	(w3m-read-event, w3m-lnum-visit, w3m-lnum-make-action): New macros.
	(w3m-lnum-read-interactive): Add optional parameters for previous filter
	and selected number.  Return last applied filter along selected value.
	Use `w3m-read-event'.  Remove lnum overlays within all buffer on
	scroll.
	(w3m-with-lnum): Add parameter for initial filter.  Change mode-line
	during selection.
	(w3m-lnum-get-action): If single image during image selection -
	immediately select it.  Accommodate to new return format of
	`w3m-lnum-read-interactive'.
	(w3m-lnum-follow): Use `w3m-lnum-visit'.
	(w3m-lnum-universal-dispatch): New function.
	(w3m-lnum-universal): New command.
	(w3m-lnum-view-image, w3m-lnum-save-image, w3m-lnum-print-this-url):
	Use nth.
	(w3m-lnum-zoom-image): Use `w3m-resize-image-interactive'.
	(w3m-lnum-zoom-in-image, w3m-lnum-zoom-out-image): Update doc string.
	(w3m-lnum-bookmark-add-this-url): Fix bookmarking of current url.
	(w3m-lnum-actions-link-alist): Add actions for generic browser and Curl
	if present.

	* w3m.el (autoload): Autoload `w3m-lnum-universal'.
	(w3m-resize-image-interactive): New function.
	(w3m-lnum-map): Add key for `w3m-lnum-universal'.

2011-11-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-expand-url): Assume only a name anchor, that has no
	scheme part nor directory part, to be the buffer: scheme.
	(w3m-buffer-local-url): Move forward.

2011-10-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el: Require w3m-util.

2011-10-22  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-goto-url): Check name anchor after redirect resolution.

2011-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-hist.el (w3m-history-restore-position): Don't hscroll if there
	are images ([emacs-w3m:11658]).

2011-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-canonicalize-url): Fix url that fails to have put
	a separator following a domain name.
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

2011-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-coding-system-alist): Add a rule for Google.
	(w3m-url-coding-system): Allow function to determine coding system.

2011-10-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-encode-string, w3m-url-transfer-encode-string):
	Restore optional coding argument.
	(w3m-gmane-url-at-point, w3m-canonicalize-url): Do.
	(w3m-download): Decode file name in url.

	* w3m-form.el (w3m-form-make-form-data, w3m-form-parse-and-fontify):
	* w3m-search.el (w3m-search-escape-query-string, w3m-search-do-search)
	(w3m-search-uri-replace): Revert last change.

2011-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-coding-system-alist): New user option.
	(w3m-show-decoded-url, w3m-google-feeling-lucky-charset): Abolish.
	(w3m-url-coding-system): New function.
	(w3m-url-encode-string, w3m-url-readable-string)
	(w3m-url-transfer-encode-string): Use it.

	* w3m.el (w3m-fontify-anchors, w3m-gmane-url-at-point)
	(w3m-canonicalize-url, w3m-goto-url):
	* w3m-form.el (w3m-form-make-form-data, w3m-form-parse-and-fontify):
	* w3m-search.el (w3m-search-escape-query-string, w3m-search-do-search)
	(w3m-search-uri-replace): Don't specify coding system for encoding url.

2011-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-type): Prefer gif.
	(w3m-favicon-convert): Work for gif icons named "favicon.ico".

2011-09-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-lnum-face): Remove face alias.
	(w3m-lnum-quick-browsing): Add custom type.
	(w3m-lnum-remove-overlays, w3m-lnum-set-numbering)
	(w3m-lnum-highlight-anchor, w3m-lnum-get-match-info): Fix overlay end
	range, too.

2011-09-07  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m.el: Use `w3m-lnum' as naming prefix for commands and
	maps from `w3m-lnum.el'.

	* w3m-lnum.el: Use `w3m-lnum' as naming prefix everywhere instead of
	`w3m-linknum' or `w3m-link-numbering'.
	(w3m-lnum-set-numbering, w3m-lnum): Optionally don't clean previous
	numbering.
	(w3m-lnum-read-interactive): Don't clean previous numbering with
	`w3m-lnum' in cases when there is no such.
	(w3m-lnum-remove-overlays, w3m-lnum-set-numbering): Fix overlay start
	range to make it work for XEmacs.
	(w3m-lnum-get-action): Don't invoke `w3m-lnum-read-interactive' with 0
	numbered items.

	* w3m-util.el (w3m-goto-next-defun): New macro.
	(w3m-goto-next-anchor-or-image, w3m-substitute-key-definitions): Move
	from w3m-lnum.el

2011-09-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-link-numbering, w3m-linknum-minibuffer-prompt)
	(w3m-linknum-match): Use old defface style for XEmacs.
	(w3m-link-set-numbering): Replace string-match-p w/ w3m-string-match-p.
	(w3m-highlight-numbered-anchor, w3m-get-match-info): Fix range passed
	to overlays-in to make it work for XEmacs.

2011-09-04  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Update copyright years. Don't require `cl'.
	(w3m-linknum-match): Make numbering face visible for some
	consoles.
	(w3m-link-numbering-quick-browsing)
	(w3m-link-numbering-context-alist): New custom variables.
	(w3m-linknum-remove-overlays): Delete overlays only within the
	visible window part.
	(w3m-link-set-overlay): Don't use `incf'.
	(w3m-link-set-numbering): Number additional context items as
	specified by `w3m-link-numbering-context-alist'. Return index of
	the last matched item.
	(w3m-goto-next-image2): Fix doc typo.
	(w3m-goto-next-anchor-or-image, w3m-link-numbering): Cosmetic
	indent.
	(w3m-linknum-prompt-str): Don't show 0 when this is being current
	default for selection.
	(w3m-read-int-interactive): Up and down scrolling preserves text
	filter and cleans previous numbering. Allow <enter> shortcutting
	options as specified by `w3m-link-numbering-quick-browsing'. Don't
	let the text filter grow when no items match.
	(w3m-with-linknum): Make `last-index' variable visible within body
	and set as the last index currently used for numbering.
	(w3m-get-match-info): New macro.
	(w3m-get-anchor-info): Use `w3m-get-match-info'.
	(w3m-go-to-linknum, w3m-linknum-get-action): Call
	`w3m-get-anchor-info' with a selection number.
	(w3m-linknum-follow, w3m-linknum-view-image)
	(w3m-linknum-save-image, w3m-linknum-print-this-url): Don't use cl
	functions.
	(w3m-linknum-zoom-image): Cosmetic doc string change.
	(w3m-linknum-bookmark-add-this-url): Use 1+.

2011-09-03  Dan Jacobson  <jidanni@jidanni.org>

	* w3m.el (w3m-lynx-like-map, w3m-info-like-map): Bind the `C-t t' key
	to w3m-create-empty-session.

2011-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-empty-session): New user command.
	(w3m-new-session-url): Default to about:blank.
	(w3m-input-url): Don't use about:* as initial value.
	(w3m-goto-url-new-session): Use w3m-new-session-url as the default.

2011-07-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-toolbar-define-keys): No need to take care of
	the tool-bar default bindings for Emacs 24.

2011-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ccl.el (charset-id): Work for old Emacsen.

2011-07-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-delete-buffer): Switch to the previous emacs-w3m buffer
	explicitly; bind frame-auto-delete and ignore-window-parameters while
	killing the buffer.
	(w3m-goto-url): Change the order of retrieving group:* urls so as to
	arrange the buffer list in turn.

2011-07-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ccl.el (charset-id): Silence the byte compiler.

	* w3m-ems.el (w3m-detect-coding-region): Use with-coding-priority.
	(w3m-make-ccl-coding-system): Silence the byte compiler.

2011-07-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-switch-to-buffer): New function.

	* w3m-bookmark.el (w3m-bookmark-add-all-urls):
	* w3m-ems.el (w3m-tab-drag-mouse-function)
	(w3m-tab-click-mouse-function, w3m-tab-next-buffer)
	(w3m-tab-make-keymap):
	* w3m-form.el (w3m-form-input-textarea, w3m-form-input-select)
	(w3m-form-input-map):
	* w3m-session.el (w3m-session-select):
	* w3m-tabmenu.el (w3m-switch-buffer, w3m-tab-menubar-open-item):
	* w3m-util.el (w3m-popup-buffer, w3m-make-menu-commands):
	* w3m.el (w3m-next-buffer, w3m-move-unseen-buffer)
	(w3m-goto-url-new-session, w3m-reload-all-pages): Use it.

2011-07-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-mailto-url): Pass other headers to the agent.
	Suggested by Dan Jacobson <jidanni@jidanni.org>.

2011-07-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-interactive-p): New macro.

	* w3m.el (w3m-toggle-inline-image, w3m-toggle-inline-images)
	(w3m-goto-url, w3m-safe-view-this-url):
	* w3m-hist.el (w3m-history-store-position)
	(w3m-history-restore-position): Use it.

	* w3m-ems.el (w3m-toolbar-define-keys): Work around the Emacs 24 error
	"`keymap' is reserved for embedded parent maps".

2011-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-show-form-hint): Give point as arg to w3m-submit to
	prevent cursor from being caught in form area.

2011-04-20  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el: Fix description comment style.

2011-04-13  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el: Use lexical binding.
	(ptexinfmt-broken-facility): Rename _dummy argument.
	(texinfo-enclosure-list, texinfo-alias-list): Add defvar stub for
	lexical binding.

2011-03-10  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-content-type-alist): Use functionp instead of symbolp for
	the users who set their own private function to
	browse-url-browser-function.

2011-02-28  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-active-region-or-url-at-point): Move w3m-url-at-point()
	after to check the properties of w3m-URL.

2011-02-23  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-goto-url): Invoke error if you try to invoke another w3m
	process when one loading.

2011-02-09  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-show-form-hint): New function to display submitting form
	hint.
	(w3m-after-cursor-move-hook): Use it.

2011-01-31  Johan Claesson  <johanclaesson@bredband.net>

	* w3m.el (w3m-content-type-alist): When selecting which external html
	browser to use, handle the case where browse-url-browser-function is
	an alist.

2011-01-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-rendering-half-dump): Protect against things that look
	like tags but aren't.

2011-01-23  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fontify-anchors): Decode entities in title of anchor.

2011-01-23  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-print-this-url): Correction to my last, use string-width
	not length.

2011-01-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-goto-mailto-url): Decode entities in URL.

2011-01-11  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-print-this-url): If anchor-title plus url is wider than
	the frame then use two lines "Title\nURL".
	(w3m-about-header): Show anchor-title of link at point.

2011-01-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fontify-anchors): If exist `title' in anchor, it adds to
	w3m-balloon-help property and puts it to w3m-anchor-title property.
	(w3m-print-this-url): Treat w3m-anchor-title property.

	* w3m-util.el (w3m-anchor-title): New macro.

2011-01-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fix-illegal-blocks): Fix FIXEDCASE and LITERAL options of
	replace-match to `t'.

2010-12-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-rendering-half-dump): Add name anchors that w3m can
	handle ([emacs-w3m:11153]).

2010-12-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-replace-regexps-in-string): Move from w3m-lnum.el;
	use w3m-replace-in-string instead of replace-regexp-in-string that is
	not available in XEmacs 21.4; make it a Lisp function.
	(w3m-string-match-p, w3m-substring-no-properties): New functions.

	* w3m-lnum.el (w3m-link-set-numbering): Use w3m-string-match-p instead
	of string-match-p that is not available in Emacs 21~22 and XEmacs.
	(w3m-read-int-interactive): Use w3m-substring-no-properties instead of
	substring-no-properties that is not available in Emacs 21, XEmacs 21.4,
	and SXEmacs.
	(w3m-linknum-follow): Remove the 5th arg passed to read-string.  It is
	not available in XEmacs.

2010-12-26  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Updated comments section.
	(w3m-link-numbering-mode-hook, w3m-link-numbering-mode-map):
	Updated doc string.
	(w3m-link-set-overlay): No more need for save-excursion.
	(w3m-replace-regexps-in-string, w3m-linknum-prompt-str): New
	macros.
	(w3m-link-set-numbering): Refactored, does filtering as well.
	Does numbering only within the visible window part.
	(w3m-goto-next-link, w3m-goto-next-image2): New functions.
	(w3m-goto-next-anchor-or-image): Take optional argument for
	position.  No need to use goto-char.
	(w3m-link-numbering): Take additional argument for filtering
	string.  Use `w3m-goto-next-link', `w3m-goto-next-image2'.  No
	more need for `save-excursion'.
	(w3m-read-int-interactive): I-search functionality added.  Offer
	to select firstly numbered option when possible.
	(w3m-with-linknum): Put the call to `w3m-link-numbering' inside
	the `unwind-protect'.
	(w3m-highlight-numbered-anchor): Highlight only within the visible
	window part.  Return text for the form fields or buttons as well.
	(w3m-get-anchor-info): Operate only within the visible window
	part.
	(w3m-go-to-linknum, w3m-linknum-get-action): Updated for the
	changed `w3m-link-numbering' argument codes.
	(w3m-linknum-follow): According to prefix arguments may toggle
	instead of visit image links.  Also options to edit link before
	visiting.

2010-12-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fix-illegal-blocks): Save restriction.

2010-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mime-w3m.el (kill-new): Don't compile defadvice form when building
	emacs-w3m.

	* w3m.el (w3m-fix-illegal-blocks): New function.
	(w3m-rendering-buffer): Use it.

	* w3m-util.el (w3m-beginning-of-tag, w3m-end-of-tag): Move from
	shimbun/shimbun.el.

2010-12-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-external-view): Execute default web browser insted of
	download if content-type is not supported.

2010-12-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-print-this-url, w3m-print-this-image-url):
	Fix "no url" message.  Suggested by Dan Jacobson <jidanni@jidanni.org>.

2010-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-session.el (w3m-session-crash-recovery-remove):
	Add autoload cookie.

2010-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Return nil for empty url.
	(w3m-view-url-with-external-browser): Prompt user to edit url, not to
	answer y/n.  Suggested by Dan Jacobson <jidanni@jidanni.org>.

2010-11-03  Kevin Ryde  <user42@zip.com.au>

	* w3m-util.el (w3m-condition-case): Add a missing quote
	([emacs-w3m:11405]).

2010-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* bookmark-w3m.el (bookmark-make-record-function): Don't bind it to any
	value.  Suggested by David Engster ([emacs-w3m:11395]).

2010-10-13  IRIE Shinsuke  <irieshinsuke@yahoo.co.jp>

	* w3m-ems.el (w3m-tab-previous-buffer): Work when called interactively
	with no arg.

2010-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Load bookmark-w3m for Emacs >=23.

	* w3mhack.el (w3mhack-module-list): Exclude bookmark-w3m.el from
	compilation under Emacs <23 and XEmacs.

	* bookmark-w3m.el: Provide the feature; add comment.
	(bookmark-w3m-bookmark-jump): Add autoload cookie.

2010-10-08  Masatake YAMATO  <yamato@redhat.com>

	* bookmark-w3m.el: New file.

2010-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-make-local-hook): New function.

	* mime-w3m.el (mime-display-message)
	* w3m-mail.el (w3m-mail-compose-with-vm)
	* w3m.el (w3m-set-buffer-unseen, w3m-buffer-setup): Use it.

2010-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-add-local-hook, w3m-remove-local-hook): Abolish.

	* mime-w3m.el (mime-display-message)
	* w3m-mail.el (w3m-mail-compose-with-vm)
	* w3m.el (w3m-set-buffer-unseen, w3m-set-buffer-seen)
	(w3m-buffer-setup): Don't use w3m-add-local-hook and
	w3m-remove-local-hook.

2010-09-25  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Update Commentary section.
	(w3m-link-set-overlay): New macro.
	(w3m-link-set-numbering, w3m-goto-next-anchor-or-image): New
	functions.
	(w3m-link-numbering): Refactor, use `w3m-link-set-numbering'.
	(w3m-read-int-interactive): Echo currently to be selected element.
	(w3m-with-linknum): Update docstring.
	(w3m-highlight-numbered-anchor): Properly highlight and
	unhighlight multiline elements and return selection info.
	(w3m-get-anchor-info): Always return 4 element list.
	(w3m-go-to-linknum): Echo `w3m-current-url' for default selection.
	(w3m-linknum-follow): Add support for toggling non link images.
	Inverse prefix argument behaviour for some elements.
	(w3m-linknum-toggle-inline-image, w3m-linknum-edit-this-url)
	(w3m-linknum-print-this-url): Cosmetic indentation changes.

2010-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-init-file): Allow nil.  Suggested by Leo.

2010-09-09  Leo  <sdl.web@gmail.com>

	* w3m.el (w3m-input-url): Pass DEFAULT argument to completing-read,
	instead of replacing its return value, to enable a user to edit.

2010-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-active-region-or-url-at-point): Remove only newlines and
	leading and trailing whitespace in region string.
	(w3m-input-url): Treat INITIAL if it is "" as nil but don't mind region
	even if it is active; treat DEFAULT if it is "" as nil but don't regard
	to w3m-home-page; always show DEFAULT if any within prompt string.
	Suggested by Leo <sdl.web@gmail.com>.

2010-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-read-int-interactive): Make it work for XEmacs
	(note: `?<' is not `eq' to `60' in XEmacs, for example).

2010-09-06  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el (w3m-linknum-remove-overlays): Simplified.
	(w3m-link-numbering-mode): Using `or' instead of `unless'.
	(w3m-read-int-interactive): Added ability to scroll page while
	selecting number.

2010-09-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Move cursor to place where a user likely
	begins to edit.

2010-09-02  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el (texinfo-multitable-widths): Use `make-char'
	instead of KANJI literal.

2010-08-24  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el (texinfo-format-verb): Use (delete-char -1)
	instead of (delete-backward-char 1); For Emacs24.

2010-08-20  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-entity-table): Reverte last change.
	(w3m-extra-numeric-character-reference): New variable.
	(w3m-entity-value): Use it.

2010-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* octet.el (octet-find-file)
	* w3m-form.el (w3m-fontify-textareas, w3m-form-replace)
	* w3m-proc.el (w3m-process-filter)
	* w3m-session.el (w3m-session-select-list-all-sessions)
	(w3m-session-select-list-session-group, w3m-session-select-next)
	* w3m.el (w3m-idle-images-show, w3m-toggle-inline-images-internal)
	(w3m-resize-inline-image-internal, w3m-fontify, w3m-refontify-anchor)
	(w3m-cache-remove-oldest, w3m-cache-remove, w3m-cache-contents)
	(w3m-cache-request-contents, w3m-create-text-page)
	(w3m-create-image-page, w3m-select-buffer-generate-contents)
	(w3m-select-buffer-recheck): Replace let-bindings of buffer-read-only
	to nil with inhibit-read-only to t.

2010-08-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-search.el (w3m-search-engine-alist): Fix `google news' url forms
	used to non-Japanese utf-8 environments.

	* w3m.el (w3m-entity-table): Add table for "&#149;".
	(w3m-entity-value): Prefer "&#NUM;" type entities specified in
	w3m-entity-table.

2010-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-safe-view-this-url): Never query "Are you sure..." if
	prefix arg is given.

2010-08-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-create-text-page): Make point and window start be the
	start of contents, especially for text/plain pages.

2010-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Update regexps for Google.

2010-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Autoload w3m-bookmark-add.

	* w3m-lnum.el (w3m-read-int-interactive): Ignore mouse event in XEmacs.

2010-07-29  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m.el (autoload, w3m-linknum-map):
	`w3m-linknum-bookmark-add-this-url', `w3m-linknum-zoom-in-image'
	and `w3m-linknum-zoom-out-image' added.

	* w3m-lnum.el (w3m-link-numbering-mode-map):
	`w3m-linknum-bookmark-add-this-url', `w3m-linknum-zoom-in-image'
	and `w3m-linknum-zoom-out-image' added.
	(w3m-link-numbering-mode, w3m-with-linknum)
	(w3m-linknum-get-action): Use `zerop'.
	(w3m-link-numbering): Simplify argument list and checks assosiated
	with it.
	(w3m-read-int-interactive): Add <escape> for quit.
	(w3m-linknum-follow): Add position to history when visiting url in
	curent page.  Change message when no valid anchor is selected.
	(w3m-linknum-view-image, w3m-linknum-save-image): Rewrite using
	`cond'.
	(w3m-linknum-zoom-image): New macro.
	(w3m-linknum-zoom-in-image, w3m-linknum-zoom-out-image)
	(w3m-linknum-bookmark-add-this-url): New functions.

2010-07-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-auto-show): Guard error if this-command is not a symbol.
	Thanks to IRIE Shinsuke san. cf. [emacs-w3m:11282]

2010-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Save positions iff called interactively.
	(w3m-goto-url-new-session): Save positions.

	* w3m-bookmark.el (w3m-bookmark-view): Save positions.

	* w3m-hist.el (w3m-history-copy): Copy positions.

2010-07-13  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el (w3m-link-numbering-mode): Using `buffer-list' instead of
	`w3m-list-buffers' as the latter does unnecessary stuff.
	(w3m-linknum-read-url): Removed. It's now equivalent to:
	(car (w3m-linknum-get-action prompt 1))
	(w3m-linknum-toggle-inline-image): If no url under selected image,
	move over it and toggle it.
	(w3m-linknum-external-view-this-url, w3m-linknum-edit-this-url):
	Using `w3m-linknum-get-action' instead of `w3m-linknum-read-url'.

	* w3m.el (autoload): Added `w3m-link-numbering-mode', removed
	`w3m-linknum-read-url'.

2010-07-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-lnum.el (w3m-linknum-minibuffer-prompt): Make face config valid
	for XEmacs as well.
	(w3m-linknum-match): New face.
	(w3m-read-int-interactive): Make it work for XEmacs as well.
	(w3m-highlight-numbered-anchor): Use w3m-linknum-match face.

2010-07-12  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Updated commentary and usage sections.
	(w3m-substitute-key-definitions): New macro.
	(w3m-link-numbering-mode-map): Changed keybindings.
	(w3m-link-numbering-mode): Added mode-line indicator. Don't
	activate numbering overlays. Changing status mode causes all other
	w3m buffers to change status as well.
	(w3m-move-numbered-anchor): Removed.
	(w3m-with-linknum): Numbering overlays should never be active
	before invoking linknum functions thus less bookkeeping.
	(w3m-go-to-linknum, w3m-linknum-follow): Add mark for previous
	position.

2010-07-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-lnum.el (w3m-read-int-interactive): Add keys to exit event loop,
	C-m & C-j.

2010-07-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-ctl-c-map, w3m-redisplay-map)
	(w3m-linknum-map): New sub-keymaps.
	(w3m-lynx-like-map, w3m-info-like-map): Move `C-c' prefixed commands
	and `C' prefixed commands to w3m-ctl-c-map and w3m-redisplay-map
	respectively.

2010-07-09  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m.el: Autoload w3m-linknum-follow, w3m-linknum-read-url,
	w3m-linknum-toggle-inline-image, w3m-linknum-view-image,
	w3m-linknum-external-view-this-url, w3m-linknum-edit-this-url,
	w3m-linknum-print-this-url, w3m-linknum-download-this-url.

	* w3m-lnum.el: Update usage comment.
	(w3m-link-numbering-mode): Cosmetic change.
	(w3m-get-anchor-info): Added w3m-image-alt char property to return
	list.
	(w3m-go-to-linknum, w3m-linknum-get-action): On 0 input select
	location url.
	(w3m-linknum-follow): Changed prompt and using w3m-message.
	(w3m-linknum-toggle-inline-image): Renamed from
	w3m-linknum-toggle-image and using w3m-message.  When image on
	point, toggle it.
	(w3m-linknum-view-image, w3m-linknum-save-image)
	(w3m-linknum-external-view-this-url)
	(w3m-linknum-edit-this-url, w3m-linknum-print-this-url)
	(w3m-linknum-download-this-url): New commands.

2010-07-08  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Update usage comment.
	(w3m-linknum-minibuffer-prompt): New face.
	(w3m-linknum-remove-overlays): Quit immediately when it finds and
	deletes temporary match overlay.
	(w3m-link-numbering-mode): Pass prefix arg, which makes this function
	index only images if it is 2, to w3m-link-numbering. Remove
	interactive declaration and autoload cookie.
	(w3m-link-numbering, w3m-with-linknum): Vary function according to arg;
	index only images if it is 2.
	(w3m-read-int-interactive): Change prompt face to
	w3m-linknum-minibuffer-prompt.
	(w3m-highlight-numbered-anchor): Use next-single-property-change.
	(w3m-get-anchor-info): New function. Renamed from
	w3m-get-numbered-url. Using macrolet for less clutter.
	(w3m-go-to-linknum): Rewrote it more in style with the other
	user commands.
	(w3m-linknum-get-action): Added optional type argument to
	determine numbering scheme.
	(w3m-linknum-follow): Rewrite to use the new
	w3m-linknum-get-action return format.
	(w3m-linknum-read-url): Rewrite using w3m-linknum-get-action.
	(w3m-linknum-toggle-image): New function.

2010-07-06  Andrey Kotlarski  <m00naticus@gmail.com>

	* w3m-lnum.el: Update usage comment.
	(w3m-linknum-remove-overlays): New function.
	(w3m-link-numbering-mode): Turn mode off if prefix arg is 0;
	index forms as well as url links if prefix arg is 4.
	(w3m-link-numbering): Index forms as well if prefix arg is given.
	(w3m-move-numbered-anchor): Fix grammar in error message.
	(w3m-read-int-interactive): New function.
	(w3m-with-linknum): New macro.
	(w3m-highlight-numbered-anchor, w3m-get-numbered-url): New functions.
	(w3m-go-to-linknum): Add autoload cookie; turn on form numbers as well;
	don't highlight current link if prefix arg is given.
	(w3m-linknum-get-action, w3m-linknum-follow, w3m-linknum-read-url): New
	functions.

2010-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toggle-inline-image)
	(w3m-toggle-inline-images): Fix query logic about safe url.

2010-06-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-menubar): Add w3m-pipe-source.
	(w3m-lynx-like-map, w3m-info-like-map): Bind "|" to w3m-pipe-source.
	(w3m-pipe-source): New command.

2010-06-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-update-files-autoloads): Strip subdirectory name
	that Emacs 24 doesn't strip from load-name.

2010-06-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* octet.el (octet-w3m-region): Set to unibyte string for base64
	encoding.

2010-05-24  Fedor Khod'kov  <fedor76@istra.ru>

	* w3m-cookie.el (w3m-cookie-trusted-host-p): Don't bother to add
	excessive "$" to a regexp that w3m-cookie-reject-domains specifies.

2010-05-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Update regexps for Google.

2010-04-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-previous-page): Save positions.

2010-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-images): Use the identical Lisp object for a
	string used as w3m-image's property in order to enable XEmacs to
	display images in shimbun articles properly.

2010-03-29  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-active-region-or-url-at-point): Check availability of
	w3m-current-url.

2010-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-ems-create-image): New function that's an alias to
	create-animated-image or create-image.
	(w3m-create-image): Use it.

	* w3m.el (w3m-emacs-w3m-icon): Replace it with data not optimized.

2010-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_PATH_EMACS): Support Emacs 24.
	(AC_ADD_LOAD_PATH): Pipe stderr to /dev/null when running
	w3mhack-print-status.

2010-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-ignored-image-url-regexp): Fix custom type.

2010-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-this-url-1): Don't recenter if page is not changed.
	(w3m-goto-url): Don't move point to the top unless redisplaying page.

2010-03-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Suppress compiler warnings that Emacs<22.2 and XEmacs issue
	against image-mode functions.

2010-03-02  Naohiro Aota  <naota@elisp.net>

	* w3m.el (top): Require image-mode if available.
	(w3m-image-page-displayed-p): New function.
	(w3m-create-image-page): Setup image-mode's variable if possible.
	(w3m-scroll-up-or-next-url, w3m-scroll-down-or-previous-url)
	(w3m-shift-left, w3m-shift-right, w3m-beginning-of-line)
	(w3m-end-of-line): Call image-mode functions if possible and needed.

2010-02-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Turn truncate-lines off for text/plain pages.

2010-02-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify-images): Add menu to images.
	(w3m-download-this-image, w3m-print-this-image-url): New functions.
	(w3m-link-menu): Add them; enable menu only when url or image is there.

2010-02-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-window-hscroll): Revert 2010-01-13 change.

2010-02-09  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-cache-available-p): Now, pages with neither Last-Modified
	header and ETag header are treated as dynamically-generated pages.
	(w3m-cache-header-delete-variable-part): Contination lines are also
	removed.

2010-02-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-local-dirlist-cgi, w3m-set-display-ins-del):
	Honor w3m-command-environment.
	Suggested by Toru TSUNEYOSHI <t_tuneyosi@hotmail.com>.

2010-02-01  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-redisplay-this-page): Save positions.

2010-02-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-reload-this-page): Save positions.

	* w3m-hist.el (w3m-history-store-position)
	(w3m-history-restore-position): Use line number and column number to
	save positions.

2010-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-previous-page): Restore positions as well when
	jumping within a page.
	(w3m-view-this-url-1): Reset hscroll after retrieving a new page.
	(w3m-view-this-url): Save positions first.
	(w3m-delete-buffer): Restore positions in a page being left.
	(w3m-goto-url): Don't save positions here.

	* w3m-util.el (w3m-popup-buffer): Restore positions only when buffer to
	be displayed is hidden, not always.

2010-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-next-anchor, w3m-previous-anchor, w3m-next-form)
	(w3m-previous-form, w3m-next-image, w3m-previous-image): Remove unused
	var `st'.

2010-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url): Make it work as before for group: urls.

2010-01-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-doc-view-map): New variable.
	(w3m-view-this-url-1): Improve the way to keep the window configuration
	for the case where w3m-new-session-in-background is non-nil.
	(w3m-doc-view): Use w3m-doc-view-map.
	(w3m-doc-view-quit): New function.

2010-01-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bug.el (report-emacs-w3m-bug)
	* w3m-session.el (w3m-session-save, w3m-session-automatic-save)
	(w3m-session-deleted-save, w3m-session-crash-recovery-save)
	* w3m.el (w3m-key-binding): Use save-current-buffer instead of
	save-excursion.

	* mew-w3m.el (mew-w3m-view-inline-image, mew-mime-text/html-w3m)
	* w3m-xmas.el (w3m-window-hscroll)
	* w3mhack.el (toplevel, w3mhack-generate-load-file): Use
	with-current-buffer rather than save-excursion + set-buffer.

	* w3m-cookie.el (w3m-cookie-parse-args): Use with-current-buffer rather
	than save-excursion + set-buffer; no need to use save-restriction and
	narrow-to-region; remove duplicate set-syntax-table.

2010-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-print-this-url): Exclude empty image-alt string.

	* w3m-form.el (w3m-form-parse-and-fontify): Strip text props from
	string elements contained in w3m-current-forms so as to enable XEmacs
	to read ~/.w3m/.sessions file.

2010-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-refontify-anchor, w3m-cache-setup)
	(w3m-cache-remove-oldest, w3m-cache-remove, w3m-cache-contents)
	(w3m-cache-request-contents, w3m-view-this-url-1)
	(w3m-download-this-url, w3m-goto-url)
	* w3m-session.el (w3m-session-save)
	* w3m-bookmark.el (w3m-bookmark-sections, w3m-bookmark-write-file)
	(w3m-bookmark-kill-entries, w3m-bookmark-undo, w3m-bookmark-iterator)
	* w3m-util.el (w3m-unseen-buffer-p): Use with-current-buffer rather
	than save-excursion + set-buffer.

	* w3m.el (toplevel, w3m-highlight-current-anchor-1): Use point-at-eol
	rather than `(save-excursion (end-of-line) (point))'.

	* w3m-util.el: Autoload w3m-history-restore-position when compiling;
	autoload w3m-fb-frame-parameter only when compiling.

2010-01-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-next-buffer): Save and restore positions.
	(w3m-close-window): Save positions.

	* w3m-hist.el (w3m-history-store-position)
	(w3m-history-restore-position): Save and restore hscroll.

	* w3m-util.el (w3m-popup-buffer): Restore positions.

2009-11-06  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-antenna.el (w3m-antenna-check-rss): Ignore future entries to
	display site announcements.

2009-11-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-region-cite-mark): Add new selection.
	(mew-w3m-region): Rewrite.

2009-11-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-region-cite-mark): New option.
	(mew-w3m-region): New function.
	(mew-mime-text/html-w3m): Use `mew-w3m-region' instead of `w3m-region'.

2009-09-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-image.el (w3m-imagick-convert-program-available-p): If someone
	set `w3m-imagick-convert-program' to nil before load emacs-w3m, do not
	show warning message for ImageMagick's `convert'.

2009-09-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-mail.el (w3m-mail-embed-base-url, w3m-mail-compose-with-mml)
	(w3m-mail-compose-with-vm): Don't use
	default-enable-multibyte-characters that is obsolete in Emacs 23.2.

2009-09-01  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-content-type-alist): Support
	`browse-url-default-windows|macosx-browser'. Thanks to Leo.
	Cf. [emacs-w3m:11035].

	* w3m-ems.el (w3m-form-button, w3m-form-button-mouse)
	(w3m-form-button-pressed, w3m-tab-unselected)
	(w3m-tab-unselected-retrieving, w3m-tab-unselected-unseen)
	(w3m-tab-selected, w3m-tab-selected-retrieving, w3m-tab-background)
	(w3m-tab-selected-background, w3m-tab-mouse): Add type ns. Thanks to
	Leo. Cf. [emacs-w3m:11034].

2009-08-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-toggle-inline-images-internal): Do not display image, if
	its url is local and current url is not local.

2009-08-24  ARISAWA Akihiro  <ari@mbf.sphere.ne.jp>

	* w3m.el (w3m-output-coding-system): Use `utf-8' except for emacs-21
	under Japaese environment.

2009-08-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-use-symbol): Set nil with emacs-23 or later.
	cf. [emacs-w3m:11002].

2009-08-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-util.el (w3m-puny-decode-url): Decode the part of hostname only.
	Add doc-strings.
	(w3m-puny-encode-url): Add doc-strings.

2009-08-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-puny-utf-16be): New variable.
	(w3m-url-readable-string): Call `w3m-puny-decode-url'.
	(w3m-url-transfer-encode-string): Call `w3m-puny-encode-url'.
	(w3m-header-line-insert): Call `w3m-puny-decode-url'.
	(w3m-input-url): Call `w3m-puny-decode-url' for initial URL.

	* w3m-util.el (top): Add the variable definition of `w3m-puny-utf-16be'
	to avoid byte-compile warnings.
	(w3m-puny-code-regex, w3m-puny-code-nonascii, w3m-puny-base)
	(w3m-puny-tmin, w3m-puny-tmax, w3m-puny-damp, w3m-puny-skew)
	(w3m-puny-initial-bias, w3m-puny-initial-n, w3m-puny-delimiter): New
	constants.
	(w3m-puny-adapt, w3m-puny-decode-digit, w3m-puny-encode-digit)
	(w3m-puny-decode1, w3m-puny-decode, w3m-puny-decode-url)
	(w3m-puny-encode1, w3m-puny-encode, w3m-puny-encode-url): New
	functions.

2009-08-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-decode-anchor-string): Convert contol-characters to
	space.

2009-07-17  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-about-retrieve): When type is `nil', decode cached
	contents to display source of 404 page.  Reported by Dan Jacobson
	<jidanni@jidanni.org>.
	(w3m-do-cleanup-temp-files): New customize variable.
	(w3m-cleanup-temp-files): Use it.
	(toplevel): Call it when emacs-w3m shutdown.

2009-07-04  Naohiro Aota  <naota@elisp.net>

	* w3m-search.el (w3m-search-thing-at-point-arg): New variable.
	(w3m-search-read-query): Use it.

	* w3m-util.el (w3m-current-title): Set title to "<retrieving>>" when
	w3m is retrieving a page.

2009-06-13  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-view-recenter): Only nil,t,integer, not a cons.
	(w3m-search-name-anchor, w3m-view-this-url-1): No arg to w3m-recenter.
	(w3m-next-anchor, w3m-previous-anchor, w3m-next-form,
	w3m-previous-form, w3m-next-image, w3m-previous-image): Don't
	recenter, leave recentering just for following a link, not Tab etc
	within the buffer.
	(w3m-recenter): Remove NAME arg, believe don't need to differentiate
	URLs with an anchor or not since with no anchor `point' is at the
	start of the buffer and can't be recentered anyway.
	Use C-u style "(recenter '(4))" for the `t' middle-of-screen case.
	No need for code to avoid redisplay, `recenter' doesn't redisplay in
	the integer or C-u cases.

2009-06-13  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-fontify-anchors): Decode entities of name anchor.

2009-05-25  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-cache-available-p): Analyze the cache-control header more
	strictly.
	(w3m-scroll-up-or-next-url): Bind w3m-prefer-cache to `t' when goto
	the w3m-next-url.
	(w3m-scroll-down-or-previous-url): Bind w3m-prefer-cache to `t' when
	goto the w3m-previous-url.

2009-05-23  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-reload-this-page): Add new argument `no-popup'; Call
	w3m-goto-url() with the argument.
	(w3m-goto-url-with-timer): Use it.

2009-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bookmark.el (w3m-bookmark-make-item)
	* w3m-cookie.el (w3m-cookie-create)
	* w3m-dtree.el (w3m-dtree-expand-file-name, w3m-dtree-directory-name)
	* w3m-form.el (w3m-form-normalize-action, w3m-form-p)
	(w3m-form-set-method, w3m-form-put-property, w3m-form-field-parse)
	(w3m-form-real-reset)
	* w3m-hist.el (w3m-history-set-current)
	* w3m-namazu.el (w3m-namazu-call-process)
	* w3m-proc.el (w3m-process-p, w3m-process-kill-process)
	(w3m-process-error-handler)
	* w3m-session.el (w3m-session-history-to-save, w3m-session-make-item)
	* w3m-tabmenu.el (w3m-tab-menubar-make-items-1)
	* w3m-util.el (w3m-get-buffer-create, w3m-kill-buffer)
	(w3m-current-title, w3m-buffer-title, w3m-buffer-number)
	(w3m-buffer-set-number, w3m-buffer-name-add-title)
	(w3m-generate-new-buffer, w3m-lefttab-exist-p, w3m-righttab-exist-p)
	(w3m-url-valid, w3m-time-newer-p, w3m-time-lapse-seconds)
	(w3m-url-local-p, w3m-url-authinfo, w3m-url-strip-authinfo)
	(w3m-url-strip-fragment, w3m-url-strip-query, w3m-which-command)
	(w3m-assoc-ignore-case, w3m-unseen-buffer-p)
	* w3m-xmas.el (w3m-make-glyph)
	* w3m.el (w3m-clear-local-variables, w3m-copy-local-variables)
	(w3m-arrived-p, w3m-arrived-put, w3m-arrived-get)
	(w3m-url-transfer-encode-string, w3m-entity-value)
	(w3m-decode-anchor-string, w3m-toggle-inline-images-internal)
	(w3m-canonicalize-url, w3m-cache-header-delete-variable-part)
	(w3m-w3m-canonicalize-url, w3m-view-this-url-1)
	* mime-w3m.el (mime-w3m-setup): Don't use defsubst.

	* w3m-hist.el (w3m-history-plist-put, w3m-history-remove-properties):
	Don't inline w3m-history-add-properties.

2009-04-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-cache-available-p): Work around too large integer in
	Cache-Control header.

2009-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-to-file-name): Fix regexp used for stripping
	localhost part; make url a Tramp name if it is guessed.

2009-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-to-file-name): Allow "file:/foo.html" in addition to
	"file://foo.html" and "file:///foo.html".

2009-04-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bookmark.el (w3m-bookmark-buffer): Use the time 0 as modtime of
	the bookmark buffer by default.

2009-04-22  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-view-this-url-1): Pass url to sentinel.
	(w3m-recenter): Save excursion.

2009-04-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-recenter): New user option.
	(w3m-recenter): New function.
	(w3m-search-name-anchor, w3m-view-this-url-1, w3m-next-anchor)
	(w3m-previous-anchor, w3m-next-form, w3m-previous-form, w3m-next-image)
	(w3m-previous-image): Use it.

2009-04-20  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-local-find-file-regexps): Make regexp-opt group regexps
	explicitly.

2009-04-14  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-cache-available-p): The control of expire is added.
	(w3m-w3m-retrieve-1): The case where the option "no_cache=1" is put has
	been increased.

2009-04-12  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-select-buffer-delete-buffer, w3m-goto-url)
	(w3m-delete-buffers): Unqueue image retrieving process manually.
	(w3m-idle-images-show): Widen narrowing.

	* w3m-proc.el (w3m-process-stop): Don't unqueue image retrieving
	process.

	* w3m.el (w3m-message-silent): New variable.
	(w3m-message): Use it: when the variable is `t', don't show a message.
	(w3m-idle-images-show): Use it.
	(w3m-w3m-dump-head): lexical-let it.
	(w3m-w3m-dump-extra): Ditto.
	(w3m-w3m-retrieve): Ditto.
	(w3m-retrieve-and-render): Ditto.
	(w3m-refresh-minimum-interval): New variable.
	(w3m-check-refresh-attribute): Use it.
	(w3m-view-previous-page): When visiting pages by history-back or
	history-next, don't just ignore refresh, but wait for a while.
	(w3m-idle-images-show): When there are events pended, re-create the
	idle timer; Check current position's item every time loop starts.
	(w3m-idle-images-show-unqueue): Set w3m-idle-images-show-timer
	properly.
	(w3m-arrived-add): Revert recent changes.

	* w3m-favicon.el (w3m-favicon-retrieve): lexical-let w3m-message-silent.

2009-04-02  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-arrived-add): If url has a multi-byte character, do not
	do recursive-call itself. If decoded url does not have a multi-byte
	character, do not do recursive-call itself.

2009-03-28  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-goto-url-with-timer): When going to the same url, use
	`w3m-reload-this-page'.
	(w3m-image-no-idle-timer): New variable.
	(w3m-toggle-inline-images-internal): Use it.
	(w3m-arrived-add): Add also decoded url.
	(w3m-goto-url): Restore forms also when url is local.

2009-03-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-link-menu): Always provide title string.  Suggested by
	David Abrahams <dave@boostpro.com>.
	cf. <http://emacs-w3m.namazu.org/ml/msg10658.html>.

2009-03-17  Victor Ren  <victor.ren@ericsson.com>

	* w3m.el (w3m-url-to-file-name): Support "file://c:/" in addition to
	"file:///c:/".

2009-03-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-w3m-parse-header): The value of w3m-document-charset is
	not used excluding x-moe-internal.

2009-03-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-decode-buffer): If context-charset is x-moe-internal,
	x-moe-internal is used as charset regardless of w3m-type.
	(w3m-w3m-parse-header): Add w3m-document-charset to handle of the
	headers. If w3m-document-charset is x-moe-internal, charset sets to
	x-moe-internal compulsorily. If x-w3m-content-encoding is exist, the
	value of x-w3m-content-encoding is used as encoding method regardless
	of w3m-type.

2009-03-03  Naohiro Aota  <naota@elisp.net>

	* w3m-hist.el (w3m-history-slimmed-history-flat, w3m-history-slim): New
	functions.

	* w3m-session.el (w3m-session-history-to-save): Use it.

2009-02-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Require w3m-session instead of autoloading it.

	* w3m-session.el: Don't require w3m; require w3m-util; silent warnings.
	(w3m-session-select): Use w3m-get-buffer-create instead of
	get-buffer-create to kill the session select buffer when quitting.

	* w3m-util.el (w3m-delete-frames-and-windows): Delete frames if the
	other windows visit buffers being related to emacs-w3m or the session
	select buffer.
	(w3m-replace-in-string): eval-and-compile.

2009-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Autoload w3m-go-to-linknum.
	(w3m-lynx-like-map, w3m-info-like-map): Bind `C-c C-l' to it.
	(w3m-mode): Mention w3m-go-to-linknum in doc string.

	* w3m-util.el (w3m-read-number): New function.

	* w3m-lnum.el (w3m-go-to-linknum): Use w3m-read-number.

2008-04-12  Jose A. Ortega Ruiz  <jao@gnu.org>

	* w3m-lnum.el (w3m-go-to-linknum): New function.

2009-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-session.el (w3m-session-ignore-errors): New macro.
	(w3m-session-save, w3m-session-automatic-save)
	(w3m-session-deleted-save, w3m-session-crash-recovery-save)
	(w3m-session-crash-recovery-remove, w3m-session-select-mode)
	(w3m-session-select, w3m-session-make-menu-items)
	(w3m-session-last-autosave-session, w3m-session-last-crashed-session):
	Use it.

	(toplevel): Require cl when compiling.
	(w3m-session-crash-recovery-save)
	(w3m-session-select-list-all-sessions): Remove unused variables.

2009-02-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-session.el (w3m-session-last-crashed-session): Fix tiny typo.

2009-02-15  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-idle-images-show): If detect deleted buffer, unqueue
	processes related to the buffer.

	* w3m-session.el (w3m-session-crash-recovery): Change the default to t.

2009-02-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-buffer-setup): Add keymap that cycles buffers as usual to
	mode-line-buffer-identification.

2009-02-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bookmark.el (w3m-bookmark-view, w3m-bookmark-view-new-session)
	(w3m-bookmark-make-menu-items): Check if bookmark file exists.

2009-02-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-header-line-insert): Don't decode url containing
	non-ASCII characters already.  e.g. about://weather/WHERE

2009-02-03  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-cid-retrieve): Remove a wrong set-buffer().

2009-02-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-input-url): Offer decoded url in the minibuffer.
	(w3m-copy-buffer): Copy w3m-current-coding-system.
	(w3m-header-line-insert): Display decoded url.

2009-02-02  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-idle-images-show): Change the order of image retrieving.
	(w3m-toggle-inline-images-internal): Use `w3m-idle-image-item'
	text-property.
	(w3m-goto-url): Add new argument `no-popup'.
	(w3m-goto-url-with-timer): Call w3m-goto-url with `no-popup' nil.

2009-02-01  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-toggle-inline-images-internal): Add new argument
	`safe-regexp'.
	(w3m-toggle-inline-images): Pass `safe-regexp' to
	w3m-toggle-inline-images-internal when called non-interactively.

2009-01-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-proc.el: Autoload w3m-idle-images-show-unqueue when compiling.

2009-01-27  Naohiro Aota  <naota@elisp.net>

	* w3m-proc.el (w3m-process-stop): Call `w3m-idle-images-show-unqueue'.

	* w3m.el (w3m-idle-images-show-timer, w3m-idle-images-show-list)
	(w3m-idle-images-show-interval): New variables.
	(w3m-idle-images-show, w3m-idle-images-show-unqueue): New functions.
	(w3m-toggle-inline-images-internal): Use them.

2009-01-26  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-content-type-alist): Add "application/x-pdf" content
	type.

2009-01-21  Kevin Ryde  <user42@zip.com.au>

	* w3m.el (w3m-search-name-anchor): Return true meaning "found" if
	point is already at the anchor position.

2009-01-21  Naohiro Aota  <naota@elisp.net>

	* w3m-session.el (w3m-session-last-autosave-session): Check if
	autosaved sessions set exists before asking whether to load the last
	sessions set; Search older sessions sets when the last sessions set
	doesn't exist (maybe it is removed by user); Load autosaved sessions
	set when w3m-session-load-last-sessions is non-nil.
	(w3m-session-load-last-sessions): Fix docstring; Change `auto' to `t'.
	(w3m-session-crash-recovery-title): New variable.
	(w3m-session-load-crashed-sessions): Ditto.
	(w3m-session-crash-recovery-save): New function.

	* w3m.el (w3m-goto-url): Save sessions set for crash recovering.
	(w3m-delete-buffer): Ditto.
	(w3m): Load crashed sessions if necessary.  Suggested by Samuel Wales
	<samologist@gmail.com>.

2009-01-20  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fontify-anchors): Use new `w3m-balloon-help'
	text-property for balloon help.
	(w3m-fontify-images): Ditto and create help together href, alt and URL
	of image.

2009-01-19  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-image-anchor): Fix docstring.
	(toplevel): Fix w3m-image-anchor-face's alias.

2009-01-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-fontify-images): Put the 'full alt text' on new
	'w3m-image-alt' property.
	(w3m-print-this-url): Print the content of 'w3m-image-alt'.

	* w3m-util.el (w3m-image-alt): New macro.

2009-01-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* doc/Makefile.in (.texi.info): Use --no-split.

2009-01-11  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m): Move last session restoring asking afterward, so that
	the restoring wouldn't be avoided by w3m-input-url's input.

	* w3m-session.el (w3m-session-last-autosave-session): Follow the above
	change.

2009-01-10  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m): Check whether to load the last autosaved
	sessions.  Suggested by Samuel Wales <samologist@gmail.com>.

	* w3m-session.el (w3m-session-automatic-keep-number): New variable.
	Suggested by Samuel Wales <samologist@gmail.com>.
	(w3m-session-automatic-save): Use it.
	(w3m-session-last-autosave-session): New function.
	(w3m-session-load-last-sessions): New variable.

	* w3m.el (w3m-image-anchor): New face.
	(w3m-fontify-images): Use it.

2009-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-language): Allow the value like "Japanese (UTF-8)" of
	current-language-environment.

	* w3m-symbol.el (w3m-symbol): Ditto.

	* w3mhack.el (w3mhack-makeinfo): Use locale-coding-system for Emacs to
	encode Japanese messages.

2009-01-09  Naohiro Aota  <naota@elisp.net>

	* w3m.el (w3m-create-text-page, w3m-goto-url): Check if the url is
	arrived before getting real-url.

2009-01-06  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (top): Add the variable definitions of
	`w3m-tab-menubar-make-items-preitems' and `w3m-session-menu-items-pre'
	to avoid byte-compile warnings.
	(w3m-setup-menu): Move the postion of session menu.
	(w3m-mouse-major-mode-menu): Add session menu.

	* w3m-xmas.el (autoload): Add w3m-setup-session-menu.
	(w3m-menu-on-forefront): Treat "Session" menu.
	(w3m-setup-menu): Call `w3m-setup-session-menu'.

2008-12-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-select-buffer-mode-map): Bind `w3m-select-buffer-quit' to
	C-g.

	* w3m-session.el (w3m-session-select-mode-map): Bind
	`w3m-session-select-quit' to C-g.

	* w3m-form.el (w3m-form-input-select-keymap): Bind
	`w3m-form-input-select-keymap' to C-g.
	(w3m-form-input-map-keymap): Bind `w3m-form-input-map-exit' to C-g.

2008-12-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-session.el (w3m-session-select-mode-map): Add new key.
	(w3m-session-select-mode): Modify doc-string.
	(w3m-session-select-rename): New command.
	(w3m-session-rename): New function.

2008-12-17  Naohiro Aota  <naota@elisp.net>

	* w3m.el (autoload): Add w3m-setup-session-menu.
	(w3m-menubar): Moved session menu to w3m-session-menu-items.
	(top): Call w3m-setup-session-menu.

	* w3m-session.el: Change to use major mode; Add session menu.
	(w3m-session-unknown-title): New option.

2008-12-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-compatible-encoding-alist): Add (gb2312 . gbk).

2008-12-12  David Engster  <dengste@eml.cc>

	* w3m-proc.el (w3m-process-wait-process): Reduce sit-for time.
	(w3m-process-sentinel): Wait for process output (on Emacs only).

2008-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-show-redirection-error-information): Improve the
	error message.

2008-12-10  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-next-anchor): Go to the first anchor when next
	anchor is not found.
	(w3m-previous-anchor): Go to the last anchor when previous anchor
	is not found.
	(w3m-url-encode-string): Encode SPC only when encode-space is
	non-nil.

	* w3m-form.el (w3m-form-make-form-data): Follow the above change.

	* w3m.el (w3m-gmane-url-at-point): Ditto.
	(w3m-canonicalize-url): Ditto.

2008-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-make-ccl-coding-system): Use define-coding-system if
	it is available.

2008-12-06  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-show-redirection-error-information): New function.
	(w3m-retrieve-and-render): Use it.
	(w3m-w3m-retrieve-1): Return 'redirection-exceeded if redirect counter
	exceeded.
	(w3m-w3m-retrieve): Return "X-w3m-error/redirection" if attr eq
	'redirection-exceeded.
	(w3m-w3m-attributes-1): Return dummy attribute if redirect counter
	exceeded.

2008-12-05  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-same-window-p): New function.
	(w3m-form-input-textarea): Use it.

	* w3m.el (w3m-local-find-file-regexps): Try to open with emacs-w3m as
	many types as possible.

2008-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-fontify): Remove hidden anchors like "<a href=url> </a>".
	cf. [emacs-w3m:10484]

2008-12-01  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-input-textarea): Use the whole current window
	for the textarea when `same-window-buffer-names' contains the buffer
	name "*w3m form textarea*"; simplify the window size calculation.

2008-11-21  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-w3m-parse-header): Also remove parameters when charset is
	specified.

2008-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-util.el (w3m-visited-file-modtime): New function.

	* w3m-bookmark.el (w3m-bookmark-file-modtime): Just return result of
	file-attributes().

2008-11-11  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-antenna.el (w3m-antenna-check-rss): Support RSS2.0. Check also
	items.
	(w3m-antenna-alist): Update site-class if needed.

	* w3m-bookmark.el (w3m-bookmark-buffer, w3m-bookmark-verify-modtime):
	Replace visited-file-modtime with w3m-visited-file-modtime.

2008-10-28  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-view-header): Check if current page is source of
	about:something.

2008-10-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-active-region-or-url-at-point): Take notice of the link
	under the point as well; return the url of the current page by default
	if the new optional argument `default=current' is given.
	(w3m-input-url): Make w3m-active-region-or-url-at-point return the url
	of the current page by default; modify the prompt string according to
	whether there is an initial input.
	(w3m-download, w3m-goto-url, w3m-goto-url-new-session): Simplify args
	passed to w3m-input-url.
	(w3m-view-this-url): Make w3m-active-region-or-url-at-point return the
	url of the current page by default.

2008-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-italic): Make it be a underline face on a non-window
	system by default.

2008-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toggle-inline-images-internal)
	(w3m-resize-inline-image-internal): Confirm whether to retrieve
	insecure image only once, or don't confirm it if
	w3m-confirm-leaving-secure-page is nil.  Suggested by Dan Jacobson
	<jidanni@jidanni.org>.
	(w3m-confirm-leaving-secure-page): Doc fix.

	* w3mhack.el (w3mhack-makeinfo): Remove Emacs 19 stuff; remove TeX
	directives first; don't call texinfo-mode.

2008-09-21  Akinori MUSHA  <knu@iDaemons.org>

	* doc/emacs-w3m.texi (Image Variables): Fix syntax error.

	* doc/emacs-w3m-ja.texi (Image Variables): Ditto.

2008-09-17  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-buffer-local-url): New constant variable.
	(w3m-buffer-local-url-p): New function.
	(w3m-goto-url): Also process buffer local url.
	(w3m-region): Use w3m-buffer-local-url as url if it is not set.
	(w3m-safe-view-this-url, w3m-mouse-safe-view-this-url): Check if url is
	buffer local.

2008-09-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-download): Add doc string.
	(w3m-lynx-like-map): Bind M-d key to w3m-download.
	(w3m-mode): Add w3m-download to major mode info; clarify description of
	w3m-download-this-url.

2008-09-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-gmane-url-at-point): Return a url used for asking Gmane
	for the thread that begins with the current article instead of the
	whole thread if it is run on the Message-ID header.
	(w3m-examine-command-line-args): Make it an alias to `(lambda nil)'
	instead of `ignore' after it is run for the first time in order to
	silence the byte compiler.

2008-09-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-use-favicon): Assume w3m-image.elc is always loaded.
	(w3m-resize-inline-image-internal): Change it to a normal function from
	an inline function; remove interactive.
	(w3m-zoom-in-image, w3m-zoom-out-image): Error if ImageMagick's convert
	program is not available; improve doc string.
	(w3m-auto-show): Don't make the cursor position disappear after
	executing beginning-of-buffer and end-of-buffer.

2008-08-25  David Hansen  <david.hansen@gmx.net>

	* w3m.el (w3m-about-header): Fixed typo.

2008-08-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-source, w3m-view-header): Save points positioned
	last in pages.  Suggested by Dan Jacobson <jidanni@jidanni.org>.

2008-07-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el: Bind w3m-image-default-background when compiling.

2008-07-20  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-hist.el (w3m-history-restore-position): Run
	w3m-after-cursor-move-hook after restoring cursor position.

2008-07-18  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-image-default-background): New variable.

	* w3m-ems.el (w3m-create-image): Use it.
	(w3m-initialize-graphic-icons): Check if xpm is available.  Reported by
	Diego 'Flameeyes' Petten,Ar(B <flameeyes@gmail.com>.

	* w3m-filter.el (w3m-filter-wikipedia): Improve regexp.

2008-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-search.el (w3m-search-engine-alist): Test if mule-version is
	bound (XEmacs does not provide it).

2008-06-30  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-input, w3m-form-input-password): Process
	readonly attribute.

2008-06-25  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-toggle-inline-images-internal): Make it non-interactive.

	* w3m-form.el (w3m-form-input-textarea): Make buffer unmodified when
	user selected to reuse saved text; parse readonly attribute; kill newly
	generated buffer when the reusing question aborted.
	(w3m-form-textarea-info): Also provide readonly info.
	(w3m-fontify-textareas): Parse readonly attribute.
	(w3m-form-parse-and-fontify): Ditto.
	(w3m-form-input): Ignore cursor moving while read from minibuffer.
	(w3m-form-input-password): Ditto.
	(w3m-form-input-file): Ditto.

	* w3m.el (w3m-toggle-inline-image): Don't toggle images that are
	outside of the region even if they are identical to the ones in the
	region; don't do recursive call of itself; rearrange the source code.
	(w3m-toggle-inline-images): Check whether images are safe even if it is
	called with w3m-display-inline-images=t and force=t; rearrange the
	source code.
	(w3m-toggle-inline-images-internal): Add new optional argument:
	`begin-pos' and `end-pos'. Only process region from `begin-pos' to
	`end-pos'.

2008-06-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-toggle-inline-image): Work for an image in which there is
	the region end within its anchor.  Reported by Dan Jacobson
	<jidanni@jidanni.org>.

	* w3m-util.el (w3m-deactivate-region): Use zmacs-deactivate-region for
	XEmacs.

2008-06-22  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-search.el (w3m-search-engine-alist): Improve detection of utf-8
	capability.
	(w3m-search-engine-alist): Abolish `yahoo beta' entry; Improve `blog'
	entry to work like `google' entry.

	* w3m-session.el: Add coding cookie.

2008-06-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-submit-form-safety-check): New user option.  Suggested by
	Dan Jacobson <jidanni@jidanni.org>.
	(w3m-submit-form): Use it.

2008-06-12  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-auto-show): Scrool horizontally after executing a search
	command.

2008-06-07  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-use-header-line-title): Modify the doc-string.

2008-06-06  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-select-buffer): Don't delete other windows.

	* w3m-filter.el (w3m-filter-wikipedia): New function.
	(w3m-filter-rules): Add w3m-filter-wikipedia.

2008-06-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el: Add coding cookie.

2008-06-02  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-detect-meta-charset): Use also ';' as delimiter.

2008-05-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-examine-command-line-args): Treat the null string given
	as a url in the command line args as `w3m-home-page' or "about:".

2008-05-28  Naohiro Aota  <nao.aota@gmail.com>

	* doc/emacs-w3m.texi (Inline Images): Update.

	* doc/emacs-w3m-ja.texi (Inline Images): Ditto.

2008-05-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-readable-string): Don't decode url if it looks not to
	have been encoded.
	(w3m-current-longest-line): New variable.
	(w3m-set-current-longest-line): New function.
	(w3m-scroll-left, w3m-shift-left): Don't scroll the window endlessly;
	beep if the window can't be scrolled any more.
	(w3m-scroll-right, w3m-shift-right): Beep if the window can't be
	scrolled any more.

2008-05-25  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-relationship-estimate-rules): Fix regexp for Google
	search within EmacsWiki.

2008-05-20  Naohiro Aota  <nao.aota@gmail.com>

	* README: Add information about how to create `configure' script.

	* README.ja: Ditto.

	* w3m.el (w3m-goto-url): Delayed encoding of fragment part.

2008-05-18  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-cookie.el (w3m-cookie-save-current-site-cookies): New function.
	(w3m-cookie-save): Add optional argument "domain".

2008-05-16  Hideyuki SHIRAI  <shirai@meadowy.org>

	* mew-w3m.el (mew-w3m-add-text-properties): New inline macro.
	(mew-w3m-view-inline-image): Use `mew-w3m-add-text-properties'.
	(mew-mime-text/html-w3m): Ditto.

2008-05-09  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-cookie.el (w3m-cookie-save): Make it interactive function.
	(w3m-cookie-save-cookies): New variable.
	(w3m-cookie-shutdown): Use it.

	* w3m.el (toplevel): Shutdown cookie system when exiting emacs.

2008-05-08  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-cookie.el (w3m-cookie-shutdown): Fixed docstring.

2008-05-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-amazon): Fix string to search the body.

2008-04-30  Naohiro Aota  <nao.aota@gmail.com>

	* doc/emacs-w3m-ja.texi: Update translation.

	* w3m.el (w3m-goto-url): Use w3m-current-coding-system first to encode
	url if available; Also encode name part when url is local.
	(w3m-ignored-image-url-regexp): New variable.
	(w3m-toggle-inline-images-internal): Don't display image whose url
	match `w3m-ignored-image-url-regexp'.
	(w3m-decode-entities, w3m-decode-entities-string): Replace
	"(match-beginning 2)" with "(match-end 1)" to deal with emacs-21's
	strange behavior.

2008-04-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-rules): Support Mixi with SSL.

2008-04-22  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el: Fix Comments.
	(texinfo-format-geq, texinfo-format-leq,): Support @geq and @leq.

2008-04-18  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-rules): Add rule for the site of Allatanys.
	(w3m-filter-allatanys): New function.

	* w3m.el (w3m-relationship-estimate-rules): Fix regexp for Google
	search within EmacsWiki. Add rule for Google Mobile Proxy.

2008-04-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (top): Add the variables definition of `w3m-bookmark-mode',
	`w3m-bookmark-menu-items', `w3m-bookmark-menu-items-pre' and
	`w3m-tab-menubar-make-items-preitems' avoid byte-compile warnings.
	(w3m-rmouse-menubar): New user option.
	(w3m-setup-menu): Add the setup of `w3m-rmouse-menubar'.
	(w3m-mouse-major-mode-menu): Rewrite to use `w3m-rmouse-menubar'.
	(w3m-link-menu): Add `w3m-external-view-this-url'.

2008-04-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-turnoff-inline-images): New command.
	(w3m-toggle-inline-images): If force is 'turnoff, turn off to display
	images.
	(w3m-menubar): Add w3m-turnoff-inline-images.
	(w3m-lynx-like-map): Ditto.
	(w3m-info-like-map): Ditto.
	(w3m-mode): Ditto.

2008-04-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Fix custom type.

2008-04-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Support Google search
	within EmacsWiki.  cf. [emacs-w3m:10067]

2008-03-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-mouse-safe-view-this-url): Remove redundant confirmation
	of whether to follow link.

2008-03-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-doc-view-content-types): New variable.
	(w3m-doc-view): New function.
	(w3m-create-page): Use it.
	(w3m-content-type-alist): Add application/dvi.
	(w3m-delete-buffer): Save windows layout.

2008-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-image.el (w3m-imagick-convert-program-available-p): Don't use
	w3m-imagick-convert-data which may issue a warning when checking
	whether the convert program supports png32.  cf. [emacs-w3m:10048]

2008-03-03  Naohiro Aota  <nao.aota@gmail.com>

	* doc/emacs-w3m.texi (Inline Images): Updated.

	* doc/emacs-w3m-ja.texi (Inline Images): Ditto.

	* w3m.el (w3m-toggle-inline-images): Only toggle in the region if
	Transient Mark mode.
	(w3m-toggle-inline-image): Ditto.

2008-02-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-arrived-intern): Protect against null string.  It enables
	url completion even for null string.  Suggested by Aota-san.

2008-02-07  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-expand-path-name): New function.
	(w3m-expand-url): Remove useless expanded path-name check.

2008-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-lisp, install-icons, install-icons30): Quote
	directory name that might contain whitespace.

	* doc/Makefile.in (install): Ditto.

	* aclocal.m4 (AC_PATH_LISPDIR): Ditto; always report prefix name.

	* mkinstalldirs: Replace it with the 2006-05-11.19 version.

2008-01-30  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-fontify-anchors): Don't expand icon's url when it is nil.

2008-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-safe-url-regexp): Add note to doc string.
	(w3m-fontify): Hold the value of w3m-safe-url-regexp with the
	w3m-safe-url-regexp text-property.
	(w3m-toggle-inline-image, w3m-toggle-inline-images)
	(w3m-safe-view-this-url, w3m-mouse-safe-view-this-url): Check whether
	url is safe by comparing it with the value of the w3m-safe-url-regexp
	text property; prompt a user to confirm whether to proceed.
	(w3m-safe-toggle-inline-image, w3m-safe-toggle-inline-images): Abolish.
	(w3m-minor-mode-command-alist): Map w3m-toggle-inline-image and
	w3m-toggle-inline-images to themselves.

2008-01-20  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-search-name-anchor): Accept and optional argument
	`no-record'.
	(w3m-goto-url): Going other page's anchor, call
	`w3m-search-name-anchor' with 3rd argument t.

2008-01-16  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-input-textarea-coding-system): Revert.
	(w3m-form-input-textarea): Set w3m-form-input-textarea-coding-system to
	use in w3m-form-coding-system-accept-region-p.

2008-01-15  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-textarea-file-coding-system): New variable.
	(w3m-form-input-textarea-save): Use it.
	(w3m-form-input-textarea): Ditto.
	(w3m-form-input-textarea-coding-system): Abolish.

2008-01-11  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-filter.el (w3m-filter-iframe): New function.
	(w3m-filter-rules): Add rule for inserting link to the url iframe
	displays.

2008-01-09  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-coding-system-accept-region-p): Abolish.

	* w3m-ems.el (w3m-form-coding-system-accept-region-p): Use
	select-safe-coding-system if unencodable-char-position is not
	available.

	* w3m-xmas.el (w3m-form-coding-system-accept-region-p): Use
	decode-coding-string and encode-coding-string instead of
	unencodable-char-position; Only warn coding-system problem.

2008-01-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-decode-string): Don't replace +'s with spaces.

2007-12-27  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-coding-system-accept-region-p): New function.
	(w3m-form-input-textarea-save, w3m-form-input-textarea-set): Use it.

2007-12-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-session.el (w3m-session-goto-session): Go to the current w3m
	buffer in data of session.

2007-12-24  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-session.el (w3m-session-history-to-save): New function.
	(w3m-session-save): Also record history data.
	(w3m-session-automatic-save, w3m-session-deleted-save): Ditto.
	(w3m-session-select): Follow the format change.
	(w3m-session-goto-session): Also restore history data.

2007-12-23  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-tabmenu.el (w3m-tab-menubar-force-update): New function.
	(top): Register `w3m-tab-menubar-force-update' to
	`w3m-display-functions'.

2007-12-20  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-lynx-like-map): Bind `w3m-move-unseen-buffer'.
	(w3m-info-like-map): Ditto.
	(w3m-buffer-unseen): New buffer local variable.
	(w3m-set-buffer-unseen): New function.
	(w3m-set-buffer-seen): Ditto.
	(w3m-move-unseen-buffer): Ditto.
	(w3m-remove-local-hook): Ditto.
	(w3m-goto-url): Set buffer to unseen.
	(w3m-select-buffer-generate-contents): Support `unseen'.

	* w3m-util.el (top): Add the variable definition of `w3m-buffer-unseen'
	to avoid byte-compile warnings.
	(w3m-unseen-buffer-p): New inline macro.

	* w3m-tabmenu.el (w3m-tab-menubar-make-items-1): Support `unseen'.

	* w3m-ems.el (w3m-remove-local-hook): New function.
	(w3m-tab-unselected-unseen): New face.
	(w3m-tab-line): Support `unseen'.

2007-12-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-mode): Set show-trailing-whitespace to nil.

2007-12-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-default-background): New user option.
	(w3m-favicon-set-image): Don't set background color of favicon here.
	(w3m-favicon-convert): Set the background color of favicon according to
	w3m-favicon-default-background.

	* w3m-ems.el (w3m-tab-line): Don't set the background color of favicon
	here.

	* w3m-image.el (w3m-imagick-identify-program): New user option.

2007-12-17  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m-proc.el (w3m-process-kill-stray-processes): Do not kill
	process when the buffer associated to it is alive.
	(w3m-process-sentinel): Do not call a handler when its parent
	buffer have been killed.

2007-12-15  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-submit): Remove query part from the form's
	action url when using get method.

2007-12-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-size): Change the value form into
	the cons of WIDTH and HEIGHT.
	(w3m-favicon-convert-args): New user option.
	(w3m-favicon-convert): Pass it to convert.

	* w3m-ems.el (w3m-tab-mouse-track-selected-tab): Follow change of
	w3m-favicon-size.

2007-12-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-tab-line): Set the background color of favicon
	for Emacs 22+.

	* w3m-favicon.el (w3m-favicon-set-image): Ditto.

	* w3m-image.el (w3m-imagick-convert-program-available-p): Check
	whether the convert program supports the image type png32 for
	Emacs 22+.
	(w3m-imagick-convert-buffer, w3m-imagick-start-convert-buffer):
	Use png32 if it is available.

2007-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-convert): Make last change revert.

2007-12-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-favicon.el (w3m-favicon-convert): Apply the background color
	of header line or mode line to pixels of which the color is
	transparent.

2007-12-06  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-goto-url): Canonicalize the url when it is called
	non-interactively.

2007-12-01  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-name-anchor-from-hist): New buffer-local variable.
	(w3m-clear-local-variables): Also clear w3m-name-anchor-from-hist.
	(w3m-goto-url): Save and restoe w3m-name-anchor-from-hist.
	(w3m-search-name-anchor): Record (point)s of before and after
	following a name-anchor.
	(w3m-view-previous-page): If possible, move back the cursor to the
	point where it was before following name-anchors.

2007-11-30  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-proc.el (w3m-process-y-or-n-p): Ignore space to avoid
	answering y without intention.

2007-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-url-new-session): Use
	w3m-active-region-or-url-at-point.  Reported by Naohiro Aota.

	* w3m-ems.el (w3m-create-image): Don't modify case-fold-search.

	* w3m-xmas.el (w3m-create-image): Ditto; parse image data to
	identify its type in the beginning position.

2007-11-29  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-w3m-dump-extra, w3m-w3m-retrieve): Removed image
	data type tests.

	* w3m-xmas.el (w3m-create-image): Parse image data first, use
	server's content-type when it failed to identify type.

	* w3m-ems.el (w3m-create-image): Ditto.

2007-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-search.el (w3m-search-engine-alist): Fix google news entry.

	* w3m-ems.el (w3m-create-image): Parse image data if it failed in
	identifying type.

	* w3m-xmas.el (w3m-create-image): Ditto.

2007-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-resize-inline-image-internal): Validate image url.
	Reported by Naohiro Aota <nao.aota@gmail.com>.

2007-11-27  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-toggle-inline-images-internal): Confirm retrieving
	non-secure image.
	(w3m-resize-inline-image-internal): Ditto.

2007-11-27  Katsumi Yamaoka  <yamaoka@jpl.org>,
	    TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-retrieve-and-render): Permit leaving safe pages
	without confirmation for several safe commands.

2007-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-symbol.el: Autoload w3m-mule-unicode-p when compiling.

	* w3m-proc.el: Update the way to suppress compile warning for gensym.

2007-11-26  Trent W. Buck  <trentbuck@gmail.com>

	* w3m.el (w3m-confirm-leaving-secure-page): New user option.
	(w3m-retrieve-and-render): Use it.

2007-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-use-japanese-menu): Default to nil for XEmacs 21.4 and
	SXEmacs.
	(w3m-link-map): New variable.
	(w3m-fontify-anchors): Add menu to links.
	(w3m-read-file-name): Don't use default file name if it is "".
	(w3m-link-menu): Define.

2007-11-06  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-redisplay-with-charset): Strip first 'about://source/'
	before setf w3m-arrived-content-charset.
	(w3m-redisplay-and-reset): Ditto.

2007-11-05  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-filter.el (w3m-filter-rules): Add rule for the site of imepita.
	(w3m-filter-imepita): New function.

2007-11-03  David Hansen  <david.hansen@gmx.net>

	* w3m-proc.el (w3m-process-wait-process): Preserve the current buffer
	\(work around an Emacs bug\).

2007-11-03  David Hansen  <david.hansen@gmx.net>

	* w3m.el (w3m-relationship-oddmuse-estimate): Follow new page layout.

2007-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-ucs-to-char): Alias to unicode-to-char, ucs-to-char,
	or int-to-char.

	* w3m-ems.el (w3m-ucs-to-char): Always define it.

	* w3m.el (w3m-ucs-to-char): Abolish.

2007-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-module-list): Don't compile mew-w3m.el and
	mew-shimbun.el if there is only the official Mew XEmacs package that is
	extremely old.

	* w3m-proc.el: Update the way to suppress compile warning for gensym.

	* w3m-util.el (w3m-list-buffers): Check if w3m-fb-mode is bound.

	* w3m.el (w3m-copy-buffer, w3m-mouse-major-mode-menu): Remove unused
	let-bound variables.

2007-10-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-lisp): Don't install w3m-ems.el for XEmacs and
	w3m-xmas.el for GNU Emacs.

2007-10-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* *, doc/*: Fix expressions of the copyright notices.

	* w3mhack.el (w3mhack-makeinfo): Don't split Info file to pieces.

	* doc/emacs-w3m.texi, doc/emacs-w3m-ja.texi: Use @copying and
	@insertcopying to put up the copyright notice.
	(Coding convention of Shimbun): Don't use @itemx with @@multitable.

	* doc/ptexinfmt.el (texinfo-copying-text, texinfo-copying)
	(texinfo-insertcopying, texinfo-format-scan): Add them for old Emacsen.

	* doc/Makefile.in (install): Remove installed *.info-[0-9] files;
	install only *.info files.
	(.texi.dvi): Don't specify "-l ja" to texi2dvi.
	(clean): No need to remove *.info-[0-9] and *.info-[0-9][0-9] files.

2007-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-xmas.el (w3m-find-coding-system): Return symbol, not coding
	system object.

2007-10-12  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-entity-regexp, w3m-entity-value): Accept case-insensitive
	numeric character references.

2007-10-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-message): Work with XEmacs.

2007-10-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el: Bind w3m-use-title-buffer-name (see the comment).

	* Makefile.in (very-slow): Add missing semicolon.

2007-10-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-lisp): Don't install ChangeLog~.

2007-10-02  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-show-error-information): When emacs-w3m cannot find
	host, set charset to us-ascii.

2007-10-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-show-decoded-url): Add entry for nikkei.co.jp.

2007-09-28  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-decode-buffer): Don't decode escaped URLs.
	(w3m-toggle-inline-images-internal): Escape non-ASCII characters in the
	URL of the image before retrieving it.

2007-09-27  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el (w3m-safe-view-this-url): When a function which is
	specified by `w3m-goto-article-function' returns the
	`w3m-goto-url' symbol, it falls back to emacs-w3m displaying
	functions.  Cf. [emacs-w3m:09660]
	(w3m-goto-article-function): Its comment is updated to follow the
	above change.
	(w3m-entity-value, w3m-decode-entities-string): Change to save
	working memory.

2007-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-entity-regexp): Bind max-specpdl-size for old Emacsen.
	(w3m): Revert 2007-09-19 change.

2007-09-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* NEWS: New file.

2007-09-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-examine-command-line-args): Don't pass negative number to
	nthcdr.

	* w3m-session.el (w3m-session-save, w3m-session-select): Use mapc
	instead of mapcar.

2007-09-24  TSUCHIYA Masatoshi  <tsuchiya@namazu.org>

	* w3m.el: Changes to stricten entities decoded by
	`w3m-decode-entities'.
	(w3m-entity-table, w3m-entity-reverse-table): New constants.
	(w3m-entity-regexp): Stricten.
	(w3m-entity-alist, w3m-entity-db, w3m-entity-db-size): Abolished.
	(w3m-entity-value, w3m-decode-entities, w3m-decode-entities-string,
	w3m-encode-specials-string): Rewritten to use the above constants.

2007-09-21  TAKAHASHI Kaoru  <kaoru@kaisei.org>

	* doc/ptexinfmt.el: Support @fonttextsize, @textdegree.

2007-09-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-examine-command-line-args): Rewrite.
	(w3m): Always call it; set the 2nd arg new-session when Emacs 21 or
	XEmacs runs in the batch mode.

2007-09-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-examine-command-line-args): Inhibit Emacs head from
	displaying startup screen when emacs-w3m runs in the batch mode;
	improve parsing of arguments.

2007-09-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-expand-path-name): Save the matched data surely.

2007-09-09  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-expand-url): Use "/" as path when it of base-uri is not
	defined; Clear query of base-uri when empty query exist; Changes to
	follow RFC3986.

2007-09-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-euc-japan-encoder, w3m-iso-latin-1-encoder): Use
	mule-version to decide whether to redefine them.

	* w3m.el: Use emacs-version instead of emacs-major-version to show the
	version of Emacs that emacs-w3m doesn't support.

2007-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-local-file-type): Regard news:* urls as text/html.
	(w3m-w3m-retrieve): Return nil if retrieving failed.
	(w3m-show-error-information): Improve error message for news:* urls.

2007-09-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_PATH_EMACS): Improve expression of Emacs version.

	* doc/ptexinfmt.el (ptexinfmt-broken-facility)
	(ptexinfmt-defun-if-broken, ptexinfmt-defun-if-void)
	(ptexinfmt-defvar-if-void): Don't use old-style backquotes.
	(texinfo-format-cedilla-accent): Quote `,'.

	* w3m-antenna.el (w3m-antenna-site-key, w3m-antenna-site-title)
	(w3m-antenna-site-class, w3m-antenna-site-url)
	(w3m-antenna-site-last-modified, w3m-antenna-site-size)
	(w3m-antenna-site-size-detected): Don't use old-style backquotes.

	* w3m-ccl.el (w3m-ccl-write-repeat, w3m-euc-japan-decoder)
	(w3m-euc-japan-encoder, w3m-iso-latin-1-decoder)
	(w3m-iso-latin-1-encoder): Don't use old-style backquotes.

	* w3m-dtree.el (w3m-dtree-has-child): Don't use old-style backquotes.

	* w3m-form.el (w3m-form-method, w3m-form-action, w3m-form-charlst)
	(w3m-form-enctype, w3m-form-plist, w3m-form-get-property, w3m-form-put)
	(w3m-form-get): Don't use old-style backquotes.

	* w3m-namazu.el (w3m-namazu-default-index-customize-spec): Don't use
	old-style backquotes.

	* w3m-util.el (w3m-static-if, w3m-static-when, w3m-static-unless)
	(w3m-condition-case, w3m-add-text-properties)
	(w3m-get-text-property-around, w3m-action, w3m-anchor, w3m-image)
	(w3m-submit, w3m-anchor-sequence): Don't use old-style backquotes.

	* w3m.el (w3m-dirlist-cgi-program): Don't use old-style backquotes.

	* w3mhack.el (char-before, match-string-no-properties)
	(set-text-properties): Don't use old-style backquotes.

	* w3m-filter.el: Set file's coding-system to euc-japan in order to
	enable non-Mule XEmacsen to byte-compile this module.

2007-08-31  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (top): Remove unnecessary space at the line end.
	(w3m-use-title-buffer-name): New option.
	(w3m-copy-buffer): Use `w3m-generate-new-buffer' instead of
	`generate-new-buffer'.
	(w3m-pack-buffer-numbers): Call `w3m-form-set-number' with new name of
	buffer.
	(w3m-buffer-setup): Use `w3m-generate-new-buffer' instead of
	`generate-new-buffer'.
	(w3m-buffer-setup): Do not display title if w3m-use-title-buffer-name
	is non-nil.
	(w3m-modeline-title): Retrun "" if w3m-use-title-buffer-name is
	non-nil.
	(w3m-goto-url): Call `w3m-buffer-name-add-title' when display.
	(w3m): Use `w3m-generate-new-buffer' instead of `generate-new-buffer'.
	(w3m-use-header-line-title): New option.

	* w3m-form.el (w3m-form-set-number): Change 2'nd argument to `newname'
	from `count'.

	* w3m-util.el (top): Add the variable definition of
	`w3m-use-title-buffer-name' to avoid byte-compile warnings.
	(w3m-buffer-number): Support the feature of buffer-name with title.
	(w3m-buffer-set-number): Ditto.
	(w3m-generate-new-buffer): Ditto.
	(w3m-buffer-name-lessp): Ditto.
	(w3m-buffer-name-add-title): New inline macro.

	* w3m-ems.el (top): Add the variable definition of
	`w3m-use-header-line-title' to avoid byte-compile warnings.
	(w3m-setup-header-line): If `w3m-use-header-line-title' is not nil,
	display title and URI.

2007-08-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-proc.el (top): Add the function definition of
	`w3m-decode-coding-string-with-priority' to avoid byte-compile
	warnings.

	* w3m-ems.el (top): Add the variable definition of
	`w3m-default-coding-system' and `w3m-coding-system' to avoid
	byte-compile warnings.

	* w3m-xmas.el (top): Add the variable definition of `w3m-coding-system'
	to avoid byte-compile warnings.

2007-08-29  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-proc.el (w3m-process-filter): Decode realm string.

	* w3m.el (w3m-url-decode-string): Define latter half as a function :
	w3m-decode-coding-string-with-priority ,and use it.

	* w3m-ems.el (w3m-decode-coding-string-with-priority): New function.

	* w3m-xmas.el (w3m-decode-coding-string-with-priority): Return string
	itself unless find-coding-system is defined as built-in function.

2007-08-28  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-uri-replace-alist): Add key of "alc:".
	(w3m-relationship-estimate-rules): Add alc's rule.
	(w3m-relationship-alc-estimate): New function.

	* w3m-search.el (w3m-search-engine-alist): Add rule of
	http://eow.alc.co.jp/.

	* w3m-filter.el (w3m-filter-rules): Add w3m-filter-alc.
	(w3m-filter-alc): New function. Supper `goFairWord'.

2007-08-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-mailto-url): Make it work even with no rfc2368.el.

2007-08-21  Eugene Oleinik  <eo@aoizora.org>

	* w3m-filter.el (w3m-filter-google-separator): New user option.
	(w3m-filter-google): Replace hard-coded ones with it.
	(w3m-filter): Iterate through all cases in w3m-filter-rules.
	(w3m-filter-replace-regexp): New function.

2007-08-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-detect-xml-type): New function that treats
	application/xml looking like xhtml+xml as text/html.
	(w3m-content-type-alist): Use it for application/xml.
	(w3m-w3m-parse-header): Parse Alternates header for a real url.
	(w3m-w3m-retrieve-1): Retrieve real url according to Alternates header.
	(w3m-external-view): Treat xhtml+xml as html.

2007-07-30  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el: Changes to download contents after submitting form.
	(w3m-form-download): New variable.
	(w3m-fontify-textareas, w3m-form-parse-and-fontify): Combine the above
	variable into expressions which represent form actions.
	(w3m-form-submit): Accept and optional argument `download'.

	* w3m.el: Changes to download contents after submitting form.
	(w3m-download): Accept and optional argument `post-data'.
	(w3m-download-this-url): `w3m-form-download' is binded locally.
	(w3m-view-this-url): Ditto.
	(w3m-submit-form): Ditto.

2007-07-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ucs.el (font-ccl-encoder-alist): Bind it for XEmacs 21.5.

2007-07-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-relationship-estimate-rules): Make Google rule support
	images.

2007-07-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-session.el (w3m-session-select, w3m-session-selected): Add spec
	for dark tty.
	(w3m-session-select): Use read-key-sequence rather than read-event or
	next-command-event in order to enable it to read arrow keys in tty.

2007-07-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-form.el (w3m-form-make-button): Make it work.

	* w3m-ems.el (w3m-form-make-button): Work when w3m-form-use-fancy-faces
	is nil.

2007-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-article-function): Change the default function into
	browse-url; doc fix.
	(w3m-safe-view-this-url): Catch a signal from function which is set to
	w3m-goto-article-function, and don't run the default function if it is
	nil.

2007-07-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-goto-article-function): Use defcustom; doc fix.
	(w3m-safe-view-this-url): Use functionp instead of fboundp to check the
	value of w3m-goto-article-function.

	* w3m-favicon.el, w3m-namazu.el, w3m-perldoc.el, w3m-xmas.el, w3m.el:
	Use custom-set-default instead of set-default in defcustom forms.

2007-07-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-make-help-echo): Make the function for Emacs bind
	deactivate-mark to nil.

2007-06-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el, w3m-form.el, w3m-lnum.el, w3m-search.el, w3m-session.el
	* w3m.el: Rename w3m-FOO-face with w3m-FOO.

2007-06-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-makeinfo): Format @key{...}.

2007-06-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-lynx-like-map, w3m-info-like-map): Bind [backtab] to
	w3m-previous-anchor.

2007-06-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-local-retrieve, w3m-w3m-retrieve, w3m-about-retrieve)
	(w3m-cid-retrieve, w3m-data-retrieve, w3m-retrieve, w3m-about-header):
	Change the term and the symbol name `no-decode' into `no-uncompress'.

2007-06-08  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-w3m-retrieve): Check if content-type is wrong after
	decoding encoded contents.

	* w3m-ems.el (w3m-create-image, w3m-create-resized-image): Decode
	content retrieving image.

	* w3m-xmas.el (w3m-create-image, w3m-create-resized-image): Ditto.

2007-06-07  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-search.el (w3m-search-engine-alist): Add output encoding argument
	to google search.

2007-06-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-image.el (w3m-imagick-convert-program, w3m-resize-images): Reset
	them if convert program is not really available.
	(w3m-imagick-convert-program-available-p): New function.
	(w3m-imagick-convert-buffer, w3m-imagick-start-convert-data): Use it.

2007-06-05  Yoichi NAKAYAMA  <yoichi@geiin.org>

	* w3m-image.el (w3m-imagick-start-convert-data): Clarify message which
	is issued when convert program is not available.

2007-06-05  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-mixi): Follow the change of Mixi's HTML.

2007-06-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* attic/vm-w3m.el, attic/vm-7.19.patch: Remove.  They have been
	integrated into VM 8.x.

2007-05-17  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

	* w3m.el (w3m-view-this-url-1): Check whether the marker buffer exists.

2007-05-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-switch-to-buffer, w3m-subst-switch-to-buffer-keys):
	Remove.

2007-05-17  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-expand-url): Guard error in aref when url is "".

2007-05-16  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-expand-url): Remove query strings when expanding URL like
	"foo.cgi?#bar"; add "./" to top of URL when expanding "?hoge".

2007-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-switch-to-buffer): Work just like switch-to-buffer.
	Suggested by Robert J. Chassell <bob@rattlesnake.com>.

2007-05-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-url-encode-string, w3m-url-transfer-encode-string): Use
	uppercase letters in hexadecimal string.  Suggested by Lukasz Demianiuk
	<ldemianiuk@gmail.com>.

2007-05-09  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-header-line-url): New function.
	(w3m-url-at-point): Call w3m-header-line-url after
	w3m-gmane-url-at-point.
	(w3m-goto-url-with-timer): Execute w3m-goto-url if its buffer does not
	exist foreground.

2007-05-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (all): Revert SHIRAI's 2007-04-24 changes and fix it to
	accompany Ito-san's patch [w3m-dev 04233].
	(w3m-display-ins-del): New option.
	(w3m-support-emacs-w3m): Remove this variable.
	(w3m-strike-through-face): Modify.
	(w3m-insert-face): Ditto.
	(w3m-strike-through-face-no-windowsystem): Remove this face.
	(w3m-fontify-insert): Remove this variable.
	(w3m-halfdump-command-arguments): Remove w3m-support-emacs-w3m.
	(w3m-halfdump-command-common-arguments): Add w3m-display-ins-del
	support.
	(w3m-fontify-strike-through): Rewrite.
	(w3m-fontify-insert): Ditto.
	(w3m-set-display-ins-del): New function.
	(w3m-rendering-half-dump): Call w3m-set-display-ins-del.

2007-04-30  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-resume): Also resume contents of forms without
	name.
	(w3m-fontify-textareas): Also fontify textareas without name.
	(w3m-form-field-parse): Also parse form fields without name.

2007-04-28  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-decode-buffer): Use w3m-url-transfer-encode-string
	instead of w3m-url-encode-string.

2007-04-27  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-view-this-url): Check if w3m-current-url is string before
	matching.

2007-04-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-decode-buffer): Fully decode a source by default.
	(w3m-view-source): Doc fix.

2007-04-26  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-goto-url): Redisplay to search an anchor sure with
	goto-new-session.

2007-04-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-view-source-decode-level): New variable.
	(w3m-decode-buffer): Control how much it decodes an html source
	according to w3m-view-source-decode-level.
	(w3m-view-source): Bind w3m-view-source-decode-level with prefix arg.

2007-04-25  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-decode-buffer): Encode urls containing non-ASCII
	characters quoted with '' as well as those quoted with "".
	(w3m-goto-url): Decode urls when url is local.

	characters when displaying an html source.

2007-04-24  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-decode-buffer): Use charset specified in meta tag even
	for decoding html source.

2007-04-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* Makefile.in (install-lisp): Install shimbun/ChangeLog file.

2007-04-24  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-support-emacs-w3m): New variable.
	(w3m-compile-options): Set w3m-support-emacs-w3m to t if w3m compiled
	with emacsdump.
	(w3m-strike-through-face-no-windowsystem): New face.
	(w3m-halfdump-command-arguments): Use '-emacsdump' instead of
	'-halfdump' when w3m has it.
	(w3m-fontify-strike-through): Support w3m-support-emacs-w3m.
	(w3m-fontify-insert): Ditto.

2007-04-24  Naohiro Aota  <nao.aota@gmail.com>

	* w3m.el (w3m-goto-url): Set truncate-lines to nil, if a source or
	header view.
	(w3m-view-source): Remove to set truncate-lines.
	(w3m-view-header): Ditto.

2007-04-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* ChangeLog, ChangeLog.1: Separate shimbun entries.
	(Local Variables): Set fill-column to 79.

2007-04-19  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-form.el (w3m-form-input-textarea-filename): Use MD5 first.

2007-04-14  Naohiro Aota  <nao.aota@gmail.com>

	* w3m-form.el (w3m-form-input-textarea-filename): Truncate filename
	into less than or equal to 255 bytes long.

2007-04-06  Matt Hodges  <M.P.Hodges@rl.ac.uk>

	* w3m.el (w3m-next-buffer): Fix last change when w3m-fb-mode.

2007-04-04  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-view-parent-page): Use numbered prefix argument to move
	the parent directory according to input number.

2007-03-31  Andreas Seltenreich  <seltenreich@gmx.de>

	* w3m.el (w3m-external-view-file): Actually kill the temporary buffer.

2007-03-30  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-ems.el (w3m-tab-mouse-track-selected-tab): Sleep anyway.
	(w3m-tab-make-keymap): Add key-bindings for mouse wheel-up|down to
	w3m-mode-map.

2007-03-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bug.el (report-emacs-w3m-bug-system-informations): Add gtk.
	(report-emacs-w3m-bug): Bind print-quoted to t.

	* w3m-ems.el (w3m-force-window-update): Do split-window-vertically
	instead of performing enlarge-window/shrink-window for Emacs 21.
	(w3m-tab-mouse-track-selected-tab): Add `decelerate' argument; use it
	instead of to check the value of this-command.
	(w3m-tab-move-right): Set it.
	(w3m-tab-make-keymap): Rearrange.
	(w3m-update-tab-line): Remove.

	* w3m.el (w3m-select-buffer-update): Use w3m-force-window-update
	instead of w3m-update-tab-line.

2007-03-29  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-ems.el (w3m-tab-mouse-track-selected-tab): Tiny fix.
	(w3m-tab-make-keymap): Use next|previous-buffer-action instead of
	w3m-tab-next|previous-buffer.

2007-03-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-tab-mouse-track-selected-tab): Ignore mouse position
	info if mouse points to other frame; recognize wheel-up and wheel-down
	in addition to mouse-4 and mouse-5; don't respond to too fast operation
	of mouse wheel for moving a tab.

2007-03-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-tab-track-mouse): New variable.
	(w3m-tab-mouse-position-adjuster): Express the values in pixel units
	rather than the number of characters.
	(w3m-tab-mouse-track-selected-tab): Be controlled by
	w3m-tab-track-mouse; calculate the mouse position in pixel units rather
	than the number of characters.
	(w3m-tab-make-keymap): Make the buffer selected by a tab the current
	buffer before performing w3m-tab-move-(left|right).
	(w3m-tab-separator-map): New keymap.
	(w3m-tab-separator): Use it as the local-map property.
	(w3m-tab-line): Use it as the local-map property in trailing space.

2007-03-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el (w3m-tab-unselected-face)
	(w3m-tab-unselected-retrieving-face, w3m-tab-selected-face)
	(w3m-tab-selected-retrieving-face, w3m-tab-mouse-face): Make background
	colors bright.
	(w3m-tab-mouse-position-adjuster): New variable.
	(w3m-tab-mouse-track-selected-tab, w3m-tab-next-buffer)
	(w3m-tab-previous-buffer, w3m-tab-move-right, w3m-tab-move-left): New
	functions.
	(w3m-tab-map): Bind C-wheel-up and C-mouse-4 to w3m-tab-move-left; bind
	C-wheel-down and C-mouse-5 to w3m-tab-move-right; use
	w3m-tab-previous-buffer and w3m-tab-next-buffer instead of
	w3m-previous-buffer and w3m-next-buffer.
	(w3m-tab-separator): Add tab-separator property.

	* w3m.el (w3m-next-buffer): Fix calculation.
	(w3m-lynx-like-map, w3m-info-like-map): Bind `C-c C-,' and `C-c C-<' to
	w3m-tab-move-left, and bind `C-c C-.' and `C-c C->' to
	w3m-tab-move-right for GNU Emacs.

2007-03-27  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (w3m-add-tab-number): New user option.

	* w3m-ems.el (top): Add w3m-add-tab-number to avoid byte-compile
	warnings.
	(w3m-tab-line): Display sequential number on tab title when
	w3m-add-tab-number is not nil.

	* w3m.el (w3m-menubar): Add w3m-session-save and w3m-session-select.
	(w3m-tab-button-menu-commands): Ditto.

2007-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-ems.el: New file merging w3m-e21.el, w3m-e23.el and w3m-fsf.el.
	(image-size): No need to silence the byte compiler.
	(w3m-ccl-get-ucs-codepoint-with-emacs-unicode): Remove.
	(w3m-euc-japan-encoder, w3m-euc-japan-encoder)
	(w3m-iso-latin-1-encoder, w3m-iso-latin-1-encoder): Redefine them only
	for Emacs 22 and earlier.

	* w3m-e21.el, w3m-e23.el, w3m-fsf.el: Remove.

	* w3m.el: Load w3m-ems.el instead of w3m-e21.el or w3m-e23.el.
	(w3m-fontify-strike-through): Remove variable.

	* w3mhack.el (w3mhack-mdelete): Remove.
	(w3mhack-module-list): Use w3m-ems.el instead of w3m-fsf.el and
	w3m-e21.el or w3m-e23.el.

	* Makefile.in (tarball): No need to exclude w3m-e23.el.

2007-03-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_SET_XEMACSDEBUG): Fix the way to quote the value of
	XEMACSDEBUG.  Reported by Norbert Koch <nk@viteno.net>.

2007-03-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_SET_XEMACSDEBUG): Quote VANILLA_FLAG.

2007-03-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* aclocal.m4 (AC_SET_XEMACSDEBUG): New function; set XEMACSDEBUG
	environment variable, which is eval'd when XEmacs 21.5 starts, to the
	Lisp form, which sets `log-warning-minimum-level' to `error', in order
	to suppress warnings for Lisp shadows when XEmacs 21.5 starts.
	(AC_PATH_EMACS): Run AC_SET_XEMACSDEBUG.
	(AC_EMACS_LISP, AC_ADD_LOAD_PATH): Use XEMACSDEBUG.

	* Makefile.in (XEMACSDEBUG): New variable.
	(lisp, what-where, install-package, install-package-ja, dist)
	(.el.elc, slow, very-slow): Use it.

	* doc/Makefile.in (XEMACSDEBUG): New variable.
	(EMACSINFO, version.texi, install-en, install-ja): Use it.

	* w3mhack.el: Reset `log-warning-minimum-level' to `info'.

2007-03-15  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-session.el (w3m-session-deleted-save): Sort buffers to use their
	name.

2007-03-13  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (autoload): Add w3m-session-deleted-save.
	(w3m-delete-buffer): Call w3m-session-deleted-save.
	(w3m-delete-other-buffers): Call w3m-delete-buffers instead of piece of
	code.
	(w3m-delete-buffers): Call w3m-session-deleted-save.

	* w3m-session.el (w3m-session-deleted-save): New option.
	(w3m-session-deleted-title): Ditto.
	(w3m-session-deleted-keep-number): Ditto.
	(w3m-session-deleted-save): New function.
	(w3m-session-select): Display URLs.
	(w3m-session-select): Add key assignment; `k' and `j'.

2007-03-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-bug.el (report-emacs-w3m-bug): Use a new buffer to compose a mail
	if at least mail-user-agent is sendmail-user-agent that is the default.
	cf.
	<https://lists.gnu.org/archive/html/emacs-devel/2007-03/msg00399.html>

2007-03-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3mhack.el (w3mhack-generate-load-file): Advise make-autoload to
	support define-minor-mode if it should be necessary.

2007-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m.el (w3m-async-exec-with-many-urls): New variable; default to t
	except for XEmacs 21.5.
	(w3m-goto-url): Bind w3m-async-exec to nil when retrieving group:* urls
	if w3m-async-exec-with-many-urls is nil.

	* w3m-session.el (w3m-session-goto-session): Bind w3m-async-exec to nil
	if w3m-async-exec-with-many-urls is nil.

2007-03-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-session.el (w3m-session-select): Use next-command-event and
	event-key for XEmacs with checked surely.

2007-03-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* w3m-session.el (w3m-session-automatic-save): Remove unused vars.
	(w3m-session-select): Use next-command-event for XEmacs; clear the echo
	area after entering command.

2007-03-08  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m.el (autoload): Add w3m-session-select, w3m-session-save and
	w3m-session-automatic-save.
	(w3m-lynx-like-map): Add w3m-session-select and w3m-session-save to
	map.
	(w3m-info-like-map): Ditto.
	(w3m-arrived-shutdown-functions): Add w3m-session-automatic-save.
	(w3m-quit): Call w3m-session-automatic-save.

	* w3m-session.el: New file.

2007-02-28  Hideyuki SHIRAI  <shirai@meadowy.org>

	* w3m-filter.el (w3m-filter-rules): Add rules for the site of Amazon
	and Mixi.
	(w3m-filter-amazon-regxp): New option.
	(w3m-filter-amazon-short-url-bottom): Ditto.
	(w3m-filter-google): Add doc-string.
	(w3m-filter-amazon): New function.
	(w3m-filter-mixi): New function.

2007-02-24  Tatsuya Kinoshita  <tats@vega.ocn.ne.jp>

